This ChangeLog file is no longer maintained - see the git repo history for
more recent changes: https://xapian.org/bleeding

Sat Sep 26 06:19:22 GMT 2015  Olly Betts <olly@survex.com>

	* php/docs/examples/simpleexpand.php5,
	  php/docs/examples/simplematchdecider.php5,
	  php/docs/examples/simplesearch.php5: When iterating an MSet with
	  foreach, don't throw the docid away as $dummy, put it in $docid
	  and use it - the code looks cleaner, and this avoids a call to C++
	  to get the docid on each iteration.

Sat Sep 26 06:17:08 GMT 2015  Olly Betts <olly@survex.com>

	* HACKING,README,configure.ac,php/docs/index.rst,php/smoketest.php:
	  Make PHP 5.5 the minimum officially supported version, as 5.4 has
	  now reached EOL.

Sat Sep 26 03:46:57 GMT 2015  Olly Betts <olly@survex.com>

	* xapian-headers.i: Update for addition of XAPIAN_DOCID_BASE_TYPE and
	  XAPIAN_TERMCOUNT_BASE_TYPE.

Fri Jun 05 12:42:41 GMT 2015  Olly Betts <olly@survex.com>

	* xapian-headers.i: Update for optional reference counting of
	  MatchSpy.

Mon Jun 01 13:14:40 GMT 2015  Olly Betts <olly@survex.com>

	* NEWS,configure.ac: Update for 1.3.3.

Mon Jun 01 11:52:12 GMT 2015  Olly Betts <olly@survex.com>

	* NEWS: Update.

Fri May 29 07:31:12 GMT 2015  Olly Betts <olly@survex.com>

	* python/smoketest.py: Add new testcase to catch any internal
	  functions, methods, constants, etc which have accidentally been
	  wrapped.

Fri May 29 07:30:20 GMT 2015  Olly Betts <olly@survex.com>

	* xapian-headers.i: Ignore new internal sortable_serialise_()
	  function.

Fri May 29 07:25:17 GMT 2015  Olly Betts <olly@survex.com>

	* xapian-headers.i: Ignore internal methods of Xapian::Weight.

Wed May 27 03:07:15 GMT 2015  Olly Betts <olly@survex.com>

	* NEWS: Update.

Tue May 26 23:17:09 GMT 2015  Olly Betts <olly@survex.com>

	* NEWS: Credit people for the #616-related improvements in 1.3.2.

Mon May 25 10:03:24 GMT 2015  Olly Betts <olly@survex.com>

	* python/Makefile.am,python3/Makefile.am: SWIG now automatically
	  makes xapian.Error a subclass of the Python Exception class, so
	  drop our post-processing tweak to add this in.

Mon May 25 09:58:30 GMT 2015  Olly Betts <olly@survex.com>

	* python/Makefile.am,python3/Makefile.am: Eliminate 'modern'
	  subdirectory - we haven't generated a non-modern variant of the
	  python bindings for ages.

Mon May 25 05:59:49 GMT 2015  Olly Betts <olly@survex.com>

	* python/Makefile.am,python3/Makefile.am: Fix Makefile comment typo.

Sun May 24 13:07:47 GMT 2015  Olly Betts <olly@survex.com>

	* configure.ac: Fix configure test for whether $CLI can run CSharp
	  programs - previously it would always fail, which would mean that
	  the CSharp tests wouldn't be run if CSharp programs can't be run
	  directly.

Fri May 22 06:13:49 GMT 2015  Olly Betts <olly@survex.com>

	* NEWS: Update.

Fri May 22 04:48:35 GMT 2015  Olly Betts <olly@survex.com>

	* NEWS.SKELETON: Add "Python3" section.

Thu May 21 04:37:31 GMT 2015  Olly Betts <olly@survex.com>

	* README,configure.ac: Require Tcl 8.5 as older versions are no longer
	  supported upstream, and this version added ::tcl::pkgconfig, which
	  makes the configure tests simpler and more reliable.

Tue May 19 05:45:48 GMT 2015  Olly Betts <olly@survex.com>

	* perl/t/symbol-test.t: If the symboltest module build fails, skip the
	  test - it's likely due to external reasons, like incompatible
	  compiler flags being taken from Perl's Config module, due to Perl
	  having been built with a different compiler to Xapian.

Fri May 15 11:31:59 GMT 2015  Olly Betts <olly@survex.com>

	* perl/perl.i: Just call the existing Perl Xapian::inmemory_open()
	  function rather than defining and wrapping an inline C++
	  new3_WritableDatabase() function which calls InMemory::open().

Fri May 15 06:49:50 GMT 2015  Olly Betts <olly@survex.com>

	* perl/util.i.in: Add a "LICENSE" section to the main POD.

Fri May 15 04:50:28 GMT 2015  Olly Betts <olly@survex.com>

	* python3/pythontest.py: Expand comment about disabling
	  test_import_star under threads.

Thu May 14 13:50:24 GMT 2015  Olly Betts <olly@survex.com>

	* README: Remove the experimental markers from Lua and Python3,
	  and the note welcoming patches for Python 3.1.x support (since
	  Python 3.1.x was EOL-ed 3 years ago).

Tue May 12 07:39:04 GMT 2015  Olly Betts <olly@survex.com>

	* configure.ac: Fix typo.

Mon May 11 06:55:32 GMT 2015  Olly Betts <olly@survex.com>

	* doxygen_xml.conf.in,xapian-head.i: Update for addition of
	  XAPIAN_NOEXCEPT.

Sun May 10 13:27:23 GMT 2015  Olly Betts <olly@survex.com>

	* xapian-headers.i: Update for optional reference counting of
	  FieldProcessor.

Sun May 10 11:21:55 GMT 2015  Olly Betts <olly@survex.com>

	* xapian-headers.i: Update for optional reference counting of
	  functors.

Fri May 08 11:01:03 GMT 2015  Olly Betts <olly@survex.com>

	* perl/t/: Add 'use strict' to all testcases.

Fri May 08 11:00:14 GMT 2015  Olly Betts <olly@survex.com>

	* perl/t/document.t,perl/t/writabledatabase.t: Add missing 'my'.

Fri May 08 10:55:32 GMT 2015  Olly Betts <olly@survex.com>

	* perl/perl.i: Wrap missing constants.

Fri May 08 10:54:51 GMT 2015  Olly Betts <olly@survex.com>

	* perl/perl.i,perl/t/parser.t: Wrap WILDCARD_LIMIT_* constants as
	  constants.

Fri May 08 10:48:20 GMT 2015  Olly Betts <olly@survex.com>

	* perl/t/parser.t: Update to use Test::More.

Fri May 08 09:56:52 GMT 2015  Olly Betts <olly@survex.com>

	* perl/perl.i: Remove duplicate %constant for OP_WILDCARD.

Tue May 05 04:56:25 GMT 2015  Olly Betts <olly@survex.com>

	* python/pythontest.py,python3/pythontest.py: Fix typo in test context
	  ("multipler" -> "multiplier").

Tue May 05 04:09:24 GMT 2015  Olly Betts <olly@survex.com>

	* perl/Makefile.am,perl/t/collapse.t: Add test coverage for
	  Enquire::set_collapse_key() with 1 and 2 parameters.

Fri May 01 12:16:29 GMT 2015  Olly Betts <olly@survex.com>

	* configure.ac: Update check for -fvisibility to match xapian-core's.

Fri May 01 12:15:28 GMT 2015  Olly Betts <olly@survex.com>

	* configure.ac: Simplify test of Ruby version.

Fri May 01 12:14:31 GMT 2015  Olly Betts <olly@survex.com>

	* INSTALL: IRIX is past EOL so drop information about IRIX make.

Fri May 01 12:05:53 GMT 2015  Olly Betts <olly@survex.com>

	* perl/perl.i: Add workaround for Perl defining a seed() macro which
	  breaks '#include <algorithm>' undef C++11 with GCC.

Fri May 01 11:04:33 GMT 2015  Olly Betts <olly@survex.com>

	* configure.ac,m4/ax_cxx_compile_stdcxx_11.m4: Require a C++11
	  compiler.

Fri Apr 24 03:26:10 GMT 2015  Olly Betts <olly@survex.com>

	* xapian-headers.i: Don't wrap Query::LEAF_* - they're for internal
	  use in xapian-core.
	* python/smoketest.py: Add test_internal_enums_not_wrapped to check
	  that xapian.Query has no attributes starting with "LEAF_".

Mon Apr 13 06:22:15 GMT 2015  Olly Betts <olly@survex.com>

	* tcl8/tcl.i: Adjust precedence of the typecheck typemap for wrapping
	  constructing a query from a Tcl list so that we disambiguate this
	  from the new OP_WILDCARD constructor correctly.

Thu Apr 09 21:47:28 GMT 2015  Olly Betts <olly@survex.com>

	* ruby/Makefile.am: Ship generate-rdoc-stubs in the tarball.  Reported
	  by Matthias Klose in https://bugs.debian.org/782270

Fri Mar 13 10:33:47 GMT 2015  Olly Betts <olly@survex.com>

	* python/Makefile.am,python3/Makefile.am: Fix 'make install' when
	  building from git with --disable-documentation.  Fix to handle a
	  VPATH build from a tarball when the generated docs will be in
	  $(srcdir).

Fri Mar 13 05:28:28 GMT 2015  Olly Betts <olly@survex.com>

	* csharp/Makefile.am,java/Makefile.am,lua/Makefile.am,perl/Makefile.am,
	  php/Makefile.am,ruby/Makefile.am,tcl8/Makefile.am: Fix "make
	  install" from a git tree configured with --disable-documentation.
	  (Fixes #658, reported by German M. Bravo)

Tue Mar 03 04:04:36 GMT 2015  Olly Betts <olly@survex.com>

	* java/docs/examples/SimpleSearch.java: getPercent() returns an
	  integer.

Tue Mar 03 04:01:46 GMT 2015  Ashley <ashley@eclipso.ch>

	* java/docs/examples/SimpleSearch.java: Fix build and update example.

Fri Feb 13 13:10:11 GMT 2015  Olly Betts <olly@survex.com>

	* python/smoketest.py,python3/smoketest.py: Update testcases for lazy
	  wildcard expansion change in xapian-core.

Wed Jan 07 04:00:24 GMT 2015  Olly Betts <olly@survex.com>

	* configure.ac: Don't AC_SUBST LUA_INC as we never use it.

Thu Dec 18 00:30:06 GMT 2014  Olly Betts <olly@survex.com>

	* python/python.i: Don't release the GIL when using
	  XapianSWIGQueryItor as it uses Python C API calls.

Thu Dec 18 00:19:56 GMT 2014  Olly Betts <olly@survex.com>

	* python3/pythontest.py: Actually reenable the test case which was
	  failing before the previous commit fixed the underlying problem.

Thu Dec 18 00:18:07 GMT 2014  Olly Betts <olly@survex.com>

	* python3/python.i: Don't release the GIL when using
	  XapianSWIGQueryItor as it uses Python C API calls.  (fixes #346)

Wed Dec 17 23:01:35 GMT 2014  Olly Betts <olly@survex.com>

	* python/generate-python-exceptions,
	  python3/generate-python-exceptions: Remove comment which is no
	  longer correct since #538 was fixed 4.5 years ago.

Mon Dec 15 00:10:42 GMT 2014  Olly Betts <olly@survex.com>

	* xapian-headers.i: Add DB_RETRY_LOCK as a constant to wrap.

Fri Dec 05 11:26:16 GMT 2014  Olly Betts <olly@survex.com>

	* ChangeLog,configure.ac: Fix typos reported by Veres Lajos.

Fri Dec 05 11:20:17 GMT 2014  Olly Betts <olly@survex.com>

	* doxygen_xml.conf.in: Update to avoid warnings about obsolete tags
	  from newer doxygen.

Sun Nov 30 22:00:58 GMT 2014  Olly Betts <olly@survex.com>

	* configure.ac: Add an example of specifying LUA_SO to --help output.

Sun Nov 30 21:49:48 GMT 2014  Olly Betts <olly@survex.com>

	* configure.ac: Rework LUA_SO checks to be clearer and to properly
	  handle LUA_SO being specified without a leading '.'.

Sun Nov 30 15:46:08 GMT 2014  James Aylett <james@tartarus.org>

	* configure.ac: use \{0,1\} instead of \? for better sed
	  portability.

Mon Nov 24 19:58:34 GMT 2014  Olly Betts <olly@survex.com>

	* NEWS,configure.ac: Update for 1.3.2.

Mon Nov 24 10:45:30 GMT 2014  Olly Betts <olly@survex.com>

	* configure.ac: Update comment about MACOSX_DEPLOYMENT_TARGET -
	  OS X 10.2 is long obsolete now.

Sun Nov 23 23:57:02 GMT 2014  Olly Betts <olly@survex.com>

	* NEWS,csharp/Makefile.am,csharp/docs/index.rst,fake_dbfactory.i,
	  java/Makefile.am,lua/docs/index.rst,php/docs/index.rst,
	  python/docs/introduction.rst,python/smoketest.py,
	  python3/docs/introduction.rst,python3/smoketest.py,
	  ruby/docs/index.rst,tcl8/docs/index.rst,xapian-head.i,
	  xapian-headers.i: Update for renaming of 'brass' backend to 'glass'.

Sun Nov 23 05:14:03 GMT 2014  Olly Betts <olly@survex.com>

	* python/docs/introduction.rst: Fix typo.

Sun Nov 09 22:48:08 GMT 2014  Olly Betts <olly@survex.com>

	* NEWS: Update.

Tue Nov 04 20:38:38 GMT 2014  Olly Betts <olly@survex.com>

	* php/docs/index.rst: Note that PHP < 5.4 are now out of security
	  support.

Tue Nov 04 04:38:06 GMT 2014  Olly Betts <olly@survex.com>

	* php/smoketest.php: Iterating foreach ($it as $k => $c) doesn't work
	  unless $k is a string or integer in PHP < 5.5, so test the old way
	  under older versions.

Tue Nov 04 04:25:57 GMT 2014  Olly Betts <olly@survex.com>

	* php/smoketest.php: Remove disabling of subclassing tests for PHP
	  versions >= 5.4.

Mon Nov 03 22:11:19 GMT 2014  Olly Betts <olly@survex.com>

	* INSTALL,php/docs/index.rst: In current PHP releases, dl() will only
	  look in the configured extension directory, and only accepts a
	  leafname, and dl() is disabled in most SAPIs, so update the
	  documentation about how to install the PHP bindings without being
	  root.  Fixes #661, reported by Felix Ostmann.

Sun Nov 02 20:51:03 GMT 2014  Olly Betts <olly@survex.com>

	* NEWS: Update for 1.2.19 release.

Fri Oct 24 23:06:25 GMT 2014  Gaurav Arora <gauravarora.daiict@gmail.com>

	* csharp/Makefile.am,java/Makefile.am: Update for addition of LMWeight
	  class.

Mon Oct 20 00:53:59 GMT 2014  Olly Betts <olly@survex.com>

	* .gitignore,csharp/.gitignore,java/.gitignore,lua/.gitignore,
	  perl/.gitignore,php/.gitignore,python/.gitignore,python3/.gitignore,
	  python3/docs/.gitignore,ruby/.gitignore,tcl8/.gitignore: Update to
	  ignore new generated files.

Sun Oct 19 09:40:09 GMT 2014  Olly Betts <olly@survex.com>

	* README: Note that Ruby 2.1 works too.

Mon Oct 13 11:41:18 GMT 2014  Olly Betts <olly@survex.com>

	* NEWS: Update.

Fri Oct 10 11:43:55 GMT 2014  Olly Betts <olly@survex.com>

	* php/add-php-ref-handling: Be careful to pick up just the parameter
	  name and not any default value.  (Fixes #659, reported by jmienert)
	* php/smoketest.php: Add regression test.

Thu Sep 18 02:23:53 GMT 2014  Olly Betts <olly@survex.com>

	* python3/: Remove executable bits from a number of files which
	  shouldn't have them.

Thu Sep 18 02:19:54 GMT 2014  Olly Betts <olly@survex.com>

	* python3/extra.i: Fix typo in code to keep a reference to a
	  FieldProcessor object, reported by Germán M. Bravo in github PR59.
	* python3/smoketest.py: Add regression test.

Thu Sep 18 02:12:47 GMT 2014  Olly Betts <olly@survex.com>

	* python/extra.i: Fix typo in code to keep a reference to a
	  FieldProcessor object, reported by Germán M. Bravo in github PR59.
	* python/smoketest.py: Add regression test.

Thu Sep 18 01:53:02 GMT 2014  Olly Betts <olly@survex.com>

	* java/java.i: Update to use the new Xapian::iterator_valid() API.

Fri Sep 12 16:21:34 GMT 2014  Olly Betts <olly@survex.com>

	* php/docs/index.rst: Align entries in tables in ReST source.

Fri Sep 12 16:19:55 GMT 2014  Olly Betts <olly@survex.com>

	* php/docs/examples/simpleexpand.php5,
	  php/docs/examples/simplematchdecider.php5,
	  php/docs/examples/simplesearch.php5,php/docs/index.rst,php/php.i,
	  php/smoketest.php: Wrap Xapian iterator classes as PHP iterators.
	  (fixes#652)

Fri Sep 12 13:40:48 GMT 2014  Olly Betts <olly@survex.com>

	* xapian-headers.i: Ignore new iterator API (which we see via friend
	  declarations).

Fri Sep 12 13:35:25 GMT 2014  Olly Betts <olly@survex.com>

	* HACKING,README,php/docs/index.rst: Make PHP 5.4 the minimum
	  officially supported version, as 5.3 has now reached EOL.

Thu Sep 11 17:02:10 GMT 2014  Olly Betts <olly@survex.com>

	* php/smoketest.php: Add regression test for throwing an exception from
	  a PHP implementation of FieldProcessor::apply(), fixed by newer SWIG.

Thu Sep 11 16:59:14 GMT 2014  Olly Betts <olly@survex.com>

	* configure.ac: Fix SWIG version check to not fail on 3.* by making the
	  pattern match all older versions rather than some newer ones, and
	  update the minimum checked for to be what we actually currently want
	  - it was 1.3.40 which is 5 years old!

Wed Sep 03 19:15:34 GMT 2014  Olly Betts <olly@survex.com>

	* xapian-head.i,xapian-headers.i: Define XAPIAN_IN_XAPIAN_H rather
	  than XAPIAN_LIB_BUILD to avoid the direct subheader inclusion
	  checks.

Fri Aug 29 21:36:39 GMT 2014  Olly Betts <olly@survex.com>

	* xapian-headers.i: Add DBCHECK_SHOW_FREELIST as a constant to wrap.

Thu Aug 21 08:53:48 GMT 2014  Olly Betts <olly@survex.com>

	* xapian-headers.i: Add DB_FULL_SYNC as a constant to wrap.

Tue Aug 05 12:46:08 GMT 2014  Olly Betts <olly@survex.com>

	* NEWS: Update.

Fri Aug 01 06:34:31 GMT 2014  Olly Betts <olly@survex.com>

	* configure.ac: Enable automake option 'subdir-objects' as (a) this
	  avoids a warning with newer automake and (b) it better to put the
	  objects alongside the source in this case anyway (less cluttered,
	  and the objects and generated sources will both get cleaned up
	  if the directory is removed).

Wed Jul 30 04:03:09 GMT 2014  Olly Betts <olly@survex.com>

	* perl/Makefile.am,php/Makefile.am: Restore explicit dependencies of
	  except.i - they are needed so that except.i gets generated before
	  the automatically generated dependency information is available.

Tue Jul 22 01:04:29 GMT 2014  Olly Betts <olly@survex.com>

	* php/Makefile.am: Add add-php-ref-handling script as a dependency of
	  the stamp file, so we regenerate if this script changes.

Tue Jul 22 01:02:48 GMT 2014  Olly Betts <olly@survex.com>

	* perl/Makefile.am,php/Makefile.am: Remove unnecessary explicit
	  dependencies on except.i, as swig-depcomp finds this automatically.

Tue Jul 22 01:02:04 GMT 2014  Olly Betts <olly@survex.com>

	* csharp/Makefile.am: Fix to generate dependencies for stamp file
	  correctly.

Tue Jul 22 01:01:33 GMT 2014  Olly Betts <olly@survex.com>

	* csharp/Makefile.am: Update for Snipper wrapping.

Mon Jul 21 23:50:00 GMT 2014  Mihai Bivol <mm.bivol@gmail.com>

	* java/Makefile.am,xapian-headers.i: Add Snipper in xapian bindings.

Wed Jul 09 01:14:43 GMT 2014  Olly Betts <olly@survex.com>

	* python/Makefile.am,python3/Makefile.am: Fix "make dist" to include
	  the sphinx-generated docs when DOCUMENTATION_RULES=0.

Tue Jul 08 13:33:01 GMT 2014  Olly Betts <olly@survex.com>

	* csharp/Makefile.am,java/Makefile.am,lua/Makefile.am,php/Makefile.am,
	  ruby/Makefile.am,tcl8/Makefile.am: Fix "make dist" when
	  DOCUMENTATION_RULES is off but generated index.html files exist.

Mon Jun 30 04:11:46 GMT 2014  Olly Betts <olly@survex.com>

	* python/smoketest.py: Fix typo in SimpleStopper with file testcase.

Mon Jun 30 02:18:04 GMT 2014  Olly Betts <olly@survex.com>

	* python/pythontest.py,python3/pythontest.py: Add a comment to explain
	  why the PostingSource is in a list in the "postingsource" testcase,
	  and add a term to the list to make it a less artificial test.

Sat Jun 28 11:15:47 GMT 2014  Olly Betts <olly@survex.com>

	* Makefile.am,shortstop.list: Add and distribute new data file
	  'shortstop.list', needed for new SimpleStopper ctor testcase.

Sat Jun 28 09:34:15 GMT 2014  Olly Betts <olly@survex.com>

	* xapian-head.i,xapian-headers.i: Provide a SimpleStopper constructor
	  which provides the ability to initialise from a stopword list in a
	  file.  Based on patch from Assem Chelli.
	* python/smoketest.py: Add testcoverage for this new wrapping.

Mon Jun 23 02:49:37 GMT 2014  Olly Betts <olly@survex.com>

	* csharp/Makefile.am,java/Makefile.am,lua/Makefile.am,php/Makefile.am,
	  ruby/Makefile.am,tcl8/Makefile.am: Don't guard installation of
	  index.html generated from RST by "if DOCUMENTATION_RULES".

Mon Jun 23 02:23:40 GMT 2014  Olly Betts <olly@survex.com>

	* configure.ac: Add hints for which package to install for rst2html
	  and sphinx-build (the latter is particularly useful, as there are at
	  least 3 different open source projects using the name "sphinx").

Mon Jun 23 00:56:02 GMT 2014  Olly Betts <olly@survex.com>

	* csharp/Makefile.am,java/Makefile.am,lua/Makefile.am,perl/Makefile.am,
	  php/Makefile.am,python/Makefile.am,python3/Makefile.am,
	  ruby/Makefile.am,tcl8/Makefile.am: Use $(MKDIR_P).

Mon Jun 23 00:55:14 GMT 2014  Olly Betts <olly@survex.com>

	* configure.ac: Use AS_MKDIR_P instead of test -d || mkdir.

Sun Jun 22 13:47:03 GMT 2014  Olly Betts <olly@survex.com>

	* NEWS: Update.

Sat Jun 21 01:29:37 GMT 2014  Olly Betts <olly@survex.com>

	* perl/Xapian/RSet.pm: Fix duplicate "1;" at end of module.

Sat Jun 21 01:27:55 GMT 2014  Olly Betts <olly@survex.com>

	* perl/Xapian/,perl/docs/examples/,perl/generate-perl-exceptions,
	  perl/perl.i,perl/t/databasemodified.t,perl/t/search.t,
	  perl/t/writabledatabase.t,perl/util.i.in: Whitespace clean-up.

Sat Jun 21 01:00:59 GMT 2014  Olly Betts <olly@survex.com>

	* HACKING,README,perl/Makefile.am,perl/Search/Xapian/,perl/Xapian/,
	  perl/docs/examples/,perl/generate-perl-exceptions,perl/perl.i,
	  perl/t/,perl/util.i.in,xapian-bindings.spec.in: Move the new
	  SWIG-based Perl bindings into a 'Xapian' module, to smooth the
	  overlap with the hand-coded XS 'Search::Xapian' module.

Fri Jun 20 23:25:33 GMT 2014  Olly Betts <olly@survex.com>

	* python/docs/examples/simpleindex.py: Eliminate needless differences
	  with the python3 version - drop a duplicate blank line, and prefer
	  "line = line.strip()" to "line = string.strip(line)".

Fri Jun 20 12:51:35 GMT 2014  Olly Betts <olly@survex.com>

	* python3/docs/examples/simpleexpand.py,
	  python3/docs/examples/simpleindex.py: Fix Python3 examples to
	  actually work.  (see #346)

Fri Jun 20 06:14:05 GMT 2014  Olly Betts <olly@survex.com>

	* perl/Search/Xapian/MultiValueSorter.pm: Fix documentation comment
	  typo ("foward" -> "forward").

Mon Jun 16 13:01:39 GMT 2014  Olly Betts <olly@survex.com>

	* configure.ac: List the python-related files in AC_CONFIG_FILES
	  together.

Mon Jun 16 13:01:14 GMT 2014  Olly Betts <olly@survex.com>

	* configure.ac,python/docs/examples.rst,python/docs/index.rst,
	  python/docs/xapian.rst,python3/docs/examples.rst,
	  python3/docs/index.rst,python3/docs/xapian.rst: Whitespace tweaks.

Mon Jun 16 12:54:14 GMT 2014  Olly Betts <olly@survex.com>

	* python/Makefile.am,python3/Makefile.am: Remove echo statements from
	  rules which report the rule ran successfully - we don't have these
	  in other rules.

Mon Jun 16 12:38:54 GMT 2014  Olly Betts <olly@survex.com>

	* python3/docs/index.rst,python3/docs/introduction.rst,
	  python3/docs/introduction3.rst: Resolve inconsistencies in what we
	  think the introduction for Python 3 is called, fixing a build error
	  in the sphinx docs.

Mon Jun 16 12:33:39 GMT 2014  Assem Chelli <assem.ch@gmail.com>

	* configure.ac,python/Makefile.am,python/docs/,python3/Makefile.am,
	  python3/docs/: Generate Python API docs with Sphinx.  (Fixes #138)

Thu May 01 00:28:43 GMT 2014  Olly Betts <olly@survex.com>

	* php/smoketest.php: Add tests of get_eset() with an ExpandDecider and
	  with a min weight threshold.

Sun Apr 06 19:40:12 GMT 2014  James Aylett <james@tartarus.org>

	* perl/Makefile.am: Perl tests are ordering-dependent, so
	  use .NOTPARALLEL to avoid problems during parallel builds.

Sun Mar 30 22:57:50 GMT 2014  Anish Kanchan <anishgkanchan@gmail.com>

	* java/SmokeTest.java: Add testcase that FLAG_SPELLING is now wrapped
	  in a usable way.  (see #616)

Sun Mar 30 22:06:54 GMT 2014  Olly Betts <olly@survex.com>

	* lua/docs/index.rst: Note that constants can now be accessed using
	  CLASS.CONSTANT as well as CLASS_CONSTANT.

Sun Mar 30 22:04:43 GMT 2014  Olly Betts <olly@survex.com>

	* lua/docs/index.rst: RST source formatting tweak.

Thu Mar 27 23:02:39 GMT 2014  Olly Betts <olly@survex.com>

	* lua/smoketest.lua: Whitespace tweak.

Thu Mar 27 23:00:56 GMT 2014  Olly Betts <olly@survex.com>

	* lua/smoketest.lua: Change expect() parameter order to the more
	  natural (got, expected), which most of the calls already used,
	  and fix up the few calls which passed (expected, got).

Thu Mar 27 10:45:27 GMT 2014  Olly Betts <olly@survex.com>

	* python/Makefile.am,python3/Makefile.am: Pass
	  -DSWIG_PYTHON_LEGACY_BOOL to SWIG to revert strict bool typemap to
	  the more Pythonic older typemap.

Thu Mar 27 07:21:08 GMT 2014  Olly Betts <olly@survex.com>

	* configure.ac: Don't report Python version twice if it's too new or
	  too old.

Mon Mar 10 11:17:12 GMT 2014  Olly Betts <olly@survex.com>

	* README: Add links to Erlang and Node.js bindings.

Mon Mar 10 02:35:19 GMT 2014  Olly Betts <olly@survex.com>

	* csharp/docs/index.rst,lua/docs/index.rst,php/docs/index.rst,
	  python/docs/index.rst,ruby/docs/index.rst,tcl8/docs/index.rst:
	  Remove use of "$Date" as it's not expanded by git, and the "last
	  updated" information isn't all that informative anyway - there can
	  still be stale information even if the file was updated very
	  recently.

Mon Mar 10 02:27:52 GMT 2014  Olly Betts <olly@survex.com>

	* ruby/Makefile.am: Fix to build Ruby docs from reStructured text,
	  which I somehow failed to apply from Mayank's patch.

Sun Mar 09 10:14:38 GMT 2014  Mayank Chaudhary <mayankchaudhary.iitr@gmail.com>

	* csharp/Makefile.am,csharp/docs/index.html,csharp/docs/index.rst,
	  java/Makefile.am,java/docs/index.html,java/docs/index.rst,
	  lua/Makefile.am,lua/docs/index.html,lua/docs/index.rst,
	  php/Makefile.am,php/docs/index.html,php/docs/index.rst,
	  python/Makefile.am,python/docs/index.html,python/docs/index.rst,
	  ruby/docs/index.html,ruby/docs/index.rst,tcl8/Makefile.am,
	  tcl8/docs/index.html,tcl8/docs/index.rst: Convert HTML docs to
	  reStructured text.

Sun Feb 23 22:06:31 GMT 2014  Olly Betts <olly@survex.com>

	* configure.ac: Remove unnecessary m4 quoting.

Fri Feb 21 07:26:26 GMT 2014  Olly Betts <olly@survex.com>

	* configure.ac: Fix Ruby bindings to build on Windows (and other
	  platforms where allow_undefined_flag=unsupported. (fixes#634)

Mon Feb 17 05:02:47 GMT 2014  Olly Betts <olly@survex.com>

	* README: Note that C# bindings now need .NET 2 or later (because
	  that's what SWIG-generated code now requires).

Mon Feb 17 04:16:07 GMT 2014  Olly Betts <olly@survex.com>

	* php/smoketest.php: Add missing "exit(1);" after check that
	  MatchDecider returns an MSet with the expected docid in.

Sun Feb 16 05:51:00 GMT 2014  Olly Betts <olly@survex.com>

	* python3/python.i: Update (no longer recognised)
	  XAPIAN_BINDINGS_SKIP_BRASS_AND_CHERT_FACTORIES to
	  XAPIAN_BINDINGS_SKIP_DEPRECATED_DB_FACTORIES so deprecated db
	  factories aren't wrapped.
	* python3/smoketest.py: Update testcases to test factories which
	  shouldn't be wrapped aren't, and that the replacements work.

Wed Jan 29 04:01:36 GMT 2014  Olly Betts <olly@survex.com>

	* python3/Makefile.am,python3/run-python-test: Pass Python 3
	  interpreter as PYTHON3 not PYTHON, and default to python3 if not
	  specified.

Fri Jan 10 09:00:05 GMT 2014  Olly Betts <olly@survex.com>

	* xapian-headers.i: Update for xapian-core Database::check() optional
	  parameter change.

Thu Jan 09 03:34:17 GMT 2014  Olly Betts <olly@survex.com>

	* python/pythontest.py,python3/pythontest.py,xapian-head.i,
	  xapian-headers.i: Wrap Xapian::Database::check() for the bindings
	  with arguments (path, opts = 0), and if opts != 0, send output to
	  stdout.

Mon Jan 06 12:10:08 GMT 2014  Olly Betts <olly@survex.com>

	* python/pythontest.py,python3/pythontest.py: When testing
	  valuestreams, just use the xapian.WritableDatabase constructor
	  rather than chert_open() - that code dates back to when chert was
	  the only disk-based backend to support valuestreams, and it wasn't
	  the default backend.

Wed Jan 01 04:22:36 GMT 2014  Olly Betts <olly@survex.com>

	* python3/Makefile.am: Fix handling of DOCUMENTATION_RULES.

Wed Dec 25 20:30:49 GMT 2013  Olly Betts <olly@survex.com>

	* configure.ac: Quote $PYTHON, etc in backward compatibility code.

Wed Dec 25 06:29:07 GMT 2013  Olly Betts <olly@survex.com>

	* configure.ac: Fix some issues with the previous change, so it works
	  as intended.

Tue Dec 24 21:26:27 GMT 2013  Olly Betts <olly@survex.com>

	* python3/Makefile.am: Use PYTHON to run doxy2swig, as that's reliably
	  set when we're in maintainer mode.

Tue Dec 24 21:21:17 GMT 2013  Olly Betts <olly@survex.com>

	* Makefile.am,configure.ac,python/Makefile.am: Rename the variables
	  used for the python2 bindings to begin PYTHON2 instead of PYTHON.
	  Try python2 before python when looking for an interpreter for the
	  python2 bindings, as some distros now point /usr/bin/python at
	  Python 3.

Sat Dec 21 01:06:19 GMT 2013  Olly Betts <olly@survex.com>

	* python3/smoketest.py: Add parentheses around print arguments.

Fri Dec 20 03:50:50 GMT 2013  Olly Betts <olly@survex.com>

	* xapian-headers.i: Update for addition of Xapian::DB_NO_TERMLIST.

Fri Dec 20 00:22:02 GMT 2013  Olly Betts <olly@survex.com>

	* csharp/docs/index.html,lua/docs/index.html,php/docs/index.html,
	  php/smoketest.php,python/docs/index.html,python3/docs/index.rst,
	  xapian-headers.i: Update for addition of Xapian::DB_BACKEND_STUB
	  and deprecationg of Xapian::Auto::open_stub().

Thu Dec 19 09:48:04 GMT 2013  Olly Betts <olly@survex.com>

	* NEWS: Update from 1.2.16 and ChangeLog.

Thu Dec 19 06:45:17 GMT 2013  Olly Betts <olly@survex.com>

	* csharp/docs/index.html,lua/docs/index.html,perl/perl.i,
	  php/docs/index.html,python/docs/index.html,python3/docs/index.rst,
	  python3/python.i,ruby/docs/index.html,tcl8/docs/index.html,
	  xapian-head.i,xapian-headers.i: Update for deprecation of
	  Xapian::Brass::open() and Xapian::Chert::open().

Thu Dec 19 02:26:03 GMT 2013  Olly Betts <olly@survex.com>

	* xapian-headers.i: Update for new Xapian::DB_* constants.

Thu Dec 19 02:17:15 GMT 2013  Olly Betts <olly@survex.com>

	* python3/docs/index.rst: Wording tweaks.

Thu Dec 19 02:15:09 GMT 2013  Olly Betts <olly@survex.com>

	* python/smoketest.py,python3/smoketest.py: If constants weren't
	  handled in xapian-headers.i with the CONSTANT() macro, we ended up
	  with xapian.cvar being created, and an obscure error from
	  smoketest.py.  Now we report what the variables are in the
	  testsuite output.

Wed Dec 18 23:10:53 GMT 2013  Olly Betts <olly@survex.com>

	* xapian-headers.i: Update for addition of xapian/constants.h.

Fri Dec 06 05:29:53 GMT 2013  Olly Betts <olly@survex.com>

	* configure.ac: Link against -ltclstubX.Y for Tcl 8.5 and later
	  (reported by Sergei Golovan in https://bugs.debian.org/724830).
	  Also, use a better check for TCL_INC for Tcl 8.5 and later.

Fri Dec 06 03:31:50 GMT 2013  Olly Betts <olly@survex.com>

	* README,configure.ac: Tweak configure to work with Ruby 2.0.

Tue Dec 03 07:38:49 GMT 2013  Olly Betts <olly@survex.com>

	* configure.ac: Sync link_all_deplibs_CXX check with xapian-core.

Fri Nov 08 10:32:13 GMT 2013  Olly Betts <olly@survex.com>

	* configure.ac: Remove duplicate check for thread-local storage
	  qualifier.

Tue Oct 22 05:52:54 GMT 2013  Olly Betts <olly@survex.com>

	* python3/Makefile.am: Make sure docs subdirectory exists in builddir
	  before running $(RST2HTML) to fix build when srcdir != builddir.

Mon Oct 14 09:59:27 GMT 2013  Olly Betts <olly@survex.com>

	* ruby/generate-rdoc-stubs: Skip internal classes.

Fri Oct 11 08:29:23 GMT 2013  Olly Betts <olly@survex.com>

	* python3/docs/examples/: Update syntax of examples for Python3.

Fri Oct 11 07:37:59 GMT 2013  Olly Betts <olly@survex.com>

	* python/docs/examples/simpleexpand.py: Use Pythonic iteration over
	  the ESet.

Fri Oct 11 05:50:45 GMT 2013  Olly Betts <olly@survex.com>

	* python3/docs/index.rst: Strip trailing whitespace.

Fri Oct 11 05:14:21 GMT 2013  Olly Betts <olly@survex.com>

	* configure.ac,python3/Makefile.am,python3/docs/.gitignore,
	  python3/docs/index.html,python3/docs/index.rst: Overhaul Python3
	  documentation and convert it to reStructured Text. (see #346)

Thu Oct 10 23:57:56 GMT 2013  Olly Betts <olly@survex.com>

	* python3/python.i,python3/smoketest.py: Make xapian.version_string()
	  return a Unicode string. (see #346)

Thu Oct 10 23:47:18 GMT 2013  Olly Betts <olly@survex.com>

	* python3/python.i,python3/pythontest.py: Make unserialise methods and
	  functions only accept bytes.  (see #346)

Tue Oct 08 02:29:28 GMT 2013  Olly Betts <olly@survex.com>

	* perl/generate-perl-exceptions: Use croak_sv() or ERRSV if defined.

Sun Oct 06 23:48:07 GMT 2013  Olly Betts <olly@survex.com>

	* configure.ac: Don't prefer ruby1.8 to ruby when looking for a ruby
	  interpreter - these days it's more likely to ignore ruby 1.9 rather
	  than avoid picking ruby 1.6.

Fri Oct 04 00:32:38 GMT 2013  Olly Betts <olly@survex.com>

	* python3/pythontest.py: Don't run postingsource testcase under
	  threads for now as it segfaults for unknown reasons.

Fri Oct 04 00:29:04 GMT 2013  Olly Betts <olly@survex.com>

	* python3/pythontest.py,python3/smoketest.py,python3/util.i: Drop the
	  deprecated 'MSet.items' and 'ESet.items' for Python3 - people are
	  going to need to make code updates anyway, so keeping existing code
	  working unchanged isn't a realistic concern.
	* python3/docs/index.html: Drop discussion of removed features.

Fri Oct 04 00:27:13 GMT 2013  Olly Betts <olly@survex.com>

	* README: Document 3.2 as the minimum supported Python3 version, and
	  update the status to "mostly functional".

Thu Oct 03 23:51:26 GMT 2013  Olly Betts <olly@survex.com>

	* configure.ac,python/,python3/: Provide bindings version in
	  xapian.__version__ as per PEP 396.  (see #346)

Sat Sep 28 00:02:21 GMT 2013  Olly Betts <olly@survex.com>

	* python3/pythontest.py: Fix test_postingsource testcase.

Fri Sep 27 23:37:28 GMT 2013  Olly Betts <olly@survex.com>

	* python3/pythontest.py: Fix test_allterms_iter testcase.

Fri Sep 27 23:37:01 GMT 2013  Olly Betts <olly@survex.com>

	* python3/extra.i: Fix ValueStreamIter.__next__().

Fri Sep 27 23:36:23 GMT 2013  Olly Betts <olly@survex.com>

	* python3/extra.i: Correct comments for next() changes in Python3.

Fri Sep 27 23:28:47 GMT 2013  Olly Betts <olly@survex.com>

	* python3/testsuite.py: Remove unnecessary next() helper from
	  testsuite.py.

Fri Sep 27 23:28:20 GMT 2013  Olly Betts <olly@survex.com>

	* python3/extra.i: Fix LatLongCoordsIter.__next__().

Fri Sep 27 23:14:33 GMT 2013  Olly Betts <olly@survex.com>

	* python/pythontest.py,python3/pythontest.py: Fix testcases which
	  check that non-random-access iterators which have moved on give
	  an exception if you try to use the old value - previously these
	  didn't actually test all the old values, only the last one.

Fri Sep 27 07:53:45 GMT 2013  Olly Betts <olly@survex.com>

	* python3/smoketest.py,python3/util.i: smoketest.py now passes.

Fri Sep 27 04:23:54 GMT 2013  Olly Betts <olly@survex.com>

	* python3/docs/examples/simplesearch.py,python3/python.i,
	  python3/pythontest.py,python3/smoketest.py: All methods returning
	  std::string now return 'bytes' in Python, except for
	  get_description()/__str__().  (see #346)

Wed Sep 25 02:50:39 GMT 2013  Olly Betts <olly@survex.com>

	* php/smoketest.php: Reenable the FieldProcessor subclass test for PHP
	  5.4, as this one does work.

Tue Sep 24 10:00:05 GMT 2013  Olly Betts <olly@survex.com>

	* .gitignore: Update for switch from gzip to xz.

Tue Sep 24 09:55:17 GMT 2013  Olly Betts <olly@survex.com>

	* configure.ac,xapian-bindings.spec.in: Compress source tarballs with
	  xz instead of gzip.

Thu Sep 19 06:52:11 GMT 2013  Olly Betts <olly@survex.com>

	* Makefile.am,configure.ac,python/,python3/.gitignore,
	  python3/Makefile.am,python3/docs/examples/,python3/docs/index.html,
	  python3/: Split python3 bindings into a separate subdirectory, to
	  make it simpler to handle differences between python2 and python3.
	  This also makes it easier to test both, as a tree can now be
	  configured for both at once.

Wed Sep 18 12:58:51 GMT 2013  Olly Betts <olly@survex.com>

	* python/Makefile.am: Further updates for PEP 3147.

Wed Sep 18 12:50:00 GMT 2013  Olly Betts <olly@survex.com>

	* python/util.i: Fix std::string input typemaps for Python 3.
	  (see #346)

Wed Sep 18 10:56:35 GMT 2013  Olly Betts <olly@survex.com>

	* configure.ac,python/Makefile.am: Handle the PEP 3147 names which
	  .pyc and .pyo files use in newer Python 3 versions.  (see #346)

Wed Sep 18 00:36:50 GMT 2013  Olly Betts <olly@survex.com>

	* python/util.i: Rename next() to __next__() for Python 3 as iterators
	  need to have a __next__() method there.  (see #346)

Mon Sep 16 12:00:41 GMT 2013  Olly Betts <olly@survex.com>

	* perl/t/parser.t: Update for xapian-core change to always return
	  UTF-8 object descriptions.  (see #620)

Mon Jul 15 12:10:18 GMT 2013  Aarsh Shah <aarshkshah1992@gmail.com>

	* csharp/Makefile.am,java/Makefile.am: Update for DPHWeight.

Sun Jul 14 07:07:42 GMT 2013  Aarsh Shah <aarshkshah1992@gmail.com>

	* csharp/Makefile.am,java/Makefile.am: Update for PL2Weight.

Wed Jul 10 12:58:17 GMT 2013  Aarsh Shah <aarshkshah1992@gmail.com>

	* csharp/Makefile.am,java/Makefile.am: Update for DLHWeight.

Sun Jul 07 11:54:44 GMT 2013  Aarsh Shah <aarshkshah1992@gmail.com>

	* csharp/Makefile.am,java/Makefile.am: Update for BB2Weight.

Wed Jul 03 14:02:55 GMT 2013  Aarsh Shah <aarshkshah1992@gmail.com>

	* csharp/Makefile.am,java/Makefile.am: Update for IneB2Weight.

Wed Jul 03 13:38:34 GMT 2013  Aarsh Shah <aarshkshah1992@gmail.com>

	* csharp/Makefile.am,java/Makefile.am: Update for IfB2Weight.

Wed Jul 03 12:01:08 GMT 2013  Aarsh Shah <aarshkshah1992@gmail.com>

	* csharp/Makefile.am,java/Makefile.am: Update for InL2Weight.

Wed Jun 26 02:03:04 GMT 2013  Olly Betts <olly@survex.com>

	* configure.ac: Fix stripping of _git suffix from snapshot versions
	  not to relying of sed having support for \| as it doesn't on OS X.

Mon Jun 24 10:56:34 GMT 2013  Olly Betts <olly@survex.com>

	* perl/t/symbol-test/Makefile.PL: Pass $CPPFLAGS and $CXXFLAGS from
	  the environment through to the sub-build, fixing symbol-test.t
	  failure when built with CPPFLAGS=-D_GLIBCXX_DEBUG.

Sat Jun 22 06:26:34 GMT 2013  Olly Betts <olly@survex.com>

	* php/smoketest.php: If running under PHP >= 5.4, skip the tests we
	  know will fail with a message.

Sun May 12 06:16:06 GMT 2013  Olly Betts <olly@survex.com>

	* configure.ac: Handle git snapshot naming.

Wed May 08 11:21:23 GMT 2013  Olly Betts <olly@survex.com>

	* Makefile.am,generic/generic.mk: SVN -> git.

Thu May 02 23:21:10 GMT 2013  olly <olly@survex.com>

	* NEWS: Update release date.

Thu May 02 12:08:35 GMT 2013  Olly Betts <olly@survex.com>

	* NEWS,configure.ac: Update for 1.3.1.

Thu May 02 06:31:51 GMT 2013  Olly Betts <olly@survex.com>

	* NEWS: Update from ChangeLog.

Thu May 02 06:11:41 GMT 2013  Olly Betts <olly@survex.com>

	* README: Update details of tested and supported versions.  C#: drop
	  mentions of Portable.NET (which seems dead) and Mono 1.x (old);
	  Java: Require JDK 1.6 (1.5 is old and out of free support); Python:
	  Require 2.5 (was 2.4, but that's old now).

Thu May 02 05:47:58 GMT 2013  Olly Betts <olly@survex.com>

	* configure.ac: Change to use CLI rather than MONO to specify the
	  bytecode interpreter to use to run tests with.  Previously we'd
	  check the setting of MONO worked and then use "mono" (literally)
	  instead - since setting MONO didn't previously really work, we
	  haven't added compatibility handling for it.

Thu May 02 04:27:00 GMT 2013  Olly Betts <olly@survex.com>

	* HACKING: Add more Debian package requirements.

Wed May 01 07:05:45 GMT 2013  Olly Betts <olly@survex.com>

	* python/Makefile.am: Drop fixup after 2to3 as it is no longer needed,
	  and comment suggesting manual tweaks are probably needed.

Wed May 01 07:04:06 GMT 2013  Olly Betts <olly@survex.com>

	* python/testsuite2.py: Use iteritems() instead of items() as it's lazy
	  and works unchanged in Python 3 (change suggested by Richard Boulton).

Wed May 01 06:18:29 GMT 2013  olly <olly@survex.com>

	* python/smoketest3.py,python/testsuite3.py: Update Python 3 tests from
	  Python 2 versions using new 2to3 target.

Wed May 01 06:16:44 GMT 2013  olly <olly@survex.com>

	* python/Makefile.am: Add 2to3 rule for maintainers to help automate
	  updating the Python 3 version from the Python 2 one.

Wed May 01 05:39:13 GMT 2013  olly <olly@survex.com>

	* python/Makefile.am: Move comment about using -outdir to a more
	  logical place.

Fri Apr 26 10:32:59 GMT 2013  Olly Betts <olly@survex.com>

	* php/Makefile.am: Run add-php-ref-handling before add-php-type-hints
	  as the other order doesn't fully work.

Fri Apr 26 09:39:10 GMT 2013  Olly Betts <olly@survex.com>

	* Forward port change from branches/1.2:
	* php/Makefile.am,php/add-php-ref-handling,php/smoketest.php: Keep
	  references to the PHP wrapper object when an object is set on
	  another object.  (Fixes #614)

Fri Apr 26 09:08:32 GMT 2013  Olly Betts <olly@survex.com>

	* NEWS: Update from ChangeLog.

Mon Apr 22 05:25:34 GMT 2013  olly <olly@survex.com>

	* python/smoketest2.py: Need to raise exception, not just construct it!

Mon Apr 22 05:25:00 GMT 2013  olly <olly@survex.com>

	* python/testsuite2.py: Export TestFail class from testsuite.

Mon Apr 22 05:23:02 GMT 2013  olly <olly@survex.com>

	* python/testsuite2.py: Swap order of arguments in call to expect() so
	  error makes more sense.

Mon Apr 22 05:19:42 GMT 2013  olly <olly@survex.com>

	* HACKING: Document Debian packages needed for each language.

Sun Apr 21 07:08:10 GMT 2013  Olly Betts <olly@survex.com>

	* java/SmokeTest.java: Avoid using System.err.printf() which fails
	  to compile with the java compiler on atreus for some reason.

Sun Apr 21 07:05:42 GMT 2013  Olly Betts <olly@survex.com>

	* xapian-head.i: Defined XAPIAN_LIB_BUILD so that we don't get errors
	  about processing headers individually with SWIG.

Wed Apr 17 03:19:11 GMT 2013  Olly Betts <olly@survex.com>

	* NEWS: Update from 1.2.15 and ChangeLog.

Mon Apr 08 06:31:46 GMT 2013  Olly Betts <olly@survex.com>

	* csharp/Makefile.am,java/Makefile.am: Update for new class
	  TfIdfWeight.

Sat Apr 06 23:09:53 GMT 2013  Olly Betts <olly@survex.com>

	* tcl8/Makefile.am: Fix typo in AM_TESTS_ENVIRONMENT value.

Fri Apr 05 06:15:39 GMT 2013  Olly Betts <olly@survex.com>

	* perl/perl.i,perl/util.i.in: Fix PostingIterator wrapper to work.
	* perl/t/databasemodified.t,perl/t/index.t,perl/t/writabledatabase.t:
	  Add missing test coverage for this, and some other features.

Thu Apr 04 06:40:09 GMT 2013  Olly Betts <olly@survex.com>

	* Makefile.am,configure.ac,generic/generic.mk: Remove support for
	  'make QUIET=y' - automake now supports 'make V=0' which is broadly
	  equivalent and more standard.

Thu Apr 04 06:17:32 GMT 2013  Olly Betts <olly@survex.com>

	* configure.ac,perl/Makefile.am: Probe for 'prove' in configure.

Thu Apr 04 06:05:54 GMT 2013  Olly Betts <olly@survex.com>

	* configure.ac,csharp/Makefile.am,java/Makefile.am,lua/Makefile.am,
	  perl/Makefile.am,php/Makefile.am,python/Makefile.am,
	  python/run-python-test,ruby/Makefile.am,tcl8/Makefile.am: Fix the
	  tests to work with the new automake parallel test driver.

Thu Mar 28 04:27:46 GMT 2013  Olly Betts <olly@survex.com>

	* csharp/Makefile.am,java/Makefile.am: Update for new
	  ExpandDeciderFilterPrefix class.

Tue Mar 19 06:07:04 GMT 2013  Olly Betts <olly@survex.com>

	* python/Makefile.am: Fix dependency generation to take into account
	  the stamp file.

Mon Mar 18 10:59:39 GMT 2013  Olly Betts <olly@survex.com>

	* NEWS: Update from 1.2.14 and ChangeLog.

Mon Mar 18 04:11:01 GMT 2013  Olly Betts <olly@survex.com>

	* configure.ac: Fix deprecation warning from Ruby 1.9.3.

Thu Mar 14 09:56:27 GMT 2013  Olly Betts <olly@survex.com>

	* python/extra.i: Fix typo in doccomment.

Thu Mar 14 09:16:45 GMT 2013  Olly Betts <olly@survex.com>

	* csharp/Makefile.am,generic/generic.mk,java/Makefile.am,
	  perl/Makefile.am,php/Makefile.am,python/Makefile.am,ruby/Makefile.am,
	  swig-depcomp: Fix handling of stamp file by swig-depcomp script.

Sat Feb 16 02:08:29 GMT 2013  Olly Betts <olly@survex.com>

	* configure.ac: Allow TCL_INC to be passed to configure.  (fixes #612)

Wed Jan 23 00:07:52 GMT 2013  Olly Betts <olly@survex.com>

	* perl/t/10query.t: Perl 5.16.1 adds a '.' after "at foo line 123" so
	  adjust regexp in testcase to allow an optional '.' there.
	  (ticket#610)

Wed Jan 16 10:00:00 GMT 2013  Olly Betts <olly@survex.com>

	* NEWS: Start to update in preparation for 1.3.1 release.

Wed Jan 16 02:32:38 GMT 2013  Olly Betts <olly@survex.com>

	* ruby/smoketest.rb: Extend testcase to check returned MSet size.

Wed Jan 16 01:41:33 GMT 2013  Olly Betts <olly@survex.com>

	* configure.ac,generic/generic.mk: Improve workaround which allows
	  building against an uninstalled xapian-core on OS X - this should
	  now work with any uninstalled xapian-core (not only in a tree
	  with the same layout as an SVN or git checkout) and it also won't
	  try to build against "../xapian-core/.libs" just because it happens
	  to exist.  (Fixes #322)

Wed Jan 16 01:34:09 GMT 2013  Olly Betts <olly@survex.com>

	* java/run-java-test: Document how to run tests under gdb.

Wed Jan 16 01:30:28 GMT 2013  Olly Betts <olly@survex.com>

	* java/Makefile.am: Don't automatically pass -g to javac when in
	  maintainer-mode, as the two should really be orthogonal.  Instead
	  use JAVACFLAGS when running JAVAC to allow extra flags to be
	  specified by running "make JAVACFLAGS=-g".

Wed Jan 09 11:57:01 GMT 2013  Olly Betts <olly@survex.com>

	* NEWS: Update from ChangeLog and 1.2 branch.

Mon Dec 24 05:15:56 GMT 2012  Olly Betts <olly@survex.com>

	* perl/Search/Xapian/Stem.pm: Fix documentation typo.

Mon Dec 24 05:15:12 GMT 2012  Olly Betts <olly@survex.com>

	* perl/util.i.in: Update list of unwrapped things.

Mon Dec 24 04:42:42 GMT 2012  Olly Betts <olly@survex.com>

	* perl/Makefile.am,perl/t/stem.t: Add test that we can create all the
	  stemmers returned by Stem::get_available_languages().

Mon Dec 17 02:13:16 GMT 2012  Olly Betts <olly@survex.com>

	* README,php/docs/index.html: Bump minimum supported PHP version to
	  5.3 - 5.2 was officially EOLed 2011-01-06, and the only distros
	  which seem to still have PHP 5.2 are Ubuntu hardy (which will reach
	  EOL in April 2013) and older probably RHEL (which are aimed at the
	  ultra-conservative types who would likely be happy to stick with
	  Xapian 1.2 anyway.

Sat Oct 13 04:28:16 GMT 2012  Olly Betts <olly@survex.com>

	* perl/t/databasemodified.t,perl/t/index.t,perl/t/parser.t: Using
	  UNIVERSAL::isa() as a function is deprecated.

Sat Oct 13 02:57:22 GMT 2012  Olly Betts <olly@survex.com>

	* perl/t/parser.t: Forward port tests of StringValueRangeProcessor
	  with a prefix or suffix from 1.2's XS Search::Xapian.  (ticket#607)

Tue Aug 28 04:33:21 GMT 2012  Dan Colish <dcolish@gmail.com>

	* java/SmokeTest.java,java/java.i: Implement and test MSetIterator,
	  ESetIterator. Fix PostingIterator, ValueIterator, and TermIterator.

Sun Aug 12 05:45:32 GMT 2012  Dan Colish <dcolish@gmail.com>

	* java/Makefile.am,java/run-java-test: Remove jdb target from
	  Makefile.

Sun Aug 12 04:54:04 GMT 2012  Dan Colish <dcolish@gmail.com>

	* java/Makefile.am,java/SmokeTest.java,java/java.i: Add a typemap for
	  TermIterator pairs to String[] for the Enquire.getMatchingTerms
	  API. Use debug symbols when configured with MAINTAINER_MODE.

Sun Aug 12 04:46:59 GMT 2012  Dan Colish <dcolish@gmail.com>

	* java/Makefile.am,java/SmokeTest.java,java/java.i: Add typemap for
	  TermIterator pairs to String[] to conform with the
	  Enquire::getMatchingterms binding API. Build bindings with
	  debugging symbols.

Tue Jul 24 09:06:14 GMT 2012  Olly Betts <olly@survex.com>

	* lua/util.i: Fix functor wrappers which return strings to be zero-byte
	  clean.

Tue Jul 24 06:06:24 GMT 2012  Olly Betts <olly@survex.com>

	* lua/util.i: Fix wrapping of FieldProcessor.
	* lua/smoketest.lua: Add test coverage for wrapping of FieldProcessor.

Tue Jul 24 04:11:50 GMT 2012  Olly Betts <olly@survex.com>

	* php/smoketest.php: Fix XapianFieldProcessor testcase.

Tue Jul 24 03:45:15 GMT 2012  Olly Betts <olly@survex.com>

	* csharp/Makefile.am,java/Makefile.am,lua/util.i,perl/util.i.in,
	  python/extra.i,python/generate-python-exceptions,xapian-headers.i:
	  Wrap FieldProcessor.
	* php/smoketest.php: Add simple test of subclassing
	  XapianFieldProcessor.

Sat Jul 21 13:18:48 GMT 2012  Olly Betts <olly@survex.com>

	* lua/docs/examples/simpleexpand.lua,
	  lua/docs/examples/simplematchdecider.lua,
	  lua/docs/examples/simplesearch.lua: query:get_description() should
	  be str(query).  Fixes #600.
	* lua/docs/index.html: Document that get_description() is mapped to
	  str(), and end() to _end().

Thu Jul 12 05:11:26 GMT 2012  Olly Betts <olly@survex.com>

	* configure.ac: Overhaul checking the C# tools to use modern names in
	  preference.

Tue Jul 03 03:13:40 GMT 2012  Dan Colish <dcolish@gmail.com>

	* generic/.gitignore,php/.gitignore,tcl8/.gitignore: Update for
	  except.i generation

Tue Jul 03 03:10:19 GMT 2012  Dan Colish <dcolish@gmail.com>

	* configure.ac,generic/generic.mk:Configure DYLD_LIBRARY_PATH on OSX
	  separately from MACOSX_DEPLOYMENT_TARGET

Sun Jul 01 11:37:53 GMT 2012  Olly Betts <olly@survex.com>

	* NEWS: Update from ChangeLog and 1.2 branch.

Sun Jun 10 05:42:34 GMT 2012  Olly Betts <olly@survex.com>

	* csharp/Makefile.am,java/Makefile.am,lua/Makefile.am,perl/Makefile.am,
	  php/Makefile.am,python/Makefile.am,ruby/Makefile.am,
	  tcl8/Makefile.am: Fix recent swig-depcomp change to use '=' rather than
	  the apparently less portable ':='.

Mon Jun 04 12:07:08 GMT 2012  Olly Betts <olly@survex.com>

	* Makefile.am,configure.ac,csharp/csharp.i,fake_dbfactory.i,
	  java/java.i,lua/lua.i,perl/perl.i,php/php.i,python/python.i,
	  ruby/extra.i,ruby/ruby.i,ruby/xapian.rb,tcl8/tcl.i,xapian-headers.i,
	  xapian.i: For all languages except C# and Java, wrap the functions
	  declared in xapian/dbfactory.h by getting SWIG to parse the header.
	  This means we now wrap the WritableDatabase form of
	  Xapian::Auto::open_stub() for these languages.

Mon Jun 04 12:01:06 GMT 2012  Olly Betts <olly@survex.com>

	* swig-depcomp: Script which wraps a call to SWIG and tells it to
	  generate dependencies, and then adjust the generated dependencies.
	* csharp/Makefile.am,java/Makefile.am,lua/Makefile.am,perl/Makefile.am,
	  php/Makefile.am,python/Makefile.am,ruby/Makefile.am,tcl8/Makefile.am:
	  Use swig-depcomp.

Mon Jun 04 07:07:28 GMT 2012  Olly Betts <olly@survex.com>

	* xapian-headers.i,xapian.i: Wrap xapian/dbfactory.h functions
	  directly, except for C# and Java, where we use a fake class hack.
	* python/smoketest2.py: Enable test that WritableDatabase form of
	  xapian.open_stub() is now wrapped.
	* php/smoketest.php: Check that Xapian::Auto::open_stub() is wrapped
	  as Xapian::auto_open_stub().

Mon Jun 04 06:23:02 GMT 2012  Olly Betts <olly@survex.com>

	* python/smoketest2.py: Test xapian.open_stub() is wrapped.

Mon Jun 04 05:01:17 GMT 2012  Olly Betts <olly@survex.com>

	* python/smoketest2.py: Add tests that the database factory functions
	  are wrapped as we expected.

Mon Jun 04 04:47:06 GMT 2012  Olly Betts <olly@survex.com>

	* xapian-headers.i: Fix comment typo.

Mon Jun 04 04:46:41 GMT 2012  Olly Betts <olly@survex.com>

	* csharp/docs/index.html: Update Mono version tested with.

Sun Jun 03 22:51:29 GMT 2012  Olly Betts <olly@survex.com>

	* README: Fix 'Jit' -> 'it'.  Typo introduced in r15713.

Sun Jun 03 13:04:18 GMT 2012  Olly Betts <olly@survex.com>

	* xapian.i: Remove the old %extend Query constructors, as they are no
	  longer used for any of the languages.

Sun Jun 03 12:54:25 GMT 2012  Olly Betts <olly@survex.com>

	* lua/util.i,php/php.i,python/python.i,ruby/ruby.i,tcl8/tcl.i: Mark
	  XapianSWIGQueryItor implementations as random_access_iterator, and
	  implement XapianSWIGQueryItor::operator-(), so Xapian::Query's
	  template constructor knows how many elements to preallocate.

Sun Jun 03 11:48:31 GMT 2012  Olly Betts <olly@survex.com>

	* java/java.i: Use the XAPIAN_MIXED_SUBQUERIES_BY_ITERATOR_TYPEMAP
	  approach for Java too (though we don't actually support mixed
	  subqueries in the case of Java, so it's now a bit misnamed now!)

Sat Jun 02 12:41:12 GMT 2012  Olly Betts <olly@survex.com>

	* perl/t/parser.t: Fix accidentally pasted comment.

Sat Jun 02 12:39:58 GMT 2012  Olly Betts <olly@survex.com>

	* INSTALL,Makefile.am,README,debian/rules,doxygen_xml.conf.in,
	  generic/generic.mk,perl/t/: Change `...' quoting in prose to '...'.

Tue May 29 06:11:50 GMT 2012  Olly Betts <olly@survex.com>

	* xapian-headers.i,xapian.i: Only rename operator() for languages
	  where SWIG doesn't already.  SWIG's %rename comes first and that
	  means ours was ignored previously for some languages, which is
	  liable to cause confusion.

Tue May 29 05:26:22 GMT 2012  Olly Betts <olly@survex.com>

	* php/Makefile.am: Add dependency on new generated except.i.

Tue May 29 03:53:25 GMT 2012  Olly Betts <olly@survex.com>

	* generic/generate-generic-exceptions: Ensure that generic subdirectory
	  exists to handle srcdir!=builddir from a clean tree.

Mon May 28 07:22:39 GMT 2012  Olly Betts <olly@survex.com>

	* doxygen_xml.conf.in: Hide new function attribute macros, and the
	  less new deprecation macros, from doxygen.

Sun May 27 13:47:44 GMT 2012  Olly Betts <olly@survex.com>

	* Makefile.am,generic/except.i,generic/generate-generic-exceptions:
	  Generate generic/except.i so we can skip exception handling for
	  XAPIAN_NOTHROW methods for all the remaining SWIG-generated bindings.

Sun May 27 13:37:06 GMT 2012  Olly Betts <olly@survex.com>

	* php/Makefile.am,php/except.i,php/generate-php-exceptions: Generate
	  php/except.i so we can skip exception handling for XAPIAN_NOTHROW
	  methods.

Sun May 27 12:57:29 GMT 2012  Olly Betts <olly@survex.com>

	* tcl8/Makefile.am,tcl8/except.i,tcl8/generate-tcl-exceptions: Generate
	  tcl8/except.i so we can skip exception handling for XAPIAN_NOTHROW
	  methods.

Sun May 27 12:37:37 GMT 2012  Olly Betts <olly@survex.com>

	* lua/Makefile.am,perl/Makefile.am,python/Makefile.am: Ship the scripts
	  which generate the except.i files.

Sun May 27 12:13:29 GMT 2012  Olly Betts <olly@survex.com>

	* xapian-headers.i: Ignore Xapian API class constructor taking
	  Internal& instead of Internal* (as Query does, to avoid an
	  ambiguity for Query(NULL).

Sun May 27 12:12:45 GMT 2012  Olly Betts <olly@survex.com>

	* python/generate-python-exceptions: Fix to use tabs for indentation in
	  a couple of places where we were using spaces.

Sun May 27 11:48:56 GMT 2012  Olly Betts <olly@survex.com>

	* python/generate-python-exceptions: Don't name exception object we
	  don't inspect.

Sun May 27 10:08:25 GMT 2012  Olly Betts <olly@survex.com>

	* perl/perl.i: Pass 0 instead of NULL for non-pointer parameter to
	  av_fetch (spotted due to GCC 4.7 warning).

Sun May 27 07:32:47 GMT 2012  Olly Betts <olly@survex.com>

	* python/generate-python-exceptions: Remove superfluous ';' after
	  "namespace { [...] }".

Sun May 27 07:29:48 GMT 2012  Olly Betts <olly@survex.com>

	* lua/generate-lua-exceptions,perl/generate-perl-exceptions,
	  python/generate-python-exceptions: Have a single copyright statement
	  at the top of the script (in a $copyright variable), and substitute
	  this into the generated script.

Sun May 27 01:52:08 GMT 2012  Olly Betts <olly@survex.com>

	* lua/generate-lua-exceptions,perl/generate-perl-exceptions,
	  python/generate-python-exceptions: Use new XAPIAN_NOTHROW markers
	  in API headers to avoid generate exception handling code around
	  the calls SWIG generates to such functions and methods.

Sun May 27 01:51:28 GMT 2012  Olly Betts <olly@survex.com>

	* xapian-head.i: Hide XAPIAN_CONST_FUNCTION, XAPIAN_PURE_FUNCTION, and
	  XAPIAN_NOTHROW from SWIG.

Sun May 27 01:40:32 GMT 2012  Olly Betts <olly@survex.com>

	* generic/except.i: Don't name exceptions objects we don't inspect.

Tue May 22 08:21:43 GMT 2012  Olly Betts <olly@survex.com>

	* configure.ac,php/Makefile.am: Fix "make check" for PHP to work in a
	  VPATH build using a release tarball.

Tue May 15 11:41:05 GMT 2012  Olly Betts <olly@survex.com>

	* python/pythontest3.py: Sync with pythontest2.

Tue May 15 11:31:48 GMT 2012  Olly Betts <olly@survex.com>

	* NEWS: Update from ChangeLog and 1.2.10.

Thu May 10 09:23:02 GMT 2012  Olly Betts <olly@survex.com>

	* configure.ac: "checking ruby/io.h" -> "checking for ruby/io.h".

Wed May 09 03:23:44 GMT 2012  Olly Betts <olly@survex.com>

	* python/testsuite2.py: Explicitly suggest "make check VERBOSE=1" as a
	  simple way to rerun tests with verbose output.

Wed May 09 03:22:43 GMT 2012  Olly Betts <olly@survex.com>

	* xapian-headers.i: Wrap Xapian::DBCHECK_FIX properly so we don't get
	  xapian.cvar in Python.

Sun Apr 22 13:04:47 GMT 2012  Olly Betts <olly@survex.com>

	* csharp/Makefile.am,java/Makefile.am: Sort both the lists of expected
	  and of found SWIG-generated sources with Perl, to avoid problems with
	  locale-specific sort orders.

Sun Apr 22 11:00:21 GMT 2012  Olly Betts <olly@survex.com>

	* perl/t/writabledatabase.t: Forward port additional test coverage
	  for Database::close() from Search::Xapian in 1.2 branch.

Mon Apr 16 23:02:18 GMT 2012  Olly Betts <olly@survex.com>

	* configure.ac: Make sure the ruby subdirectory exists before
	  trying to create ruby/rubyio.h, so this works in a VPATH
	  build from a clean tree.

Mon Apr 16 06:47:58 GMT 2012  Olly Betts <olly@survex.com>

	* csharp/AssemblyInfo.cs.in,csharp/Makefile.am: Use -keyfile and
	  -keycontainer options to the C# compiler, because it warns us
	  to do this instead of setting them in AssemblyInfo.cs.

Mon Apr 16 06:39:25 GMT 2012  Olly Betts <olly@survex.com>

	* java/Makefile.am: Remove now superfluous old check that SWIG
	  generated at least the sources we wanted - we now check it generated
	  *exactly* the sources we wanted.

Mon Apr 16 06:34:30 GMT 2012  Olly Betts <olly@survex.com>

	* csharp/Makefile.am,java/Makefile.am: Use diff's -c option when
	  comparing the files SWIG generated against those we were expecting to
	  get as the output should be easier to understand.

Wed Apr 11 02:54:46 GMT 2012  Olly Betts <olly@survex.com>

	* python/smoketest3.py,python/testsuite3.py: Update Python 3 tests
	  from Python 2 versions using 2to3.

Thu Apr 05 04:25:45 GMT 2012  Olly Betts <olly@survex.com>

	* README,configure.ac,lua/docs/index.html,lua/util.i: Fix compatibility
	  with Lua 5.2.

Thu Apr 05 04:23:22 GMT 2012  Olly Betts <olly@survex.com>

	* lua/smoketest.lua: Remove bogus \ before q.

Thu Apr 05 03:45:08 GMT 2012  Olly Betts <olly@survex.com>

	* lua/smoketest.lua: Convert tabs to spaces.

Thu Apr 05 03:43:52 GMT 2012  Olly Betts <olly@survex.com>

	* lua/smoketest.lua: Check behaviour of "require 'xapian'" - SWIG 2.0.4
	  and earlier got this wrong.  Part of patch from istr in #593, plus
	  a few tweaks.

Thu Apr 05 03:28:50 GMT 2012  Olly Betts <olly@survex.com>

	* lua/smoketest.lua: Improve expect() function to take an option
	  failure message, to report how values differed, and to compare tables
	  in a smarter way.  Part of patch from istr in #593.

Thu Apr 05 02:46:21 GMT 2012  Olly Betts <olly@survex.com>

	* perl/t/thread.t,perl/t/writabledatabase.t: Remove #! lines with -W
	  to fix "Name "Test::More::TODO" used only once: possible typo at
	  /usr/share/perl/5.14/Exporter/Heavy.pm line 190." warnings.

Wed Apr 04 14:06:47 GMT 2012  Olly Betts <olly@survex.com>

	* python/docs/examples/simpleexpand.py: Update to not use deprecated
	  MSet iteration features which have been removed on trunk.  This
	  also fixes a segfault if there are no matches and no documents
	  are explicitly marked as relevant.

Wed Mar 28 09:22:48 GMT 2012  Olly Betts <olly@survex.com>

	* xapian-head.i: Update for new deprecation macros.

Fri Mar 23 00:42:11 GMT 2012  Olly Betts <olly@survex.com>

	* php/smoketest.php: More tests of geospatial API.

Thu Mar 22 23:49:50 GMT 2012  Olly Betts <olly@survex.com>

	* perl/util.i.in: Avoid importing isa from UNIVERSAL to fix Perl 5.12
	  deprecation warning.

Tue Mar 20 02:04:51 GMT 2012  Olly Betts <olly@survex.com>

	* php/smoketest.php: More tests of geospatial API.

Sun Mar 18 00:38:48 GMT 2012  Dan Colish <dcolish@gmail.com>

	* .gitignore: Ignore doxygen artifacts

Wed Mar 14 02:25:51 GMT 2012  Olly Betts <olly@survex.com>

	* NEWS: Update from 1.2.9 and ChangeLog for 1.3.0.

Tue Mar 13 22:41:01 GMT 2012  Olly Betts <olly@survex.com>

	* php/smoketest.php: Test constructing XapianLatLongCoord.

Tue Mar 13 00:32:37 GMT 2012  Olly Betts <olly@survex.com>

	* php/add-php-type-hints: Fix typo "XapianStemmer" -> "XapianStem".
	* php/smoketest.php: Add regression test coverage.

Thu Mar 08 05:51:38 GMT 2012  Olly Betts <olly@survex.com>

	* perl/t/: Enable warnings for all test cases and make them fatal.

Thu Mar 08 05:37:47 GMT 2012  Olly Betts <olly@survex.com>

	* perl/t/symbol-test.t: Remove lingering reference to @args which is
	  no longer set, and enable warnings and make them fatal so we don't
	  regress on this.

Fri Jan 27 01:21:18 GMT 2012  Olly Betts <olly@survex.com>

	* perl/t/10query.t: Check that Search::Xapian::Query->new("") works.

Fri Jan 27 01:19:45 GMT 2012  Olly Betts <olly@survex.com>

	* perl/perl.i: Fix Search::Xapian->new() to work.
	* perl/t/10query.t: Add testcase for this.

Thu Jan 26 23:41:55 GMT 2012  Olly Betts <olly@survex.com>

	* perl/perl.i: Add "use Carp;" where we use functions from that module.
	* perl/t/10query.t: Add regression test.

Fri Jan 20 23:53:12 GMT 2012  Olly Betts <olly@survex.com>

	* perl/t/document.t,perl/t/index.t: Add tests of Document::get_docid().

Thu Jan 19 00:19:52 GMT 2012  Olly Betts <olly@survex.com>

	* java/Makefile.am: Update list of generated files for the geospatial
	  API.

Thu Jan 19 00:17:11 GMT 2012  Olly Betts <olly@survex.com>

	* xapian-headers.i: Ignore unserialise() variant taking const char**
	  and Database::check() variant taking std::ostream &.

Wed Jan 18 13:43:55 GMT 2012  Olly Betts <olly@survex.com>

	* xapian-headers.i: Handle DBCHECK_* constants like we do DB_* ones.
	  Factor out this special handliing into a SWIG macro called CONSTANT.

Wed Jan 18 13:22:34 GMT 2012  Olly Betts <olly@survex.com>

	* csharp/Makefile.am: Update list of generated file for geospatial API.

Wed Jan 18 10:41:41 GMT 2012  Olly Betts <olly@survex.com>

	* csharp/Makefile.am,python/extra.i,python/pythontest2.py,
	  ruby/smoketest.rb,ruby/xapian.rb,xapian-headers.i: Merge bindings
	  changes for geospatial API.

Wed Jan 04 06:03:09 GMT 2012  Olly Betts <olly@survex.com>

	* php/smoketest.php: Add a test that Query ctor taking OP_NEAR with a
	  window size works.

Fri Dec 30 13:44:17 GMT 2011  Olly Betts <olly@survex.com>

	* perl/perl.i: Refactor to use XapianSWIGQueryItor class instead
	  of temporary std::vector<Xapian::Query> (but not via a SWIG
	  typemap currently).

Fri Dec 30 13:17:15 GMT 2011  Olly Betts <olly@survex.com>

	* lua/util.i: Add begin() and end() methods to XapianSWIGQueryItor
	  instead of using ctors and assignment.

Fri Dec 30 13:16:00 GMT 2011  Olly Betts <olly@survex.com>

	* lua/util.i: Improve error message.

Fri Dec 30 13:13:12 GMT 2011  Olly Betts <olly@survex.com>

	* lua/util.i: Eliminate "else" after "return".

Fri Dec 30 13:12:34 GMT 2011  Olly Betts <olly@survex.com>

	* lua/util.i: Remove "return;" at end of function.

Fri Dec 30 13:09:00 GMT 2011  Olly Betts <olly@survex.com>

	* lua/util.i: Fix typo in error message.

Fri Dec 30 13:07:06 GMT 2011  Olly Betts <olly@survex.com>

	* lua/util.i: Reindent and fix other whitespace oddities.

Fri Dec 30 12:23:38 GMT 2011  Olly Betts <olly@survex.com>

	* php/php.i: Add begin() method to XapianSWIGQueryItor instead of
	  using a ctor and assignment.

Fri Dec 30 03:15:31 GMT 2011  Olly Betts <olly@survex.com>

	* ruby/ruby.i: Add begin() and end() methods to XapianSWIGQueryItor
	  as that's clearer than overloaded ctors with dummy parameters.

Fri Dec 30 01:59:46 GMT 2011  Olly Betts <olly@survex.com>

	* csharp/Makefile.am,xapian.i: We don't use
	  XAPIAN_MIXED_SUBQUERIES_BY_ITERATOR_TYPEMAP for C#, but we also don't
	  use the fake ctors added by %extend if this isn't defined, so also
	  skip them if SWIGCSHARP is defined.

Fri Dec 30 01:18:03 GMT 2011  Olly Betts <olly@survex.com>

	* xapian.i: While we don't currently use
	  XAPIAN_MIXED_SUBQUERIES_BY_ITERATOR_TYPEMAP for perl, we also don't
	  use the fake ctors added by %extend if this isn't defined, so also
	  skip them if SWIGPERL is defined.

Fri Dec 30 01:13:31 GMT 2011  Olly Betts <olly@survex.com>

	* xapian.i: Remove left-over comment associated with
	  XAPIAN_MIXED_VECTOR_QUERY_INPUT_TYPEMAP.

Fri Dec 30 01:05:52 GMT 2011  Olly Betts <olly@survex.com>

	* python/python.i: Use a SWIG freearg typemap to release the fast
	  sequence object when we're done with it, rather than carefully
	  adjusting its reference count when the iterator objects get copied or
	  assigned.

Fri Dec 30 00:54:51 GMT 2011  Olly Betts <olly@survex.com>

	* xapian.i: Remove XAPIAN_MIXED_VECTOR_QUERY_INPUT_TYPEMAP, since none
	  of the currently supported languages now use it, and we should use
	  the XAPIAN_MIXED_SUBQUERIES_BY_ITERATOR_TYPEMAP approach for all
	  future languages which have containers which allow mixed content.

Fri Dec 30 00:53:07 GMT 2011  Olly Betts <olly@survex.com>

	* python/python.i,python/util.i: Implement
	  XAPIAN_MIXED_SUBQUERIES_BY_ITERATOR_TYPEMAP approach for Python.

Fri Dec 30 00:04:27 GMT 2011  Olly Betts <olly@survex.com>

	* python/pythontest2.py: Use list comprehensions rather than append
	  loops.

Thu Dec 29 23:26:18 GMT 2011  Olly Betts <olly@survex.com>

	* python/testsuite2.py: Rephrase so VERBOSE=1 is there to cut and
	  paste.

Thu Dec 29 22:52:20 GMT 2011  Olly Betts <olly@survex.com>

	* python/testsuite2.py: Don't run off the traceback looking for a
	  test function if the exception wasn't from a test function.

Thu Dec 29 11:35:51 GMT 2011  Olly Betts <olly@survex.com>

	* csharp/SmokeTest.cs,java/SmokeTest.java,lua/smoketest.lua,
	  perl/t/10query.t,perl/t/parser.t,perl/t/search.t,php/smoketest.php,
	  python/pythontest2.py,python/smoketest2.py,python/testsuite2.py,
	  ruby/smoketest.rb,tcl8/smoketest.tcl,xapian-headers.i,xapian.i:
	  Update for Query internals changes.

Thu Dec 29 11:20:48 GMT 2011  Olly Betts <olly@survex.com>

	* configure.ac: Fix test for jni.h to try looking for jni.h relative to
	  the real location of javac, which should work for more JDKs.

Fri Dec 23 01:25:56 GMT 2011  Olly Betts <olly@survex.com>

	* python/python.i: If configure didn't find a way to do TLS, fall back
	  to using pthread_getspecific() etc, which should work on Mac OS X.

Thu Dec 22 12:00:57 GMT 2011  Olly Betts <olly@survex.com>

	* perl/t/databasemodified.t,perl/t/index.t,perl/t/writabledatabase.t:
	  Fix "Use of qw(...) as parentheses is deprecated" warnings in tests
	  with Perl 5.14.

Wed Dec 21 13:48:27 GMT 2011  Olly Betts <olly@survex.com>

	* php/add-php-type-hints: Don't add a type hint to apply($doc) as that
	  would break existing subclasses as the signature must match.

Wed Dec 21 10:06:30 GMT 2011  Olly Betts <olly@survex.com>

	* perl/Search/Xapian/Document.pm,perl/Search/Xapian/TermGenerator.pm:
	  Improve POD docs for Document and TermGenerator methods - "weight"
	  is misleading, so use "wdfinc" and "wdfdec" like the C++ API docs
	  do.

Wed Dec 21 10:05:48 GMT 2011  Olly Betts <olly@survex.com>

	* lua/util.i,perl/perl.i: Change Xapian::weight to double.

Wed Dec 21 08:43:37 GMT 2011  Olly Betts <olly@survex.com>

	* php/add-php-type-hints: XapianSorter should be XapianKeyMaker.

Wed Dec 21 08:42:57 GMT 2011  Olly Betts <olly@survex.com>

	* php/Makefile.am: Rebuild wrappers if "add-php-type-hints" changes.

Wed Dec 21 04:12:36 GMT 2011  Olly Betts <olly@survex.com>

	* php/Makefile.am,php/add-php-type-hints: Add PHP type hints to the
	  class wrappers.  Fixes ticket#577.

Tue Dec 20 11:03:37 GMT 2011  Olly Betts <olly@survex.com>

	* README,configure.ac,python/docs/index.html,python/python.i: Handle
	  the GIL in a way which also works in sub-interpreters.  Fixes
	  ticket #364.
	* python/pythontest2.py: Run tests as before, and then (if Python
	  supports threads) in a separate thread.

Mon Dec 19 10:19:06 GMT 2011  Olly Betts <olly@survex.com>

	* configure.ac: Improve description of PERL_SO.

Mon Dec 19 10:18:36 GMT 2011  Olly Betts <olly@survex.com>

	* configure.ac: Fix cosmetic typo in recent Lua change.

Mon Dec 19 10:11:30 GMT 2011  Olly Betts <olly@survex.com>

	* configure.ac,lua/Makefile.am: Remove Lua cygwin-specific configure
	  code and -DUSE_LUA_STUBS - both were copied from the Tcl support
	  with Tcl changed to Lua, and have no basis in reality that I can
	  find.

Mon Dec 19 09:08:15 GMT 2011  Olly Betts <olly@survex.com>

	* configure.ac,lua/Makefile.am: Improve probing for LUA_LIB, and also
	  probe for LUA_SO so we support platforms where the compiled Lua
	  module isn't called .so.

Sun Dec 18 02:04:16 GMT 2011  Olly Betts <olly@survex.com>

	* configure.ac: Improve LUA_LIB description and probe message - the
	  module won't have an ".so" extension on all platforms.

Sun Dec 18 01:55:39 GMT 2011  Olly Betts <olly@survex.com>

	* configure.ac: m4 quoting tweaks (cosmetic only).

Sun Dec 18 01:50:48 GMT 2011  Olly Betts <olly@survex.com>

	* configure.ac: Honour LUA_LIB if already set.  Fixes #581.

Thu Dec 15 14:44:09 GMT 2011  Olly Betts <olly@survex.com>

	* perl/generate-perl-exceptions: Remove superfluous ';' after closing
	  '}' of namespace.  Tweak whitespace.

Thu Dec 15 12:50:42 GMT 2011  Olly Betts <olly@survex.com>

	* generic/except.i: Correct comments about how and where this file gets
	  included - this changed in the major restructuring a few months ago.
	* generic/except.i,php/except.i,tcl8/except.i: Return
	  Error::get_description() rather than get_type + ": " + get_msg().  In
	  many cases this is the same, but if context or errno are available,
	  get_description() includes them.  Catch and report std::exception
	  rather than handling it as an unknown error (so in particular
	  std::bad_alloc will now be reported more helpfully).

Thu Dec 15 12:30:15 GMT 2011  Olly Betts <olly@survex.com>

	* perl/generate-perl-exceptions: Whitespace tweak.

Thu Dec 15 11:40:39 GMT 2011  Olly Betts <olly@survex.com>

	* lua/docs/index.html,lua/generate-lua-exceptions,lua/smoketest.lua,
	  lua/util.i: Handle an exception from C++ by raising a xapian.Error
	  object as an error in Lua.  Rename get_description() methods to
	  __tostring(), so that you can use write tostring(obj) in Lua.  Fix
	  indentation not to assume tabs are two spaces.

Wed Dec 14 10:54:03 GMT 2011  Olly Betts <olly@survex.com>

	* lua/generate-lua-exceptions: Restore other copyright holders to
	  generated file - it seems likely this constitutes a derived work
	  and it is better to err on the side of caution.

Tue Dec 13 14:29:34 GMT 2011  Olly Betts <olly@survex.com>

	* NEWS: Update from 1.2.8 and ChangeLog.

Sun Oct 30 21:42:48 GMT 2011  Richard Boulton <richard@tartarus.org>

	* python/Makefile.am: Add module_top.py to tarballs.

Sat Oct 29 15:05:34 GMT 2011  Olly Betts <olly@survex.com>

	* python/Makefile.am,python/module_top.py: Add a module docstring
	  (fixes #573).

Wed Oct 05 13:31:25 GMT 2011  Olly Betts <olly@survex.com>

	* ruby/smoketest.rb,ruby/xapian.rb: Wrap optional prefix parameter to
	  Database::allterms.

Mon Aug 22 11:22:34 GMT 2011  Olly Betts <olly@survex.com>

	* python/pythontest2.py: Use "if x is not None:" rather than "if x !=
	  None:" (PEP 8).

Wed Aug 17 11:07:41 GMT 2011  Olly Betts <olly@survex.com>

	* lua/Makefile.am: Add dependency on except.i so it gets (re)generated
	  when it should.

Wed Aug 17 10:11:52 GMT 2011  Olly Betts <olly@survex.com>

	* lua/Makefile.am,lua/docs/examples/simpleexpand.lua,lua/: Merge latest
	  Lua improvements from Xiaona Han.

Mon Aug 15 01:28:51 GMT 2011  Olly Betts <olly@survex.com>

	* python/doxy2swig.py,python/pythontest2.py,python/testsuite2.py:
	  Remove trailing whitespace.

Mon Aug 15 01:19:06 GMT 2011  Olly Betts <olly@survex.com>

	* python/pythontest2.py,python/testsuite2.py: Move the check for
	  leaked objects into the testsuite harness so all tests get checked,
	  not just the two which are regression tests for leaks in older
	  versions.  This also gives us a single place to disable it if it
	  should prove problematic in alternative Python implementations.

Sun Aug 14 12:45:09 GMT 2011  Olly Betts <olly@survex.com>

	* python/pythontest2.py: In test_matchingterms_iter, run the code
	  we're testing for leaks twice, and only check for leaks the second
	  time to avoid falsely reporting a leak when some cached value gets
	  initialised under Python 2.5.

Fri Aug 12 23:18:20 GMT 2011  Olly Betts <olly@survex.com>

	* NEWS: Update from 1.2.7 and ChangeLog.

Mon Aug 08 03:35:23 GMT 2011  Olly Betts <olly@survex.com>

	* java/SmokeTest.java: Fix == comparisons with literal strings.

Thu Aug 04 07:34:14 GMT 2011  Olly Betts <olly@survex.com>

	* xapian-headers.i,xapian.i: Wrap iterator operator++ and operator--
	  methods with a new INC_OR_DEC macro, replacing the old NEXT and
	  PREV macros.

Thu Aug 04 07:21:36 GMT 2011  Olly Betts <olly@survex.com>

	* xapian-head.i,xapian-headers.i: We no longer need special handling
	  for ValueIteratorEnd_ in the bindings, as that hack is gone from the
	  C++ API headers.

Thu Aug 04 07:15:53 GMT 2011  Olly Betts <olly@survex.com>

	* xapian-head.i,xapian.i: Update for the Xapian::timeout -> useconds_t
	  change.

Thu Aug 04 06:45:38 GMT 2011  Olly Betts <olly@survex.com>

	* configure.ac: JAVA_CXXFLAGS is no longer used, so remove it.

Thu Aug 04 00:24:22 GMT 2011  Olly Betts <olly@survex.com>

	* configure.ac: Add --disable-visibility option to match xapian-core.

Thu Aug 04 00:04:47 GMT 2011  Olly Betts <olly@survex.com>

	* configure.ac: Add -fshow-column for GCC.

Tue Aug 02 03:49:27 GMT 2011  Olly Betts <olly@survex.com>

	* perl/t/symbol-test.t: Fix to work when built against an installed
	  xapian-core.  (ticket#558)

Sat Jul 30 12:05:02 GMT 2011  Olly Betts <olly@survex.com>

	* Makefile.am,configure.ac,doxygen_xml.conf.in,python/Makefile.am,
	  ruby/Makefile.am,ruby/generate-rdoc-stubs: Run doxygen to generate
	  XML for the bindings in the bindings build system, not as a
	  side-effect in xapian-core's.  (ticket#262)

Sat Jul 30 06:22:37 GMT 2011  Olly Betts <olly@survex.com>

	* configure.ac,csharp/Makefile.am,generic/generic.mk,java/Makefile.am,
	  lua/Makefile.am,perl/Makefile.am,php/Makefile.am,python/Makefile.am,
	  ruby/Makefile.am,tcl8/Makefile.am: Don't put -Werror in SWIG_FLAGS
	  - instead put it in a new SWIG_WERROR variable, so that it's easy
	  to override it if you're getting a new warning from SWIG but want
	  to just ignore it for the time being.

Fri Jul 29 13:49:51 GMT 2011  Olly Betts <olly@survex.com>

	* php/smoketest.php: Add regression test for recently fixed SWIG bug
	  which caused "return $r;" to be generated in some cases when $r
	  wasn't set.

Fri Jul 29 03:41:02 GMT 2011  Olly Betts <olly@survex.com>

	* php/smoketest.php: Install an error handler so the test fails if
	  there are any errors, warnings, notices, etc.

Mon Jul 25 07:36:26 GMT 2011  Olly Betts <olly@survex.com>

	* java/SmokeTest.java: Add test that string passing is zero byte safe.

Mon Jul 25 06:42:31 GMT 2011  Olly Betts <olly@survex.com>

	* java/SmokeTest.java: Fix MyExpandDecider.accept to really check the
	  passed parameter.

Mon Jul 25 05:52:29 GMT 2011  Olly Betts <olly@survex.com>

	* xapian.i: Don't return iterator from C# Next() and Prev() methods by
	  reference as that results in it being eligible for garbage collection
	  while we're still using it.
	* csharp/SmokeTest.cs: Add regression test.

Sat Jul 23 15:27:27 GMT 2011  Olly Betts <olly@survex.com>

	* lua/util.i: Whitespace tweaks.

Sat Jul 23 15:18:24 GMT 2011  Olly Betts <olly@survex.com>

	* lua/docs/examples/simpleexpand.lua,
	  lua/docs/examples/simplematchdecider.lua,
	  lua/docs/examples/simplesearch.lua,lua/docs/index.html,
	  lua/smoketest.lua,lua/util.i: Merge latest Lua changes from Xiaona
	  Han.

Thu Jul 07 23:28:24 GMT 2011  Olly Betts <olly@survex.com>

	* Makefile.am: Restore ruby to DIST_SUBDIRS (accidentally removed when
	  java-swig was renamed to java).

Wed Jul 06 12:26:38 GMT 2011  Olly Betts <olly@survex.com>

	* lua/Makefile.am: Include new example in tarball.

Tue Jul 05 02:10:02 GMT 2011  Olly Betts <olly@survex.com>

	* python/python.i: By default, SWIG's thread locking code for Python
	  always initialises threads, which just adds overhead for single
	  threaded Python code.  So instead we now replace SWIG's thread
	  locking with a version which does nothing unless threads are already
	  initialised.  This seems to be about 5-10% faster for pythontest2.py
	  modified to repeat the tests 100 times.

Tue Jul 05 01:32:07 GMT 2011  Olly Betts <olly@survex.com>

	* lua/docs/examples/simplematchdecider.lua: Wrap comment to <80
	  characters.

Tue Jul 05 01:25:49 GMT 2011  Olly Betts <olly@survex.com>

	* lua/docs/examples/simplematchdecider.lua: New example from Xiaona
	  Han's git repo.
	* lua/docs/index.html: Add link to simplematchdecider.lua.

Mon Jul 04 15:04:36 GMT 2011  Olly Betts <olly@survex.com>

	* lua/smoketest.lua,lua/util.i: Fix whitespace inconsistencies.

Mon Jul 04 14:58:34 GMT 2011  Olly Betts <olly@survex.com>

	* lua/docs/index.html,lua/smoketest.lua,lua/util.i: Merge latest Lua
	  changes from Xiaona Han.

Mon Jul 04 01:35:50 GMT 2011  Olly Betts <olly@survex.com>

	* java/Makefile.am: Use the same NEED_JNILIB_EXT machinery which the
	  hand-coded JNI bindings had, so that on Mac OS X the JNI library
	  has a .jnilib extension.

Sun Jul 03 11:01:21 GMT 2011  Olly Betts <olly@survex.com>

	* java-swig/: Actually rename to java/.

Sun Jul 03 10:36:13 GMT 2011  Olly Betts <olly@survex.com>

	* java/: Actually remove the old hand-coded JNI Java bindings.

Wed Jun 29 22:38:29 GMT 2011  Olly Betts <olly@survex.com>

	* php/Makefile.am,php/docs/examples/,php/smoketest.php: Change
	  'include "php5/xapian.php"' to 'include "xapian.php"' in
	  smoketest.php and the examples, and set include_path=php5 in
	  TESTS_ENVIRONMENT so smoketest.php finds the uninstalled
	  xapian.php.

Wed Jun 29 01:04:51 GMT 2011  Olly Betts <olly@survex.com>

	* csharp/SmokeTest.cs: Add test coverage for QueryParser.ParseQuery()
	  with flags argument.

Wed Jun 29 00:00:25 GMT 2011  Olly Betts <olly@survex.com>

	* Makefile.am,configure.ac: Rename java-swig subdirectory to java.

Tue Jun 28 23:52:13 GMT 2011  Olly Betts <olly@survex.com>

	* lua/smoketest.lua: Add simple test for
	  Database::positionlist_begin().

Tue Jun 28 12:14:17 GMT 2011  Olly Betts <olly@survex.com>

	* NEWS: Update from ChangeLog.

Mon Jun 27 15:22:22 GMT 2011  Olly Betts <olly@survex.com>

	* python/Makefile.am,python/python.i,python/util.i: If
	  MAINTAINER_NO_DOCS is true, then just create an empty doccomments.i
	  rather then carefully arranging not to include it.

Mon Jun 27 15:04:59 GMT 2011  Olly Betts <olly@survex.com>

	* python/extra.i: Clarify that extra.i is for extra *Python* code.

Mon Jun 27 14:39:26 GMT 2011  Olly Betts <olly@survex.com>

	* TODO: Wrapping Xapian::Weight isn't possible. (ticket#401)

Mon Jun 27 14:34:24 GMT 2011  Olly Betts <olly@survex.com>

	* perl/perl.i,perl/util.i.in: Move the SWIG typemaps into perl.i,
	  leaving just the %perlcode in util.i.in.

Mon Jun 27 14:23:54 GMT 2011  Olly Betts <olly@survex.com>

	* xapian.i: Remove %module line which is no longer used.

Mon Jun 27 14:10:19 GMT 2011  Olly Betts <olly@survex.com>

	* perl/util.i.in: WritableDatabase::delete_document() was broken by
	  the migration to wrapping <xapian/database.h> directly - now fixed
	  and cleaned up how we wrap delete_document_by_term(),
	  replace_document() and replace_document_by_term().

Mon Jun 27 11:21:10 GMT 2011  Olly Betts <olly@survex.com>

	* tcl8/tcl.i: Use the iterator approach for wrapping the mixed array
	  Query ctor in Tcl.

Mon Jun 27 11:05:10 GMT 2011  Olly Betts <olly@survex.com>

	* ruby/ruby.i: Use the iterator approach for wrapping the mixed array
	  Query ctor in Ruby.

Mon Jun 27 08:18:02 GMT 2011  Olly Betts <olly@survex.com>

	* php/php.i,xapian.i: Wrap the XapianQuery ctor which takes a mixed
	  array of XapianQuery objects and strings by defining an iterator so
	  subqueries get added directly rather than creating an intermediate
	  std::vector.

Mon Jun 27 03:08:40 GMT 2011  Olly Betts <olly@survex.com>

	* php/php.i: Tweak the phpinfo() generation code.

Mon Jun 27 02:40:29 GMT 2011  Olly Betts <olly@survex.com>

	* java-swig/docs/examples/SimpleIndex.java: Update to use commit()
	  rather than flush().  Remove reference to quartz.

Sun Jun 26 15:32:50 GMT 2011  Olly Betts <olly@survex.com>

	* xapian-headers.i,xapian.i: Wrap <xapian/query.h> in xapian-headers.i,
	  except for the current %extend part which I'm looking to reimplement
	  in a slicker way.

Sun Jun 26 14:54:09 GMT 2011  Olly Betts <olly@survex.com>

	* ruby/ruby.i: Fix to work with direct wrapping on xapian/enquire.h
	  - the signature in that file has Xapian:: qualifiers on the
	  arguments types for set_query() so it wasn't getting renamed.
	  Missed this because of incorrect dependencies, as fixed in the
	  last commit.

Sun Jun 26 14:47:20 GMT 2011  Olly Betts <olly@survex.com>

	* ruby/Makefile.am: Fix automatic dependency generation for files
	  generated by SWIG.

Sun Jun 26 14:09:33 GMT 2011  Olly Betts <olly@survex.com>

	* csharp/docs/index.html,java-swig/docs/index.html: Document wrapping
	  of MatchAll and MatchNothing.

Sun Jun 26 10:24:55 GMT 2011  Olly Betts <olly@survex.com>

	* csharp/SmokeTest.cs,csharp/csharp.i,java-swig/SmokeTest.java,
	  java-swig/java.i: Wrap Query::MatchAll and Query::MatchNothing for C#
	  and Java. (ticket#158)

Sun Jun 26 03:35:43 GMT 2011  Olly Betts <olly@survex.com>

	* php/docs/index.html,php/smoketest.php,xapian.i: Wrap MatchAll and
	  MatchNothing for PHP as XapianQuery::MatchAll() and
	  XapianQuery::MatchNothing(). (ticket#158)

Sat Jun 25 15:58:08 GMT 2011  Olly Betts <olly@survex.com>

	* xapian-headers.i,xapian.i: Wrap <xapian/weight.h> using the new
	  macros.

Sat Jun 25 15:38:14 GMT 2011  Olly Betts <olly@survex.com>

	* xapian-headers.i,xapian.i: Wrap <xapian/valuesetmatchdecider.h> in
	  xapian-headers.i.

Sat Jun 25 15:32:31 GMT 2011  Olly Betts <olly@survex.com>

	* xapian-headers.i,xapian.i: Wrap Xapian::Stem using the new macros.

Sat Jun 25 15:15:19 GMT 2011  Olly Betts <olly@survex.com>

	* csharp/Makefile.am,java-swig/Makefile.am: Upon "make
	  maintainer-clean", delete the directories which we get SWIG to
	  generate the source files into, and also the 'built' subdirectory for
	  java-swig.

Sat Jun 25 15:10:21 GMT 2011  Olly Betts <olly@survex.com>

	* java-swig/Makefile.am: Port over from csharp/Makefile.am the smarter
	  check that we got exactly the sources generated which we wanted.
	  Add missing new source ExpandDeciderAnd.java.

Sat Jun 25 15:08:59 GMT 2011  Olly Betts <olly@survex.com>

	* csharp/Makefile.am: Delete all files in generated-csharp before
	  running swig, not just those in $(XAPIAN_SWIG_CS_SRCS).

Sat Jun 25 15:01:48 GMT 2011  Olly Betts <olly@survex.com>

	* csharp/Makefile.am,xapian-headers.i,xapian.i: Wrap enquire.h and
	  expanddecider.h by parsing the headers directly.  Wrap ExpandDecider
	  even if we don't have director support - there's a
	  ExpandDeciderFilterTerms subclass which is useful in itself, though
	  it still needs some typemap work to actually get it usefully wrapped.
	  Ignore copy ctors for all classes (rather than just some) for all
	  languages except Tcl where we now consistently ignore none of them.

Sat Jun 25 11:13:34 GMT 2011  Olly Betts <olly@survex.com>

	* python/util.i: Rename SWIG_anystring_as_ptr to
	  XapianSWIG_anystring_as_ptr as it's not a part of SWIG itself.
	  Handle generating XapianSWIG_anystring_as_ptr in the right place
	  in the file by specifying it with %fragment, and specify its
	  dependency on the fragment SWIG_AsPtr_std_string.

Sat Jun 25 07:50:56 GMT 2011  Olly Betts <olly@survex.com>

	* csharp/Makefile.am: Put the generated C# sources into a subdirectory
	  to make it easier to manage them.  Check that exactly the sources in
	  XAPIAN_SWIG_CS_SRCS are generated previously we checked that the
	  sources in that list were generated, but not if extra ones were).
	  Add six missing sources to XAPIAN_SWIG_CS_SRCS.

Fri Jun 24 17:16:19 GMT 2011  Olly Betts <olly@survex.com>

	* xapian-headers.i,xapian.i: Wrap Database and WritableDatabase by
	  using %include <xapian/database.h>.  Adds missing wrappers for
	  Database::has_positions(), wrapping of Database::reopen()'s new
	  bool return type, and corrects the return type of
	  Database::get_doclength() from double to Xapian::termcount.

Fri Jun 24 15:47:50 GMT 2011  Olly Betts <olly@survex.com>

	* xapian-headers.i,xapian.i: Wrap MatchSpy and PostingSource with
	  SUBCLASSABLE macro.

Fri Jun 24 15:30:27 GMT 2011  Olly Betts <olly@survex.com>

	* xapian-headers.i,xapian.i: Add SUBCLASSABLE macro to indicate a class
	  which is subclassable in the target language (assuming SWIG supports
	  directors for that language).

Fri Jun 24 12:44:07 GMT 2011  Olly Betts <olly@survex.com>

	* xapian-headers.i,xapian.i: Factor out ignoring of internal stuff and
	  operator= from INPUT_ITERATOR_METHODS into new STANDARD_IGNORES
	  macro.  Use STANDARD_IGNORES to wrap Xapian::Document.  Wrap
	  ValueIterator via %include <xapian/valueiterator.h>.

Fri Jun 24 09:29:46 GMT 2011  Olly Betts <olly@survex.com>

	* xapian-headers.i,xapian.i: Wrap TermIterator via %include
	  <xapian/termiterator.h>.  TermIterator::positionlist_count() is now
	  wrapped.

Fri Jun 24 09:15:11 GMT 2011  Olly Betts <olly@survex.com>

	* xapian-headers.i,xapian.i: Do setup for %include <postingiterator.h>
	  using a parameterised macro INPUT_ITERATOR_METHODS().  Use this new
	  macro to wrap %include <xapian/positioniterator.h> instead of having
	  its declarations repeated in xapian.i.

Fri Jun 24 05:39:20 GMT 2011  Olly Betts <olly@survex.com>

	* Makefile.am,xapian-headers.i,xapian.i: Start a new interface file
	  to contain wrapping of xapian-core API headers by getting SWIG to
	  parse them directly rather than duplicated declarations in the
	  interface file.

Fri Jun 24 04:33:50 GMT 2011  Olly Betts <olly@survex.com>

	* configure.ac: Update JNI comments.

Fri Jun 24 04:06:17 GMT 2011  Olly Betts <olly@survex.com>

	* HACKING,Makefile.am,README,configure.ac,java-swig/SmokeTest.java,
	  java/,java/native/,java/org/xapian/,java/org/xapian/errors/,
	  java/org/xapian/examples/,java/run-java-test: Remove the hand-coded
	  JNI bindings.

Fri Jun 24 03:37:25 GMT 2011  Olly Betts <olly@survex.com>

	* java-swig/Makefile.am,java-swig/docs/: Copy java examples
	  from the JNI ones, and create an HTML documentation page
	  based on java/README.

Fri Jun 24 03:13:15 GMT 2011  Olly Betts <olly@survex.com>

	* configure.ac: Switch java bindings to java-swig.

Wed Jun 22 15:08:04 GMT 2011  Olly Betts <olly@survex.com>

	* INSTALL: Add --with-lua and sort the list of --with-* options.

Wed Jun 22 15:01:44 GMT 2011  Olly Betts <olly@survex.com>

	* INSTALL: Pull in a few updates from the latest version of the
	  automake document which this file was originally based on.
	  Add in the missing copyright and licensing information.

Wed Jun 22 14:35:33 GMT 2011  Olly Betts <olly@survex.com>

	* INSTALL,README: It's not really noteworthy that Mac OS X 10.1 and
	  10.2 aren't supported as Apple ditched them long ago, so drop this
	  as a "Known Issue" in INSTALL and instead just say "Mac OS X >= 10.3"
	  in the discussion of supported platforms in the README.

Wed Jun 22 08:50:52 GMT 2011  Olly Betts <olly@survex.com>

	* perl/Makefile.am: Need to build except.i before we run swig.

Wed Jun 22 08:46:50 GMT 2011  Olly Betts <olly@survex.com>

	* python/Makefile.am: Need to build except.i and doccomments.i before
	  we run swig.

Wed Jun 22 04:41:26 GMT 2011  Olly Betts <olly@survex.com>

	* java-swig/Makefile.am,java-swig/SmokeTest.java: Put the
	  SWIG-generated Java bindings in package org.xapian.

Wed Jun 22 03:26:21 GMT 2011  Olly Betts <olly@survex.com>

	* java-swig/SmokeTest.java: Add more FIXME notes.

Wed Jun 22 02:55:38 GMT 2011  Olly Betts <olly@survex.com>

	* java-swig/Makefile.am: Clean up MyMatchDecider.class and
	  MyExpandDecider.class.  Include Query$1.class in the jar file.

Wed Jun 22 01:47:24 GMT 2011  Olly Betts <olly@survex.com>

	* java-swig/Makefile.am: Update for Xapian::Compactor.

Wed Jun 22 01:23:23 GMT 2011  Olly Betts <olly@survex.com>

	* csharp/Makefile.am: Use the same trick as in java-swig/ to check that
	  SWIG generated all the sources we expected it to.

Wed Jun 22 01:21:19 GMT 2011  Olly Betts <olly@survex.com>

	* csharp/Makefile.am,java-swig/Makefile.am,lua/Makefile.am,
	  perl/Makefile.am,php/Makefile.am,python/Makefile.am,ruby/Makefile.am,
	  tcl8/Makefile.am: Include explicit '$(srcdir)/' path on the main SWIG
	  interface file to work better in a VPATH build.

Tue Jun 21 16:12:38 GMT 2011  Olly Betts <olly@survex.com>

	* python/Makefile.am: Pass -I. to SWIG so it finds generated
	  doccomments.i in a VPATH build.

Tue Jun 21 14:55:17 GMT 2011  Olly Betts <olly@survex.com>

	* csharp/Makefile.am,csharp/csharp.i,csharp/util.i,generic/except.i,
	  generic/generic.mk,java-swig/Makefile.am,java-swig/java.i,
	  java-swig/util.i,lua/Makefile.am,lua/lua.i,perl/Makefile.am,
	  perl/perl.i,php/Makefile.am,php/php.i,php/util.i,python/Makefile.am,
	  python/python.i,python/util.i,ruby/Makefile.am,ruby/ruby.i,
	  ruby/util.i,tcl8/Makefile.am,tcl8/tcl.i,tcl8/util.i,xapian-head.i,
	  xapian.i: Change how the inclusion of SWIG interface files works -
	  instead of carefully setting up include paths so that files get
	  pulled in from language-specific directories, with fallbacks to
	  generic files in some cases, we now have a master interface file for
	  each language which explicitly includes all the other files we want.

Tue Jun 21 14:34:47 GMT 2011  Olly Betts <olly@survex.com>

	* generic/generic.mk: 'macosx' -> 'Mac OS X'.

Tue Jun 21 14:16:52 GMT 2011  Olly Betts <olly@survex.com>

	* README: Note a recent version of Mono which we've tested the C#
	  bindings with.

Tue Jun 21 13:52:22 GMT 2011  Olly Betts <olly@survex.com>

	* csharp/Makefile.am: Combine the two uninstall-local targets so the
	  commands from both actually get run.

Tue Jun 21 11:09:59 GMT 2011  Olly Betts <olly@survex.com>

	* configure.ac: Wrap sources used by AC_COMPILE_IFELSE in
	  AC_LANG_SOURCE to fix warning from autoconf.

Tue Jun 21 06:54:00 GMT 2011  Olly Betts <olly@survex.com>

	* xapian.i: Update comment about MatchAll/MatchNothing.

Tue Jun 21 06:49:56 GMT 2011  Olly Betts <olly@survex.com>

	* perl/t/10query.t,perl/util.i.in: Wrap MatchAll and MatchNothing for
	  Perl (as Search::Xapian::Query::MatchAll and
	  Search::Xapian::Query::MatchNothing).  (ticket#158)

Tue Jun 21 06:00:41 GMT 2011  Olly Betts <olly@survex.com>

	* ruby/docs/index.html,ruby/extra.i,ruby/smoketest.rb,xapian.i: Wrap
	  MatchAll and MatchNothing for Ruby.  (ticket#158)

Tue Jun 21 05:09:20 GMT 2011  Olly Betts <olly@survex.com>

	* lua/smoketest.lua: Fix whitespace inconsistencies.

Tue Jun 21 05:07:30 GMT 2011  Olly Betts <olly@survex.com>

	* lua/smoketest.lua: Restore semicolons to licence text.

Tue Jun 21 05:01:55 GMT 2011  Olly Betts <olly@survex.com>

	* lua/docs/index.html,lua/smoketest.lua,xapian.i: Merge latest Lua
	  changes from Xiaona Han.

Tue Jun 21 04:16:05 GMT 2011  Olly Betts <olly@survex.com>

	* perl/t/termgenerator.t: Test TermIterator::index_text() with two
	  arguments.

Fri Jun 17 08:11:12 GMT 2011  Olly Betts <olly@survex.com>

	* HACKING: Start section on deprecation warnings for the bindings.

Fri Jun 17 07:43:31 GMT 2011  Olly Betts <olly@survex.com>

	* HACKING: Update.

Thu Jun 16 09:24:18 GMT 2011  Olly Betts <olly@survex.com>

	* perl/Makefile.am: Fix "make check".

Thu Jun 16 07:48:38 GMT 2011  Olly Betts <olly@survex.com>

	* python/Makefile.am: Improve comment about replicationtest.py.

Thu Jun 16 06:34:33 GMT 2011  Olly Betts <olly@survex.com>

	* configure.ac: Remove unnecessary nested single quotes.  Remove
	  superfluous trailing ; from Perl one-liners.

Thu Jun 16 06:10:25 GMT 2011  Olly Betts <olly@survex.com>

	* php/docs/index.html: Drop references to Xapian versions before 1.0.0.

Thu Jun 16 06:05:45 GMT 2011  Olly Betts <olly@survex.com>

	* README,configure.ac,php/docs/index.html: Raise the minimum required
	  PHP version to 5.2 as older versions are no longer supported by the
	  PHP developers.  Even 5.2.x was recently declared unsupported
	  upstream.

Thu Jun 16 05:56:59 GMT 2011  Olly Betts <olly@survex.com>

	* configure.ac: Simplify probe for PHP CLI - we dropped PHP4 support in
	  1.1.0 so we can rely on having php-config --php-binary available.

Wed Jun 15 14:13:09 GMT 2011  Olly Betts <olly@survex.com>

	* README,configure.ac,python/docs/index.html: Update required Python
	  version to 2.4.

Wed Jun 15 07:46:04 GMT 2011  Olly Betts <olly@survex.com>

	* xapian-bindings/lua/docs/examples/simpleexpand.lua: Don't try to add
	  anything to the RSet if there are no matches.

Tue Jun 14 03:50:57 GMT 2011  Olly Betts <olly@survex.com>

	* perl/t/symbol-test/SymbolTest.pm: Sync update from XS Search::Xapian
	  - add "1;" to end of test module.

Tue Jun 14 03:48:04 GMT 2011  Olly Betts <olly@survex.com>

	* perl/docs/examples/: Sync updates from XS Search::Xapian: Require
	  Perl >= 5.6 so we can "use warnings;"; loop over file using while()
	  (which reads a line per iteration) not foreach() (which reads the
	  whole file up front).

Mon Jun 13 17:00:27 GMT 2011  Olly Betts <olly@survex.com>

	* perl/generate-perl-exceptions: Simplify.

Mon Jun 13 16:49:52 GMT 2011  Olly Betts <olly@survex.com>

	* csharp/Makefile.am,java-swig/Makefile.am,
	  perl/generate-perl-exceptions,python/generate-python-exceptions:
	  More references to Sorter and MultiValueSorter removed.

Mon Jun 13 16:43:58 GMT 2011  Olly Betts <olly@survex.com>

	* perl/t/sorter.t,php/smoketest.php,python/pythontest2.py,xapian.i:
	  Update in line with the removed deprecations from xapian-core.

Mon Jun 13 13:37:48 GMT 2011  Richard Boulton <richard@tartarus.org>

	* python/extra.i: Change function names defined inside wrapper()
	  closures to match the name which the result of the closure will
	  be assigned to, so that help text for the functions displays the
	  correct function name.

Mon Jun 13 13:15:00 GMT 2011  Richard Boulton <richard@tartarus.org>

	* python/pythontest2.py: Extend coverage of tests of removed features.

Mon Jun 13 12:56:48 GMT 2011  Olly Betts <olly@survex.com>

	* java/native/Enquire.cc: Update for Enquire::set_sort_by_value()
	  change.

Mon Jun 13 12:50:39 GMT 2011  Richard Boulton <richard@tartarus.org>

	* python/pythontest2.py: Change checks for removed attributes to
	  use a neater approach.

Mon Jun 13 12:48:00 GMT 2011  Richard Boulton <richard@tartarus.org>

	* python/testsuite2.py: Add support to expect_exception for passing
	  None as the message, to skip checking the message for the raised
	  exception.  Add documentation comment describing the parameters.

Mon Jun 13 12:37:31 GMT 2011  Olly Betts <olly@survex.com>

	* xapian.i: Remove deprecated Enquire::set_sort_by_* methods.

Mon Jun 13 12:10:39 GMT 2011  Olly Betts <olly@survex.com>

	* python/extra.i: Remove checks for deprecated forms of Enquire
	  set_sort_* methods, which have now been removed from the C++ API.

Mon Jun 13 11:43:20 GMT 2011  Olly Betts <olly@survex.com>

	* python/extra.i,python/util.i: Hide away the deprecated non-pythonic
	  iterators - we still need them to implement the pythonic iterators,
	  so we can't entirely remove them.
	* python/pythontest2.py: Check that the deprecated methods are no
	  longer accessible (not all methods are checked).
	* docs/index.html: Update documentation to say they've been removed.

Mon Jun 13 10:35:29 GMT 2011  Olly Betts <olly@survex.com>

	* python/extra.i: Remove deprecated Stem_get_available_languages().
	* python/pythontest2.py: Add test to make sure it stays removed!

Mon Jun 13 10:10:56 GMT 2011  Olly Betts <olly@survex.com>

	* python/pythontest2.py: Fix odd ordering of line and comment (which
	  has been that way since I committed the change which added the
	  code around the comment.

Mon Jun 13 09:54:20 GMT 2011  Olly Betts <olly@survex.com>

	* csharp/Makefile.am,csharp/docs/index.html,java-swig/Makefile.am,
	  lua/docs/index.html,php/docs/index.html,python/docs/index.html,
	  ruby/docs/index.html,tcl8/docs/index.html,xapian-head.i,xapian.i:
	  Update for removal of flint.

Mon Jun 13 09:34:05 GMT 2011  Olly Betts <olly@survex.com>

	* configure.ac: Update version to 1.3.0.

Sun Jun 12 23:34:24 GMT 2011  Olly Betts <olly@survex.com>

	* php/Makefile.am: The SWIG upgrade means we now have xapian_wrap.h as
	  well as xapian_wrap.cc.  Really the final update for 1.2.6.

Sun Jun 12 13:06:16 GMT 2011  Olly Betts <olly@survex.com>

	* configure.ac: Lua's _VERSION reports "Lua 5.0.3" for Lua 5.0.3, so
	  add '|5.0.*' to the pattern since '5.0' won't match.

Sun Jun 12 11:47:03 GMT 2011  Olly Betts <olly@survex.com>

	* NEWS: Final update for 1.2.6.

Sun Jun 12 07:47:04 GMT 2011  Olly Betts <olly@survex.com>

	* NEWS.SKELETON: Add Lua and Perl headings.

Sun Jun 12 07:29:29 GMT 2011  Olly Betts <olly@survex.com>

	* README: Move C# first so the languages are all in alphabetical
	  order.

Sun Jun 12 07:28:52 GMT 2011  Olly Betts <olly@survex.com>

	* README: Add Lua.

Sun Jun 12 07:24:17 GMT 2011  Olly Betts <olly@survex.com>

	* configure.ac: Need to quote [01234] to stop m4 eating the [].

Sun Jun 12 07:19:37 GMT 2011  Olly Betts <olly@survex.com>

	* configure.ac,lua/docs/examples/simpleexpand.lua,
	  lua/docs/examples/simpleindex.lua,lua/docs/index.html,lua/util.i:
	  Fix whitespace issues.

Sun Jun 12 07:07:18 GMT 2011  Xiaona Han <xiaonahappy@gmail.com>

	* Makefile.am,configure.ac,lua/Makefile.am,
	  lua/docs/examples/simpleexpand.lua,lua/docs/examples/simpleindex.lua,
	  lua/docs/examples/simplesearch.lua,lua/docs/index.html,
	  lua/smoketest.lua,lua/util.i: Merge in current state of Lua
	  bindings.

Fri Jun 10 12:08:17 GMT 2011  Olly Betts <olly@survex.com>

	* NEWS,configure.ac: Update in preparation for 1.2.6.

Fri Jun 10 09:11:02 GMT 2011  Olly Betts <olly@survex.com>

	* java/LICENSE: Remove, since it is explicitly included in each source
	  file it applies to.

Fri Jun 10 06:43:10 GMT 2011  Olly Betts <olly@survex.com>

	* php/Makefile.am: Add simplematchdecider.php5 example to tarball.

Fri Jun 10 06:40:46 GMT 2011  Olly Betts <olly@survex.com>

	* php/php.ini: Remove file which is no longer used.

Fri Jun 10 01:21:21 GMT 2011  Olly Betts <olly@survex.com>

	* xapian-head.i,xapian.i: Update for addition of
	  XAPIAN_DEPRECATED_CLASS.

Thu Jun 02 03:07:35 GMT 2011  Olly Betts <olly@survex.com>

	* php/docs/examples/simplematchdecider.php5: Change start tag from <?
	  to <?php - issue pointed out by Daniel Menard in ticket#488.

Mon May 30 10:34:16 GMT 2011  Olly Betts <olly@survex.com>

	* NEWS: Update from ChangeLog.

Mon May 30 07:06:00 GMT 2011  Olly Betts <olly@survex.com>

	* tcl8/docs/index.html: Fix <i> to </i> (reported by Xiaona Han).

Mon May 30 07:04:00 GMT 2011  Olly Betts <olly@survex.com>

	* php/docs/examples/simplematchdecider.php5,php/smoketest.php: Objects
	  passed to virtual methods overridden in PHP are now wrapped properly.
	  (ticket#488)

Sun May 29 14:41:13 GMT 2011  James Aylett <james@tartarus.org>

	* configure.ac: set NEED_JNILIB_EXT for all Mac OS versions

Sun May 29 14:36:55 GMT 2011  James Aylett <james@tartarus.org>

	* java/org/xapian/Makefile.am,java/org/xapian/errors/Makefile.am,
	  java/org/xapian/examples/Makefile.am: use .NOTPARALLEL when
	  compiling Java classfiles to avoid race condition during
	  parallel builds

Sun May 29 13:27:10 GMT 2011  Olly Betts <olly@survex.com>

	* java/native/Makefile.am: XapianObjectHolder.h was removed so stop
	  trying to ship it.

Fri May 27 05:28:09 GMT 2011  Olly Betts <olly@survex.com>

	* NEWS: Update from ChangeLog.

Fri May 27 05:09:42 GMT 2011  Olly Betts <olly@survex.com>

	* java/native/utils.cc: Remove another unused <typeinfo>.

Fri May 27 05:01:47 GMT 2011  Olly Betts <olly@survex.com>

	* java/native/: Factor out Java jstring -> C++ std::string conversion
	  into cpp_string() function, which also fixes memory leaks upon
	  exceptions.

Fri May 27 04:29:19 GMT 2011  Olly Betts <olly@survex.com>

	* java/native/xapian_jni.h: Remove unused <typeinfo>.

Fri May 27 04:25:39 GMT 2011  Olly Betts <olly@survex.com>

	* java/native/xapian_jni.h: Remove unused struct streq.

Fri May 27 04:02:01 GMT 2011  Olly Betts <olly@survex.com>

	* java/native/,java/org/xapian/: Instead of using an unordered_map to
	  track id -> pointer mappings, just use reinterpret_cast - jlong is
	  64 bits, which will hold a pointer on current platforms.
	* java/README: This avoids needing thread locks, so remove pthread
	  linking issues from TODO list.

Thu May 26 13:06:13 GMT 2011  Olly Betts <olly@survex.com>

	* java/native/: C++'s delete operator will ignore a NULL pointer, so
	  remove checks that the pointer is non-NULL before calling it.

Thu May 26 11:30:22 GMT 2011  Olly Betts <olly@survex.com>

	* java/native/unordered_map.h: Portability wrapper around various ways
	  to get unordered_map with different compilers.
	* java/native/XapianObjectHolder.h: Use new unordered_map.h which fixes
	  warnings about using deprecated headers with recent GCC versions.

Wed May 25 13:58:21 GMT 2011  Olly Betts <olly@survex.com>

	* php/util.i,xapian.i: Move PHP special cases to php/util.i (generated
	  code is identical before and after this change).

Wed May 25 13:20:06 GMT 2011  Olly Betts <olly@survex.com>

	* php/docs/examples/simplematchdecider.php5,php/docs/index.html: Add
	  simplematchdecider.php example.

Wed May 25 12:17:11 GMT 2011  Olly Betts <olly@survex.com>

	* php/util.i: Now we have directors enabled, stop ignoring Xapian::Sorter
	  and uncomment directorin typemap for passing a count and array of
	  std::string.

Tue May 24 15:08:24 GMT 2011  Olly Betts <olly@survex.com>

	* php/smoketest.php,php/util.i,python/generate-python-exceptions,
	  ruby/Makefile.am: Update to newer SWIG (ticket#538).  Fixes C#
	  binding issues with strings with newer C# versions.  Directors
	  now work for PHP (ticket#488).

Mon May 23 13:58:43 GMT 2011  Olly Betts <olly@survex.com>

	* README: say that Perl bindings probably need Perl 5.8 or later.

Mon May 23 07:47:24 GMT 2011  Olly Betts <olly@survex.com>

	* configure.ac: Get the Ruby version from the rbconfig module, rather
	  than parsing the potentially more variable output of ruby --version.

Wed May 11 21:50:11 GMT 2011  Olly Betts <olly@survex.com>

	* ruby/xapian.rb: Fix comments on "end" keywords to match function
	  names.

Wed May 11 03:50:18 GMT 2011  Olly Betts <olly@survex.com>

	* ruby/smoketest.rb: Older Ruby 1.8.x doesn't have Dir.mktmpdir() -
	  just skip the compaction tests for these versions.

Mon May 09 01:36:56 GMT 2011  Olly Betts <olly@survex.com>

	* python/pythontest2.py: With Python 2.7, gc.collect() doesn't always
	  collect all the garbage, so repeat until no further objects are
	  freed.  (https://bugs.debian.org/625679 and
	  https://bugs.gentoo.org/349484).

Mon Apr 04 13:58:45 GMT 2011  Olly Betts <olly@survex.com>

	* NEWS: Update release date.

Mon Mar 28 12:02:56 GMT 2011  Olly Betts <olly@survex.com>

	* NEWS,configure.ac: 1.2.5.

Sat Mar 26 14:50:41 GMT 2011  Olly Betts <olly@survex.com>

	* INSTALL: Fix typo in recent commit.

Sat Mar 26 14:44:53 GMT 2011  Olly Betts <olly@survex.com>

	* configure.ac: Fix m4 quoting so that the release series check works.

Sat Mar 26 14:34:10 GMT 2011  Olly Betts <olly@survex.com>

	* INSTALL: Copy new Multi-Arch section from xapian-core/INSTALL.
	  Replace VPATH section with better equivalent from
	  xapian-core/INSTALL.

Sat Mar 26 14:29:32 GMT 2011  Olly Betts <olly@survex.com>

	* ruby/smoketest.rb: Test Xapian::Compactor.

Sun Mar 20 10:53:32 GMT 2011  Olly Betts <olly@survex.com>

	* python/smoketest2.py: Remove two print statements left over from
	  debugging.

Fri Mar 18 13:46:05 GMT 2011  Olly Betts <olly@survex.com>

	* configure.ac: Don't override MACOSX_DEPLOYMENT_TARGET on 10.5 and
	  later, or 10.4 on x86 as the default if unset on these platforms
	  is the current OS version.

Fri Mar 18 11:33:26 GMT 2011  Olly Betts <olly@survex.com>

	* csharp/Makefile.am: Second part of ticket#516 fix.

Fri Mar 18 05:29:01 GMT 2011  Olly Betts <olly@survex.com>

	* configure.ac: Don't pass extra flags to Microsoft's gacutil.
	  (ticket#516)

Wed Mar 16 05:29:31 GMT 2011  Olly Betts <olly@survex.com>

	* python/smoketest2.py: Add test coverage for min_wt argument of
	  get_eset().

Wed Mar 16 05:13:42 GMT 2011  Olly Betts <olly@survex.com>

	* python/smoketest2.py: Fix comment typo.

Wed Mar 16 03:33:13 GMT 2011  Olly Betts <olly@survex.com>

	* configure.ac: Handle an empty response to $RUBY --version specially.
	  This gives a less opaque error in cases where the user specified
	  RUBY but the value given wasn't an executable file.

Tue Mar 15 23:09:04 GMT 2011  Dan Colish <dcolish@gmail.com>

	* xapian.i: Expose ESet.get_eset with min_wt parameter

Tue Mar 01 11:51:19 GMT 2011  Olly Betts <olly@survex.com>

	* NEWS: Update from ChangeLog.

Mon Feb 21 14:47:10 GMT 2011  Olly Betts <olly@survex.com>

	* python/docs/index.html: Document that MSet.items and ESet.items are
	  deprecated, and what to use instead.  Note that MSET_DOCUMENT never
	  worked on the tuple returned by MSet.items.

Sat Jan 29 05:25:15 GMT 2011  Olly Betts <olly@survex.com>

	* python/pythontest2.py: Add test coverage for mset.items.

Sat Jan 29 02:12:43 GMT 2011  Olly Betts <olly@survex.com>

	* configure.ac: If xapian-core is a different release series, promote
	  the mismatched versions warning to an error.

Sat Jan 15 12:03:31 GMT 2011  Olly Betts <olly@survex.com>

	* configure.ac,csharp/AssemblyInfo.cs.in: Revert COMPAT_VERSION
	  change - we need to strip the _svnNNNNN suffix for snapshots, and
	  it isn't any extra effort to handle an optional subrevision in the
	  same sed regexp.

Sat Jan 15 11:38:40 GMT 2011  Olly Betts <olly@survex.com>

	* configure.ac: Fix comment typo.

Sat Jan 15 11:36:05 GMT 2011  Olly Betts <olly@survex.com>

	* csharp/AssemblyInfo.cs.in: Clarify the licence is GPL "version 2 or
	  later".

Sat Jan 15 11:32:46 GMT 2011  Olly Betts <olly@survex.com>

	* configure.ac,csharp/AssemblyInfo.cs.in: Remove COMPAT_VERSION
	  machinery - we've not used it since 0.9.10.1, and it seems unlikely
	  we will again.  If we do, we can reverse this change.

Sat Jan 15 11:20:33 GMT 2011  Olly Betts <olly@survex.com>

	* NEWS: Update from ChangeLog, 1.0.22 and 1.0.23.

Thu Jan 13 01:50:18 GMT 2011  Olly Betts <olly@survex.com>

	* python/pythontest2.py: In test_compactor(), close any open databases
	  before removing the directory as you can't delete an open database
	  on Microsoft Windows.  (ticket#526)

Mon Jan 10 12:53:51 GMT 2011  Richard Boulton <richard@tartarus.org>

	* python/extra.i: Remove broken implementation of
	  MSet.__contains__.  This appears never to have worked, and to
	  have been broken for at least the past 3.5 years without anyone
	  mentioning it, and is probably of little use anyway, so no need
	  to deprecate.

Tue Dec 21 12:18:03 GMT 2010  Olly Betts <olly@survex.com>

	* README: Update info on SWIG-based Perl bindings.

Mon Dec 20 09:54:52 GMT 2010  Richard Boulton <richard@tartarus.org>

	* python/util.i: Remove old and broken Enquire.get_matching_terms()
	  method.  We deprecated Enquire.get_matching_terms() in 1.0.x, and
	  removed it in 1.1.0, but accidentally left an older version of
	  get_matching_terms() exposed.
	* python/docs/index.html: Also, remove the old documentation for
	  get_matching_terms().

Mon Dec 20 09:53:56 GMT 2010  Richard Boulton <richard@tartarus.org>

	* python/pythontest2.py: Remove test of
	  Enquire.get_matching_terms(), and the associated contortions to
	  get a corresponding msetiter to pass to it.

Sun Dec 19 12:40:39 GMT 2010  Olly Betts <olly@survex.com>

	* NEWS: Update release date.

Sat Dec 18 15:09:06 GMT 2010  Olly Betts <olly@survex.com>

	* NEWS,configure.ac: 1.2.4.

Thu Dec 16 10:11:35 GMT 2010  Olly Betts <olly@survex.com>

	* perl/Makefile.am: Pass CPPFLAGS, CXX, CXXFLAGS to the testsuite.

Tue Dec 14 14:23:07 GMT 2010  Olly Betts <olly@survex.com>

	* perl/t/symbol-test.t: Merge VPATH fixes from Search::Xapian.

Tue Dec 14 05:25:10 GMT 2010  Olly Betts <olly@survex.com>

	* perl/t/: Disable tests from the XS version which don't yet pass
	  here with a $disable_fixme variable, so they are more clearly marked
	  and can easily be reenabled for testing.

Tue Dec 14 03:01:43 GMT 2010  Olly Betts <olly@survex.com>

	* perl/Makefile.am,perl/t/symbol-test.t,perl/util.i.in: Merge fix and
	  adapt testcase for it from XS Search::Xapian:
	  [Changes contributed by David F. Skoll and Dave O'Neill]
	  - Tell DynaLoader to load the module with RTLD_GLOBAL so exceptions
	    still work when multiple Perl modules which link to xapian-core are
	    loaded.  (ticket#522)

Tue Dec 14 02:46:52 GMT 2010  Olly Betts <olly@survex.com>

	* perl/util.i.in: Whitespace tweaks.

Mon Dec 13 20:22:13 GMT 2010  Richard Boulton <richard@tartarus.org>

	* python/pythontest2.py,python/util.i: Fix memory leak in
	  Enquire.get_matching_terms() method, and add coverage for this
	  method.  Check gc.get_objects() is the same before and after the
	  calls to get the matching terms; this failed before the fix.

Mon Dec 13 12:04:28 GMT 2010  Olly Betts <olly@survex.com>

	* php/docs/index.html: Document that iterators shouldn't be
	  dereferenced or advanced when at their end points (ticket#520).

Mon Dec 13 06:04:08 GMT 2010  Olly Betts <olly@survex.com>

	* php/util.i: Add commented out typemap for director support for
	  Compactor::resolve_duplicate_metadata().

Sat Dec 11 23:20:29 GMT 2010  Olly Betts <olly@survex.com>

	* python/generate-python-exceptions: Remove PostingSource's serialise
	  method from the list as we %ignore it in xapian.i.

Sat Dec 11 10:31:30 GMT 2010  Olly Betts <olly@survex.com>

	* python/generate-python-exceptions,xapian.i: Wrap MatchSpy as a
	  director class so it can be subclassed in Python.
	* python/pythontest2.py: Add test that subclassing MatchSpy works.

Tue Dec 07 04:10:37 GMT 2010  Olly Betts <olly@survex.com>

	* python/pythontest2.py: Add regression test for last fix.

Tue Dec 07 03:10:24 GMT 2010  Olly Betts <olly@survex.com>

	* python/util.i: Fix memory leaks in typemaps which return Python
	  lists (reported by AlexB on #xapian).

Tue Dec 07 02:51:51 GMT 2010  Olly Betts <olly@survex.com>

	* python/util.i: Remove unused typemap.

Wed Nov 17 10:13:00 GMT 2010  Olly Betts <olly@survex.com>

	* ruby/util.i: Wrap Compactor::resolve_duplicate_metadata().

Mon Nov 08 12:33:31 GMT 2010  Olly Betts <olly@survex.com>

	* ruby/util.i: Remove unused, commented-out typemap for wrapping a pair
	  of TermIterators.

Sun Nov 07 14:17:08 GMT 2010  Olly Betts <olly@survex.com>

	* python/pythontest2.py,python/util.i: Wrap updated
	  Compactor::resolve_duplicate_metadata() method signature.

Sat Nov 06 11:59:23 GMT 2010  Olly Betts <olly@survex.com>

	* NEWS: Update from ChangeLog.

Thu Nov 04 12:44:51 GMT 2010  Richard Boulton <richard@tartarus.org>

	* generic/generic.mk: For Mac OS X builds, set DYLD_LIBRARY_PATH to
	  allow tests to find uninstalled xapian library.  See ticket #322.

Mon Oct 11 12:29:20 GMT 2010  Olly Betts <olly@survex.com>

	* perl/Makefile.am: We don't want to distribute util.i - configure
	  generates it from util.i.in.

Mon Oct 11 12:28:14 GMT 2010  Olly Betts <olly@survex.com>

	* csharp/Makefile.am: No need to list AssemblyInfo.cs.in in EXTRA_DIST
	  or AssemblyInfo.cs in CLEANFILES - automake takes care of
	  distributing and cleaning these.

Mon Oct 11 12:21:33 GMT 2010  Olly Betts <olly@survex.com>

	* tcl8/Makefile.am: No need to list pkgIndex.tcl.in in EXTRA_DIST or
	  pkgIndex.tcl in CLEANFILES - automake takes care of distributing and
	  cleaning these.

Mon Oct 11 12:18:06 GMT 2010  Olly Betts <olly@survex.com>

	* csharp/Makefile.am,java-swig/Makefile.am,perl/Makefile.am,
	  php/Makefile.am,python/Makefile.am,ruby/Makefile.am,
	  tcl8/Makefile.am: Don't list swig-built files in CLEANFILES.

Mon Oct 11 11:58:21 GMT 2010  Olly Betts <olly@survex.com>

	* Makefile.am: Don't explicitly list files in EXTRA_DIST which automake
	  will ship anyway.  Don't ship xapian-version.h as configure will
	  generate that (xapian.spec is different - we put that in the tarball
	  so rpmbuild can find it).

Mon Oct 11 11:51:57 GMT 2010  Olly Betts <olly@survex.com>

	* Makefile.am: No need to explicitly list xapian-version.h in
	  DISTCLEANFILES - automake will remove in for us on "make distclean"
	  since it is created by AC_CONFIG_FILES in configure.ac.

Fri Oct 08 13:32:38 GMT 2010  Olly Betts <olly@survex.com>

	* configure.ac: Fix typo in code to set PYTHON_LIBS under cygwin.
	  (ticket#509)

Fri Oct 01 12:10:55 GMT 2010  Richard Boulton <richard@tartarus.org>

	* csharp/Makefile.am,python/generate-python-exceptions,
	  python/pythontest2.py,xapian.i: Wrap the new Xapian::Compactor
	  class as a Director class, and add a testcase for it in python.

Wed Sep 29 05:35:03 GMT 2010  Olly Betts <olly@survex.com>

	* java-swig/Makefile.am: Fix to delete libxapian_jni.la rather than
	  xapian.la.

Wed Sep 29 05:33:43 GMT 2010  Olly Betts <olly@survex.com>

	* csharp/Makefile.am,xapian-bindings.spec.in: Don't install or package
	  _XapianSharp.la.

Wed Sep 29 05:19:44 GMT 2010  Olly Betts <olly@survex.com>

	* xapian-bindings.spec.in: Package the Perl bindings too (patch from
	  Tim Brody).

Wed Sep 29 04:44:24 GMT 2010  Olly Betts <olly@survex.com>

	* perl/Makefile.am: Don't install Xapian.la.

Wed Sep 29 02:30:49 GMT 2010  Olly Betts <olly@survex.com>

	* perl/Makefile.am,perl/t/10query.t,perl/util.i.in: Fix building a
	  Query from subqueries which are themselves Query objects.  Patch
	  from Tim Brody.

Mon Sep 27 13:00:33 GMT 2010  Olly Betts <olly@survex.com>

	* php/Makefile.am: Fix $(PHP_MAJOR_VERSION) to literal 5 in two places.

Mon Sep 27 12:51:19 GMT 2010  Olly Betts <olly@survex.com>

	* configure.ac: Need python in maintainer mode to run doxy2swig.py.

Wed Sep 08 03:10:33 GMT 2010  Olly Betts <olly@survex.com>

	* perl/t/01use.t: Revert debug change, as it has served its purpose.
	* configure.ac: Handle the "_svn<rev>" suffix of snapshot versions
	  specially for Perl, to match how this is handled for Search::Xapian.

Wed Sep 08 02:00:34 GMT 2010  Olly Betts <olly@survex.com>

	* perl/t/01use.t: This test is mysteriously failing in the snapshot
	  builder, so add a line of code to help debug this.

Wed Sep 08 00:24:58 GMT 2010  Olly Betts <olly@survex.com>

	* java-swig/Makefile.am: Remove commented out SUBDIRS line.

Wed Sep 08 00:24:22 GMT 2010  Olly Betts <olly@survex.com>

	* perl/Makefile.am: Fix to create docs subdirectory when srcdir !=
	  builddir.

Tue Sep 07 11:54:58 GMT 2010  Olly Betts <olly@survex.com>

	* ruby/Makefile.am,ruby/docs/generate-rdoc-stubs,
	  ruby/generate-rdoc-stubs: Fix generation of rdocs to work when srcdir
	  != buildir (broken by last but one commit).

Tue Sep 07 10:46:36 GMT 2010  Olly Betts <olly@survex.com>

	* configure.ac,csharp/Makefile.am,csharp/docs/Makefile.am: Eliminate
	  csharp/docs/Makefile.am similarly.

Tue Sep 07 10:28:25 GMT 2010  Olly Betts <olly@survex.com>

	* configure.ac,php/Makefile.am,php/docs/Makefile.am,python/Makefile.am,
	  python/docs/Makefile.am,ruby/Makefile.am,ruby/docs/Makefile.am,
	  tcl8/Makefile.am,tcl8/docs/Makefile.am: Eliminate separate
	  Makefile.am in docs subdirectory of each language subdirectory and
	  just inline any rules into the main sub-Makefile.am, which allows
	  make to run more of the build in parallel.

Tue Sep 07 10:19:55 GMT 2010  Olly Betts <olly@survex.com>

	* configure.ac,perl/Makefile.am: Install
	  architecture-independent perl files in the appropriate directory.
	* perl/Makefile.am,perl/lib/,perl/Search/Xapian/: Structure source
	  and build trees more like installed tree so we don't need to create
	  symlinks to run tests in the uninstalled tree.  Fix tests to work
	  when srcdir != builddir.

Mon Sep 06 05:40:34 GMT 2010  Olly Betts <olly@survex.com>

	* configure.ac: Don't try to generate perl/docs/Makefile.

Mon Sep 06 05:37:06 GMT 2010  Olly Betts <olly@survex.com>

	* perl/Makefile.am,perl/docs/Makefile.am: Merge perl/docs/Makefile.am
	  into perl/Makefile.am and fix to install.

Mon Sep 06 03:30:58 GMT 2010  Olly Betts <olly@survex.com>

	* perl/Makefile.am: Fix "make clean" to work properly.

Mon Sep 06 03:17:01 GMT 2010  Olly Betts <olly@survex.com>

	* perl/Makefile.am: Fix path to index.html in rule.

Mon Sep 06 02:43:47 GMT 2010  Olly Betts <olly@survex.com>

	* perl/t/: Update with newer testcases from Search::Xapian.

Mon Sep 06 02:27:35 GMT 2010  Olly Betts <olly@survex.com>

	* perl/Makefile.am: Build shared object as Xapian.la not xapian.la as
	  Perl looks for it capitalised.

Mon Sep 06 02:14:06 GMT 2010  Olly Betts <olly@survex.com>

	* configure.ac: No need to m4 quote shell fragments without [] in.
	  Remove trailing ; from statements.

Mon Sep 06 02:07:11 GMT 2010  Olly Betts <olly@survex.com>

	* configure.ac: Whitespace tweaks.

Mon Sep 06 02:02:42 GMT 2010  Olly Betts <olly@survex.com>

	* configure.ac: Tweak help message for PERL_INC.

Sun Sep 05 23:24:05 GMT 2010  Olly Betts <olly@survex.com>

	* Merge Kosei's SWIG-based Perl bindings from GSoC 2009.

Sun Sep 05 12:55:13 GMT 2010  Olly Betts <olly@survex.com>

	* INSTALL: Fix typo ("Ruby" should be "Perl").

Sun Sep 05 12:49:20 GMT 2010  Olly Betts <olly@survex.com>

	* configure.ac: Remove accidentally added ';' from Ruby checks.

Fri Aug 14 16:45:44 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/lib/:Add "1;" into end of lib/*.pm files.

Thu Aug 13 12:36:41 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/util.i.in:Fix some lines and clean up code.

Wed Aug 12 14:11:49 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* INSTALL,perl/util.i.in:Add and fix some lines to describe
	SWIG based perl biding.

Wed Aug 12 12:59:30 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/Makefile.am,perl/docs/index.html:Fix Makefile to
	generate docs/index.html from pod document of Search::Xapian.

Wed Aug 12 09:32:17 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/util.i.in:Remove and replace some lines and clean
	up code.

Wed Aug 12 06:22:31 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/Makefile.am,perl/lib/,perl/lib/MSet/Tied.pm,perl/lib/,
	perl/util.i.in:Remove perl code from lib/*.pm files, add pod
	document of Search::Xapian to util.i.in, and fix test environment
	and test programs in Makefile.am.

Tue Aug 11 10:01:50 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/util.i.in:Fix set_sort_by_key(), set_sort_by_key_then_relevance()
	and set_sort_by_relevance_then_key() of Enquire using %feature("shadow")
	directive.

Mon Aug 10 16:11:37 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/t/search.t: Modifire some tests to use get_termname()
	instead of stringification operator because now we haven't
	support it, and remove some machdecider tests since we also
	haven't support it.
	* perl/util.i.in:Fix MSetIterator::clone(), remove
	MSetIterator::get_docid() since same function is already
	defined at xapian.i, and add overloaded operators of
	ESetIterator.

Mon Aug 10 16:03:10 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/util.i.in:Add CLONE_SKIP functions for thread support.

Sat Aug 08 03:35:37 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/util.i.in:Fix internal function call of MSet::FETCH.

Fri Aug 07 15:29:21 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/util.i.in:Add tie support of MSetIterator and
	ESetIterator. Wrap function MSet::matches() and
	MSet::items(). Add class MSet::Tied. Wrap overload operators
	of ESet.

Fri Aug 07 06:03:05 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/lib/TermIterator.pm,perl/lib/ValueIterator.pm,
	perl/t/document.t,perl/t/index.t,perl/util.i.in:
	Remove "" operator wrapping, modify test cases and
	pod documents. Because modifying SWIG is needed to
	support "" operator.

Thu Aug 06 08:29:25 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/util.i.in:Wrap operator overload of MSetIterator.

Wed Aug 05 14:42:34 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/util.i.in:Replace each iterator's function 'inc()'
	to 'increment()', which is macro 'NEXT' defined in xapian.i
	and renamed in per/util.i, because both two function's
	operation is same.

Wed Aug 05 14:39:50 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/util.i.in:Remove new object constructing operation
	in TermIterator's inc() function. Because it prevents a
	destruction of other object (such as WritableDatabase).

Fri Jul 31 16:32:19 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/util.i.in:Add constant variable FLAG_SPELLING for
	TermGenerator::set_flags().

Fri Jul 31 16:28:53 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/util.i.in:Replace get_mset() definition to %rename.

Thu Jul 30 11:54:33 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/util.i.in:Modifying some proxy functions using %feature("shadow")
	directive for removing repeatedly defined functions (constructor of
	QueryParser, SimpleStopper and WritableDatabase).

Wed Jul 29 10:04:51 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/t/index.t,perl/t/parser.t: Fix exception tests because
	previous test suppose working of XS binding with bug.

Wed Jul 29 01:24:34 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/util.i.in:Fix add_valuerangeprocessor to push
	ValueRangeProcessors object into it's member array
	since storing all ValueRangeProcessors objects which
	added.

Tue Jul 28 06:09:40 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/util.i.in:Fix set_stopper of TermGenerator to keep
	SimpleStopper reference	in the object for it won't be deleted.
	Similar fix for set_sort_by_key, set_sort_by_key_then_relevance,
	set_sort_by_relevance_then_key to keep MultiValueSorter.

Tue Jul 28 03:56:45 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/util.i.in:Fix set_stopper to keep SimpleStopper reference
	in object for it won't be deleted. Same fix for add_valuerangeprocessor.

Mon Jul 27 09:31:45 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/util.i.in:Add operator overload support for PositionIterator,
	fix new3_WritableDatabase, and TermIterator::clone for overloading
	operator '='.

Mon Jul 27 06:40:28 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/util.i.in:Add function new3_WritableDatabase and
	WritableDatabase::new to construct WritableDatabase
	correctly.

Thu Jul 23 16:58:26 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/util.i.in: Wrap functions SimpleStopper::stop_word,
	QueryParser::new and SimpleStopper::new.

Wed Jul 22 15:23:39 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/util.i.in:Add wrapper functions for Stem::stem_word,
	WritableDatabase::replace_document_by_term,
	writabledatabase::delete_document_by_term,
	some ValueIterator functions and some TermIterator functions.
	Add operator overload support for ValueIterator and
	TermIterator, but now double quotation operator is
	commented out temporarily to avoid error.

Tue Jul 21 17:20:01 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/Makefile.am:Fix the way of compile xapian_wrap.cc
	and Xapian.pm for multiple file compilation.

Tue Jul 21 17:05:28 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/util.i.in:Ignore Xapian::Query::Query for taking away
	duplication of definition. Change some argument handling process
	of Xapian::Query::new* functions.

Mon Jul 20 13:37:56 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/util.i.in: Add wrapper function get_mset() and it's
	internal function get_mset1. Fix newN() function to handle
	multiple query argument well by introducing typemap which
	maps perl array to SV **.

Fri Jul 17 14:52:41 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/Makefile.am,perl/generate-perl-exceptions: Add exception
	wrapping referring python/generate-python-exceptions and
	search-xapian/handle_exception.cc .

Thu Jul 16 13:45:33 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/util.i.in:Rename constructors of Query and Enquire::set_query,
	add wrapper function newN for generatig new query, add function
	Database::enquire, Query::new and Enquire::set_query.

Tue Jul 14 15:02:44 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* configure.ac: Fix PERL_XAPIAN_VERSION to get binding's
	version number. Previously it gets from xaian-core's one.

Tue Jul 14 07:52:56 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/Makefile.am: Add some options for testing.
	* perl/util.i.in: Fix for variable $VERSION.

Mon Jul 13 11:43:37 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/util.i.in: Add a valiable $VERSION for adjusting
	usage how to get version number.

Mon Jul 13 11:32:40 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/Makefile.am: Add swig's -const and -proxy option to
	wrap constant values correctly.
	* perl/util.i.in: Add %constant directive for wraipping
	constant values. Fix generation process of OP_NAMES, DB_NAMES,
	FLAG_NAMES and STEM_NAMES because of change of above constant
	value handling.

Sun Jul 12 23:47:54 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/util.i.in: Fix that array OP_NAMES, DB_NAMES, FLAG_NAMES
	and STEM_NAES could contain values correctory.
	* perl/Makefile.am: Fix a spelling mistake.

Mon Jul 06 05:50:40 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/Makefile.am,perl/util.i.in:  Add some hashes such as EXPORT_TAGS
	for exporter module. And add arrays OP_NAMES, DB_NAMES, FLAG_NAMES and
	STEM_NAMES to util.i.in.
	* perl/lib/,perl/lib/MSet/Tied.pm,perl/lib/:Rename directory
	name 'Xapian' to 'lib' to process Test::Pod.

Sun Jun 28 20:44:32 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* configure.ac,perl/util.i,perl/util.i.in: Add VERSION variable
	into Xapian.pm. To do this, add #define directive into perl/util.i
	and get version number from configure.

Sun Jun 28 17:56:03 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/Makefile.am: To override module name (from 'xapian'
	to 'Search::Xapian') add swig's '-module Search::Xapian' option,
	change test environment from 'perl' to 'prove', and change directory
	to install Xapian.pm.
	* configure.ac: Remove '/auto/Search/Xapian' from PERL_LIB variable,
	and add dot into PERL_SO variable.

Mon Jun 22 02:53:32 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* configure.ac,perl/Makefile.am: Add configure test to get appropriate
	  setting for directories to install perl files into. Also add test to
	  get perl module extension.
	* perl/util.i: Add %rename directive to rename "next()" function in
	  xapian-bindings/xapian.i and "next(Xapian::weight min_wt)" function
	  in xapian-core/include/xapian/postingsource.h because these functions
	  conflicts perl's "next" keyword.

Sun Jun 21 21:45:28 GMT 2009  Kosei Moriyama <cou929@gmail.com>

	* perl/xapian.pm: remove a generated file (xapian.pm) from repository.
	* ChangeLog: add log message of revision 12910 (Mon Jun 15 17:58:09 GMT 2009).

Mon Jun 15 17:58:09 GMT 2009  Kosei Moriyama <cou929@gmail.comm>

	* Makefile.am,configure.ac: Add --with-perl configure option,
	  and add configure test to get appropriate setting for include
	  path for perl.
	* perl/Makefile.am, perl/docs/Makefile.am,
	  perl/docs/examples/, perl/docs/index.html,
	  perl/t/, perl/util.i, perl/xapian.pm: Add perl subdirectory to
	  build system.

Wed Aug 25 15:15:36 GMT 2010  Olly Betts <olly@survex.com>

	* configure.ac: Use sys.version_info tuple, rather than string splicing
	  which assumes the Python "major.minor" is 3 characters (which would
	  fail if Python 2.10 were ever released, for example).

Tue Aug 24 06:02:17 GMT 2010  Olly Betts <olly@survex.com>

	* NEWS,configure.ac: Update for 1.2.3.

Tue Aug 24 05:09:10 GMT 2010  Olly Betts <olly@survex.com>

	* xapian-bindings.spec.in: Don't run autoreconf - it's no longer
	  required.

Sun Jun 27 05:24:00 GMT 2010  Olly Betts <olly@survex.com>

	* NEWS,configure.ac: Update for 1.2.2.

Sat Jun 26 16:01:26 GMT 2010  Olly Betts <olly@survex.com>

	* NEWS.SKELETON: Template NEWS entry.

Thu Jun 24 15:19:10 GMT 2010  Olly Betts <olly@survex.com>

	* php/util.i: COMPILE_DL_XAPIAN is no longer used now we have dropped
	  PHP4 support, so remove.

Tue Jun 22 15:18:44 GMT 2010  Richard Boulton <richard@tartarus.org>

	* python/pythontest3.py,python/smoketest3.py: Update python3 tests
	  to match the changes in the python 2 versions.  (They're not
	  expected to work currently, though, due to unicode handling
	  problems with the python 3 wrappers.)

Tue Jun 22 15:17:13 GMT 2010  Richard Boulton <richard@tartarus.org>

	* python/extra.i: Remove wrapping of QueryParser.set_stemmer() and
	  TermGenerator.set_stemmer(), which isn't needed with the better
	  way of handling ownership of python stemmer subclasses which Olly
	  committed in r14742.

Tue Jun 22 13:42:27 GMT 2010  Olly Betts <olly@survex.com>

	* NEWS,configure.ac: Update for 1.2.1.

Tue Jun 22 13:23:49 GMT 2010  Olly Betts <olly@survex.com>

	* csharp/Makefile.am: Now get StemImplementation.cs instead of
	  SWIGTYPE_p_Xapian__StemImplementation.cs.
	* java-swig/Makefile.am: Add StemImplementation.java.

Tue Jun 22 13:22:10 GMT 2010  Olly Betts <olly@survex.com>

	* csharp/util.i,java-swig/util.i: XAPIAN_SWIG_NO_DISOWN is no longer
	  needed, so revert that.

Tue Jun 22 11:18:41 GMT 2010  Olly Betts <olly@survex.com>

	* xapian.i: We don't need to use the DISOWN typemap now.

Tue Jun 22 10:55:03 GMT 2010  Olly Betts <olly@survex.com>

	* python/extra.i: Call __disown__() on the StemImplementation rather
	  than storing a reference to it.

Tue Jun 22 10:19:49 GMT 2010  Olly Betts <olly@survex.com>

	* python/smoketest2.py: Add coverage for wrapping the same MyStemmer
	  in a xapian.Stem more than once.

Tue Jun 22 10:17:23 GMT 2010  Olly Betts <olly@survex.com>

	* python/smoketest2.py: Check that all MyStemmer objects get deleted,
	  and that none get deleted more than once.

Tue Jun 22 08:29:11 GMT 2010  Richard Boulton <richard@tartarus.org>

	* python/extra.i: Wrap Stem.__init__, QueryParser.set_stemmer, and
	  TermGenerator.set_stemmer to put a reference to the python
	  object supplied into the object which will be using it.  This
	  ensures that the python object doesn't get deleted too soon, and
	  hopefully fixes #448.
	* python/smoketest2.py: Modify test so that a reference to the
	  newly created stemmer objects isn't explicitly held, to check
	  that automatic references are being held correctly.

Mon Jun 21 13:17:01 GMT 2010  Olly Betts <olly@survex.com>

	* NEWS: Sync with 1.0.21 and update from ChangeLog.

Mon Jun 21 05:58:52 GMT 2010  Olly Betts <olly@survex.com>

	* python/smoketest2.py,xapian.i: Sort out disowning of
	  StemImplementation so you don't need to call __disown__() explicitly.
	  Fixes ticket#448.

Sat Jun 12 11:57:55 GMT 2010  Olly Betts <olly@survex.com>

	* python/pythontest2.py: Fix testcase weight_normalise - for a
	  non-existent term, get_max_possible() can now return zero so you
	  can't calculate the reciprocal of it.

Sat Jun 12 06:25:08 GMT 2010  Olly Betts <olly@survex.com>

	* python/util.i: Add workaround so xapian.BAD_VALUENO is a constant
	  rather than variable which can't be written to. (ticket#297)
	* python/smoketest2.py: Add regression test for this by checking that
	  xapian.cvar doesn't exist.

Thu Jun 10 04:26:31 GMT 2010  Olly Betts <olly@survex.com>

	* xapian.i: Change MatchDecider and ExpandDecider dtors to be
	  declarations rather than empty definitions (should make no
	  difference, but it's cleaner if they match the Xapian headers).

Wed Jun 09 13:44:25 GMT 2010  Olly Betts <olly@survex.com>

	* xapian.i: Only mark Xapian::StemImplementation as a director class if
	  we aren't ignoring it.

Wed Jun 09 13:36:54 GMT 2010  Olly Betts <olly@survex.com>

	* python/Makefile.am: Fix cleaning of test directories to use "rm -rf"
	  rather than "rm -f".

Thu Jun 03 15:21:13 GMT 2010  Richard Boulton <richard@tartarus.org>

	* csharp/Makefile.am: Add missing
	  SWIGTYPE_p_Xapian__StemImplementation.cs file.

Tue Jun 01 16:23:23 GMT 2010  Olly Betts <olly@survex.com>

	* csharp/util.i,java-swig/util.i,python/generate-python-exceptions,
	  python/smoketest2.py,xapian.i: Wrap Xapian::StemImplementation.
	  Currently only tested for Python, and requires explicit use of
	  __disown__() there.

Thu May 27 22:30:54 GMT 2010  Olly Betts <olly@survex.com>

	* xapian.i: Ignore Xapian::StemImplementation for now so that the
	  tree builds while I sort out wrapping it properly.

Thu May 27 09:34:13 GMT 2010  Olly Betts <olly@survex.com>

	* php/except.i: zend_throw_exception() returns, so we should return
	  control to PHP directly after calling it to avoid needless extra
	  work and possible issues.

Wed May 19 09:12:36 GMT 2010  Richard Boulton <richard@tartarus.org>

	* python/extra.i: Ensure that __all__ is populated after local
	  symbols are deleted - this fixes "from xapian import *".  Fixes
	  #477.
	* python/pythontest2.py,python/test_xapian_star.py: Add a test that
	  "from xapian import *" works - unfortunately, this requires a
	  separate file, since the syntax is only valid at module level,
	  and we don't want to pollute the namespace of the rest of the
	  tests.

Sun May 16 13:27:17 GMT 2010  Olly Betts <olly@survex.com>

	* java-swig/Makefile.am: Update list of generated java sources.

Sun May 16 12:05:29 GMT 2010  Olly Betts <olly@survex.com>

	* Makefile.am,configure.ac,guile/Makefile.am,guile/util.i: Remove
	  non-functional disabled guile bindings left over from Open Muscat
	  days - if someone wanted to add guile bindings, it would be easier to
	  start from scratch.

Tue May 04 19:47:40 GMT 2010  Richard Boulton <richard@tartarus.org>

	* python/replicationtest2.py: Some modifications to the replication
	  test to check that changesets get applied correctly.

Tue May 04 15:26:53 GMT 2010  Olly Betts <olly@survex.com>

	* python/smoketest2.py: Check len(mset) works (improving test coverage
	  of Python-specific wrapping).

Wed Apr 28 10:43:28 GMT 2010  Olly Betts <olly@survex.com>

	* NEWS: Sync with 1.0.20.

Wed Apr 28 10:41:45 GMT 2010  Olly Betts <olly@survex.com>

	* configure.ac: Tell libtool not to link in deplibs on platforms where
	  we know they aren't needed.
	* configure.ac: On Linux, extract the library search path from ldconfig
	  which gives us the default entries reliably.
	* NEWS,configure.ac: 1.2.0.

Wed Apr 21 03:09:49 GMT 2010  Olly Betts <olly@survex.com>

	* configure.ac: Fix typo so path to ruby is reported in Ruby < 1.8 is
	  found.

Tue Apr 20 11:57:03 GMT 2010  Olly Betts <olly@survex.com>

	* python/Makefile.am: Set a sh trap to clean up any .pyc files created
	  by running a testsuite program.  Remove *.pyc (not just
	  testsuite.pyc) on "make clean".

Tue Apr 20 11:06:55 GMT 2010  Olly Betts <olly@survex.com>

	* python/Makefile.am: Set PYTHONDONTWRITEBYTECODE=1 in the environment
	  to prevent generating .pyc files in srcdir for Python >= 2.6.  Partly
	  addresses ticket#315.

Thu Apr 15 04:36:01 GMT 2010  Olly Betts <olly@survex.com>

	* NEWS,configure.ac: Update for 1.1.5.

Wed Mar 03 06:25:54 GMT 2010  Olly Betts <olly@survex.com>

	* tcl8/docs/index.html: Document WritableDatabase's close method as
	  a way to sidestep the whole destructor issue.  (ticket#62)
	  Improve wording in a few places.

Mon Feb 15 14:01:20 GMT 2010  Olly Betts <olly@survex.com>

	* configure.ac: Update for 1.1.4.

Mon Feb 15 13:46:41 GMT 2010  Olly Betts <olly@survex.com>

	* NEWS: Fix typo in 1.1.3 NEWS.  Add missing note that 1.1.3
	  includes all relevant changes from 1.0.15-1.0.17.  Add note that
	  1.1.4 includes all relevant changes from 1.0.18.

Mon Feb 15 13:17:39 GMT 2010  Olly Betts <olly@survex.com>

	* NEWS: Update from ChangeLog and 1.0.18.

Mon Feb 15 12:17:03 GMT 2010  Olly Betts <olly@survex.com>

	* php/util.i: Remove (C) header since the code it was added for was
	  reverted.

Fri Feb 05 11:42:29 GMT 2010  Richard Boulton <richard@tartarus.org>

	* csharp/Makefile.am,php/smoketest.php,php/util.i,python/extra.i,
	  python/pythontest2.py,python/util.i: Update to match the removal
	  of ValueCountMatchSpy from core.

Wed Feb 03 17:52:44 GMT 2010  Richard Boulton <richard@tartarus.org>

	* xapian.i: Add wrappers for Database::get_doclength_lower_bound(),
	  Database::get_doclength_upper_bound(),
	  Database::get_wdf_upper_bound() for all languages.  Also, expose
	  the skip_to() and check() methods on ValueIterator, and expose
	  Database::valuestream_begin() and Database::valuestream_end().
	  Fixes ticket #431.
	* python/: Add ValueStreamItem and ValueStreamIter to wrap the
	  iterators returned from the valuestream methods.  Wrap and
	  replace the C++ valuestream_begin() and valuestream_end() methods
	  with a Database.valuestream() method which returns a
	  ValueStreamIter.  Add a test for this (test_valuestream_iter()).
	* ruby/: Add safe wrapper for the valuestream iterator, add a
	  "docid" member to the Value wrapper for ValueIterator, and add a
	  test for this.

Wed Feb 03 15:17:27 GMT 2010  Richard Boulton <richard@tartarus.org>

	* ruby/smoketest.rb,ruby/util.i,ruby/xapian.rb: Wrap and test
	  ValueCountMatchSpy::values_begin() and values_end() for ruby.

Wed Feb 03 15:11:39 GMT 2010  Richard Boulton <richard@tartarus.org>

	* python/docs/index.html: Document ValueCountMatchSpy.values() and
	  top_values().

Wed Feb 03 15:09:09 GMT 2010  Richard Boulton <richard@tartarus.org>

	* python/extra.i,python/pythontest2.py: Wrap the
	  ValueCountMatchSpy::values_begin() and values_end() methods as a
	  values() pythonic iterator.

Wed Feb 03 13:37:22 GMT 2010  Richard Boulton <richard@tartarus.org>

	* python/util.i: Remove unused typemap pair which was used for
	  wrapping the old ValueCountMatchSpy::get_top_values() method.

Wed Feb 03 13:22:25 GMT 2010  Richard Boulton <richard@tartarus.org>

	* csharp/Makefile.am,python/extra.i,python/pythontest2.py,
	  ruby/smoketest.rb,ruby/util.i,ruby/xapian.rb: Update to add
	  support and tests for the new TermIterator-based
	  ValueCountMatchSpy::top_values methods.  Also for the removal of
	  StringAndFrequency from the API.

Tue Feb 02 15:28:28 GMT 2010  Richard Boulton <richard@tartarus.org>

	* python/Makefile.am: Comment out replicationtest by default again;
	  it's still not reliable.

Tue Feb 02 15:22:29 GMT 2010  Richard Boulton <richard@tartarus.org>

	* csharp/Makefile.am: Remove one more reference to NumericRange
	  which slipped through the net.

Tue Feb 02 15:18:57 GMT 2010  Richard Boulton <richard@tartarus.org>

	* csharp/Makefile.am,python/extra.i,python/pythontest2.py,xapian.i:
	  Remove NumericRanges from trunk - their API is still uncertain,
	  so I want to do a bit more development work on them on the
	  matchspy branch before committing to support them for several
	  years.

Tue Feb 02 14:05:07 GMT 2010  Richard Boulton <richard@tartarus.org>

	* python/Makefile.am: replicationtest.py should be working now, so
	  re-enable it.  If it still fails occasionally, I'd like to
	  investigate why; it works for me.

Tue Feb 02 14:03:26 GMT 2010  Richard Boulton <richard@tartarus.org>

	* python/replicationtest2.py: Fix the replication test to work; was
	  broken by the change to chert as the default database format.
	  The tests needs to fiddle with the database's uuid to simulate
	  various situations, so now needs to fiddle with the iamchert file
	  instead of the uuid file.

Tue Feb 02 13:52:17 GMT 2010  Richard Boulton <richard@tartarus.org>

	* xapian-head.i: Remove <xapian/replication.h> include which I'd
	  missed.

Tue Feb 02 13:02:00 GMT 2010  Richard Boulton <richard@tartarus.org>

	* xapian.i: Remove the replication API from the bindings.  Access
	  to replication, for now, is via the command-line scripts: this is
	  similar to the access to running a remote database server, and
	  the access to database compaction and checking.  See ticket #347
	  for some commentary.

Tue Feb 02 12:56:25 GMT 2010  Richard Boulton <richard@tartarus.org>

	* php/smoketest.php,php/util.i,python/extra.i,python/pythontest2.py:
	  Add copyright lines missed from the previous two commits.

Tue Feb 02 12:37:55 GMT 2010  Richard Boulton <richard@tartarus.org>

	* php/smoketest.php,php/util.i: Add typemap to convert the output
	  for ValueCountMatchSpy::get_values() to an array, and test for it.
	  Fixes #216.

Tue Feb 02 11:46:59 GMT 2010  Richard Boulton <richard@tartarus.org>

	* python/extra.i,python/pythontest2.py: Fix bug in
	  Enquire.clear_matchspies(), and add regression test.

Tue Dec 22 23:09:03 GMT 2009  Olly Betts <olly@survex.com>

	* ruby/Makefile.am,ruby/docs/Makefile.am,ruby/docs/generate-rdoc-stubs,
	  ruby/generate-rdoc-stubs: Adjust the rdoc generation code to avoid
	  including a reference to a mysterious "rdoc.rb" with an ugly path.

Tue Dec 22 12:37:20 GMT 2009  Olly Betts <olly@survex.com>

	* csharp/Makefile.am,csharp/docs/index.html,java-swig/Makefile.am,
	  php/docs/index.html,python/docs/index.html,ruby/docs/index.html,
	  tcl8/docs/index.html,xapian-head.i,xapian.i: Update for the new
	  Brass backend.

Fri Dec 18 00:47:34 GMT 2009  Olly Betts <olly@survex.com>

	* ruby/docs/Makefile.am: Fix the fixed fix for the previous fix.

Thu Dec 17 14:52:03 GMT 2009  Olly Betts <olly@survex.com>

	* ruby/docs/Makefile.am: Fix fix for previous fix.

Thu Dec 17 00:12:45 GMT 2009  Olly Betts <olly@survex.com>

	* ruby/docs/Makefile.am: Fix previous fix.

Wed Dec 16 12:56:45 GMT 2009  Olly Betts <olly@survex.com>

	* ruby/docs/Makefile.am: Fix previous change to work in VPATH build.

Wed Dec 16 08:21:43 GMT 2009  Olly Betts <olly@survex.com>

	* ruby/Makefile.am,ruby/docs/Makefile.am,ruby/generate-rdoc-stubs,
	  ruby/xapian.rb: Generate entries in the rdocs for all classes which
	  aren't documented via xapian.rb.  Fixes ticket#417.

Mon Dec 07 01:15:49 GMT 2009  Olly Betts <olly@survex.com>

	* ruby/docs/Makefile.am: Run rdoc with the current directory set to
	  where xapian.rb is so we don't build absolute paths into the
	  generated HTML.  Should address part of ticket#417.

Thu Dec 03 06:07:07 GMT 2009  Olly Betts <olly@survex.com>

	* php/util.i: Use const string & instead of string.

Wed Nov 18 10:56:54 GMT 2009  Olly Betts <olly@survex.com>

	* NEWS,configure.ac: Update for 1.1.3.

Wed Nov 18 02:56:22 GMT 2009  Olly Betts <olly@survex.com>

	* NEWS: Update from 1.0.17 and ChangeLog.

Tue Nov 03 06:09:39 GMT 2009  Olly Betts <olly@survex.com>

	* java/native/Enquire.cc: Fix memory leak when passing a matchdecider
	  to Enquire::get_mset().

Thu Oct 29 09:40:54 GMT 2009  Richard Boulton <richard@lemurconsulting.com>

	* php/except.i: Add a call to TSRMLS_FETCH to start of
	  XapianExceptionHandler(), as seems to be required by PHP if
	  compiled with multithreaded mode.  Fixes #411.

Thu Sep 17 15:20:14 GMT 2009  Olly Betts <olly@survex.com>

	* xapian.i: Update the comment about visibility.h and deprecated.h and
	  remove the FIXME.

Thu Sep 17 15:13:55 GMT 2009  Olly Betts <olly@survex.com>

	* csharp/Makefile.am,python/generate-python-exceptions,xapian.i:
	  Update for the Sorter->KeyMaker changes.

Thu Sep 17 13:11:47 GMT 2009  Olly Betts <olly@survex.com>

	* NEWS: Update from ChangeLog.

Thu Sep 17 12:59:22 GMT 2009  Olly Betts <olly@survex.com>

	* xapian.i: Ignore PostingSource::serialise(), Weight::serialise()
	  and Weight::unserialise() as they aren't useful to wrap.

Tue Sep 15 02:11:06 GMT 2009  Olly Betts <olly@survex.com>

	* python/Makefile.am: Restore the "./" path to the sourced file
	  libtoolconfig.tmp as ksh requires it.

Fri Sep 11 00:50:38 GMT 2009  Olly Betts <olly@survex.com>

	* xapian-bindings.spec.in: Add support for building RPM packages of
	  Ruby, from a patch from Ben Walton.

Fri Sep 11 00:28:47 GMT 2009  Olly Betts <olly@survex.com>

	* xapian-bindings.spec.in: Improve package summaries - the files are
	  needed to *use* scripts as well as to develop them.  Use "Tcl"
	  instead of "TCL" as the former is more conventional.

Thu Sep 10 13:33:57 GMT 2009  Olly Betts <olly@survex.com>

	* configure.ac: Comment tweak.

Thu Sep 10 13:24:52 GMT 2009  Olly Betts <olly@survex.com>

	* configure.ac: Default to looking for xapian-config-1.1.

Thu Sep 10 06:49:10 GMT 2009  Olly Betts <olly@survex.com>

	* NEWS: Sync changes from 1.0.15 and 1.0.16 and update from ChangeLog.

Wed Aug 26 14:44:33 GMT 2009  Olly Betts <olly@survex.com>

	* ruby/docs/index.html: www.xapian.org -> xapian.org.

Wed Aug 26 05:37:25 GMT 2009  Olly Betts <olly@survex.com>

	* python/Makefile.am: No need for "./" relative path on sourced file.

Mon Aug 17 12:46:17 GMT 2009  Richard Boulton <richard@lemurconsulting.com>

	* csharp/Makefile.am: Add missing assemblys.

Mon Aug 17 07:39:32 GMT 2009  Richard Boulton <richard@lemurconsulting.com>

	* python/extra.i: Add support to the NumericRanges object to get
	  the ranges as a dict.
	* python/util.i: Fix a memory leak on error (in theory - I've not
	  got a way to generate this error, so haven't been able to produce
	  the leak or test the fix).
	* python/pythontest2.py: Update tests to cover new NumericRanges
	  object.

Mon Aug 10 13:09:12 GMT 2009  Olly Betts <olly@survex.com>

	* csharp/Makefile.am,xapian.i: Update for SerialisationContext to
	  Registry rename.

Sun Aug 02 12:21:05 GMT 2009  Richard Boulton <richard@lemurconsulting.com>

	* python/pythontest3.py: Sync with pythontest2.

Sun Aug 02 12:19:24 GMT 2009  Richard Boulton <richard@lemurconsulting.com>

	Merge from matchspy branch
	* csharp/Makefile.am,python/extra.i,python/pythontest2.py,
	  python/util.i,xapian.i: Add support for new MatchSpy class, and
	  the matchspy.h header.

Sat Aug 01 10:07:02 GMT 2009  Richard Boulton <richard@lemurconsulting.com>

	* python/pythontest3.py: Update to match pythontest2.py (after 2to3
	  conversion).

Sat Aug 01 09:58:32 GMT 2009  Olly Betts <olly@survex.com>

	* php/Makefile.am,php/smoketest.php,php/smoketest5.php: Merged the PHP
	  "smoketest" back together now we don't need to support PHP4 as well.

Sun Jul 26 21:55:47 GMT 2009  Richard Boulton <richard@lemurconsulting.com>

	* python/doxy2swig.py: Tell textwrap not to break long words -
	  fixes a load of places in the documentation comments where C++
	  names and type names were cut in two.  Also fixes a problem on
	  the postingsource branch where actual python identifiers were
	  being cut in two (for some very long identifiers).

Thu Jul 23 04:13:02 GMT 2009  Olly Betts <olly@survex.com>

	* NEWS,configure.ac: Update for 1.1.2.

Tue Jul 21 17:12:06 GMT 2009  Olly Betts <olly@survex.com>

	* NEWS: Update from ChangeLog and sync with 1.0.13 and 1.0.14.

Tue Jul 21 04:38:51 GMT 2009  Olly Betts <olly@survex.com>

	* python/extra.i: Sort out iterators to work with the Python 3
	  next()/__next__() changes.  (ticket#246)

Tue Jul 21 03:37:38 GMT 2009  Olly Betts <olly@survex.com>

	* python/extra.i: Python 3 doesn't support unbound methods, so use
	  lambda to work around this in a way which also works with Python 2.

Mon Jul 20 14:51:10 GMT 2009  Olly Betts <olly@survex.com>

	* python/util.i: Remove unused empty Xapian::PythonProblem C++ class.

Mon Jul 20 14:46:24 GMT 2009  Olly Betts <olly@survex.com>

	* python/pythontest2.py,python/pythontest3.py: Cast the result of
	  integer division to an integer - in Python 3 this returns a float
	  and even in Python 2 the cast makes the intent clearer.

Mon Jul 20 14:03:39 GMT 2009  Olly Betts <olly@survex.com>

	* python/extra.i,python/util.i: Use a multi-arg argout typemap to
	  avoid having to mess around with ValueRangeProcessor.__call__().

Mon Jul 20 12:54:51 GMT 2009  Olly Betts <olly@survex.com>

	* python/extra.i,python/util.i: Use %rename for renaming get_hit to
	  _get_hit_internal.  Taken from patch in ticket #246.

Mon Jul 20 12:32:10 GMT 2009  Olly Betts <olly@survex.com>

	* python/extra.i,python/util.i: Rename metadata_keys_begin and
	  metadata_keys_end using %rename rather than using delete and
	  assignment in Python.  This should reduce start-up time for the
	  Python bindings a fraction.  Taken from Peter Kelm's patch in
	  ticket#246.

Mon Jul 20 11:58:30 GMT 2009  Olly Betts <olly@survex.com>

	* python/Makefile.am: Need to run doxy2swig.py from $(srcdir).

Mon Jul 20 03:31:44 GMT 2009  Olly Betts <olly@survex.com>

	* configure.ac,python/doxy2swig.py,python/doxy2swig.py.in: We
	  explicitly run doxy2swig.py from the Makefile using $(PYTHON) so
	  there is no need to AC_CONFIG_FILES it to substitute @PYTHON@ in the
	  #! line.

Mon Jul 20 02:40:09 GMT 2009  Olly Betts <olly@survex.com>

	* python/pythontest3.py,python/smoketest3.py: Fix "from .testsuite
	  import *" to "from testsuite import *".

Fri Jun 26 10:24:51 GMT 2009  Olly Betts <olly@survex.com>

	* ruby/smoketest.rb: Add regression test for failing to accept an
	  integer value > MAXINT for a double parameter, fixed by upgrading
	  to using the latest SWIG SVN trunk.

Wed Jun 10 01:12:23 GMT 2009  Olly Betts <olly@survex.com>

	* configure.ac: Update for 1.1.1.

Tue Jun 09 14:01:04 GMT 2009  Olly Betts <olly@survex.com>

	* NEWS: Update for 1.1.1.

Wed May 27 05:52:20 GMT 2009  Olly Betts <olly@survex.com>

	* README: Add note about GSoC 2009 project to reimplement Perl bindings
	  using SWIG.

Wed May 20 20:55:13 GMT 2009  Richard Boulton <richard@lemurconsulting.com>

	* xapian.i: Add overloaded version of set_collapse_key() to
	  bindings which exposes the new parameter.

Tue May 19 09:21:33 GMT 2009  Olly Betts <olly@survex.com>

	* python/docs/index.html,python/extra.i,python/smoketest2.py,
	  tcl8/docs/index.html,tcl8/smoketest.tcl,xapian.i: Wrap
	  Query::MatchAll and Query::MatchNothing for Python and Tcl8 and
	  document how they are wrapped (ticket#158).
	* csharp/docs/index.html,php/docs/index.html,ruby/docs/index.html:
	  Document that Query::MatchAll and Query::MatchNothing aren't wrapped
	  for these languages yet, and to use Query("") and Query() instead.

Tue May 19 09:17:41 GMT 2009  Olly Betts <olly@survex.com>

	* php/util.i: %pragma(php4) -> %pragma(php) (purely cosmetic change).

Tue May 19 04:48:06 GMT 2009  Olly Betts <olly@survex.com>

	* configure.ac: Don't test an empty $CSC further which saves a fork
	  and avoids an odd looking message.

Sat May 16 08:51:15 GMT 2009  Olly Betts <olly@survex.com>

	* python/docs/examples/simplematchdecider.py: Pick "avoid_value" from
	  the second parameter, not the third.
	* python/docs/examples/simplematchdecider.py,
	  python/docs/examples/simplesearch.py: Use str.join() for simpler,
	  clearer code.

Mon May 11 12:20:31 GMT 2009  Olly Betts <olly@survex.com>

	* xapian.i: Oops, make that PostingSource::register_matcher_().

Mon May 11 10:50:21 GMT 2009  Olly Betts <olly@survex.com>

	* xapian.i: Fix for PostingSource::set_matcher_() change.

Sat May 09 07:59:10 GMT 2009  Olly Betts <olly@survex.com>

	* xapian-head.i: Update to work with new ValueIteratorEnd_ proxy
	  class.

Wed May 06 06:45:22 GMT 2009  Olly Betts <olly@survex.com>

	* README,python/docs/index.html: Update documentation for mod_python
	  issues and also document the related mod_wsgi issue.  The status
	  is now that everything seems to work if you stick to the main
	  interpreter (ticket#185 and ticket#364).

Tue May 05 13:11:43 GMT 2009  Richard Boulton <richard@lemurconsulting.com>

	Merge from opsynonym branch:
	* python/smoketest2.py,python/smoketest3.py: Update tests with
	  FLAG_PARTIAL to expect SYNONYM in generated query.

Wed Apr 29 15:42:37 GMT 2009  Olly Betts <olly@survex.com>

	* README: Note that the testsuite fails due to a bug in the test/unit
	  module in Ruby 1.9.0, but applications using the bindings should
	  work, and that the testsuite works with Ruby 1.9.1.  Drop all mention
	  of Ruby 1.6.x as that appears to be completely dead both upstream
	  and in the wild.

Wed Apr 29 13:06:55 GMT 2009  Olly Betts <olly@survex.com>

	* configure.ac: Update required SWIG version to r11194 to get better
	  Python 3 support (ticket#346) and to eliminate superfluous GIL
	  locking calls (ticket#185).

Mon Apr 27 08:43:37 GMT 2009  Olly Betts <olly@survex.com>

	* xapian-bindings.spec.in: Update for rename of XapianSharp.so to
	  _XapianSharp.so.

Mon Apr 27 08:37:22 GMT 2009  Olly Betts <olly@survex.com>

	* xapian-bindings.spec.in: Update for where we now install the tcl8
	  bindings.

Thu Apr 23 06:59:22 GMT 2009  Olly Betts <olly@survex.com>

	* Makefile.am,configure.ac,csharp/Makefile.am,csharp/docs/Makefile.am,
	  generic/generic.mk,guile/Makefile.am,java-swig/Makefile.am,
	  java/Makefile.am,java/native/Makefile.am,java/org/xapian/Makefile.am,
	  java/org/xapian/errors/Makefile.am,
	  java/org/xapian/examples/Makefile.am,php/Makefile.am,
	  php/docs/Makefile.am,python/Makefile.am,python/docs/Makefile.am,
	  ruby/Makefile.am,ruby/docs/Makefile.am,tcl8/Makefile.am,
	  tcl8/docs/Makefile.am: Fix things up so that in a bootstrapped SVN
	  tree, automatic regeneration of autotools-generated files uses the
	  in-tree versions of the autotools.
	* configure.ac,java/Makefile.am,java/org/Makefile.am: Eliminate
	  java/org/Makefile.am which just forwards to its "xapian"
	  subdirectory.

Wed Apr 22 13:57:58 GMT 2009  Olly Betts <olly@survex.com>

	* NEWS: Fix date.

Wed Apr 22 13:51:21 GMT 2009  Olly Betts <olly@survex.com>

	* NEWS: Update for 1.1.0.

Wed Apr 22 11:55:48 GMT 2009  Olly Betts <olly@survex.com>

	* configure.ac: Put XAPIAN_CXXFLAGS in CXXFLAGS (rather than
	  AM_CXXFLAGS) for the duration of configure, since AM_CXXFLAGS isn't
	  used for test compiles by configure (we need it as it may include
	  options to put the compiler into ISO C++ mode).

Tue Apr 21 06:40:37 GMT 2009  Olly Betts <olly@survex.com>

	* INSTALL: Python 2.6 and later look in ~/.local for Python modules so
	  update the instructions to suggest users use this standard location
	  for installing without root access.

Tue Apr 21 05:59:29 GMT 2009  Olly Betts <olly@survex.com>

	* NEWS: Clean up for release.

Mon Apr 20 14:23:47 GMT 2009  Olly Betts <olly@survex.com>

	* NEWS: Sync changes from 1.0.12.

Sat Apr 18 08:25:11 GMT 2009  Olly Betts <olly@survex.com>

	* INSTALL: Speak of 0.9.3 in the past tense.  Add a note about being
	  able to pass variables to configure to pick which of several
	  parallel installations of a language to build for.

Sun Apr 05 03:59:31 GMT 2009  Olly Betts <olly@survex.com>

	* NEWS: Update from ChangeLog.

Fri Mar 27 03:27:03 GMT 2009  Olly Betts <olly@survex.com>

	* csharp/util.i,java-swig/util.i,ruby/util.i: Remove %rename
	  directives for get_sumpart_needs_doclength as this method no longer
	  exists.

Wed Mar 25 17:31:28 GMT 2009  Richard Boulton <richard@lemurconsulting.com>

	* python/pythontest2.py: Change deletion of database objects to
	  Database.close() calls, which should be more robust across
	  different python implementations, and should also avoid problems
	  on windows when the temporary database directories are deleted if
	  other objects which aren't deleted have lingering references to
	  the database.

Tue Mar 24 12:37:45 GMT 2009  Richard Boulton <richard@lemurconsulting.com>

	* ruby/Makefile.am: Fix dependency target in ruby's xapian_wrap.d
	  file.

Mon Mar 23 11:49:10 GMT 2009  Olly Betts <olly@survex.com>

	* python/generate-python-exceptions,python/pythontest2.py,
	  python/pythontest3.py: Update for PostingSource::reset() ->
	  PostingSource::init() rename.

Wed Mar 18 06:05:31 GMT 2009  Olly Betts <olly@survex.com>

	* python/docs/index.html: Non-pythonic iterators now being removed
	  in 1.3.0, not 1.2.0.

Mon Mar 16 14:05:50 GMT 2009  Olly Betts <olly@survex.com>

	* NEWS: Sync with 1.0.11.

Wed Mar 11 11:31:59 GMT 2009  Richard Boulton <richard@lemurconsulting.com>

	* python/pythontest2.py,python/pythontest3.py: Round the weights
	  returned for the OP_SCALE_WEIGHT test, to avoid failing due to
	  rounding errors.

Wed Mar 11 11:18:57 GMT 2009  Olly Betts <olly@survex.com>

	* xapian.i: Updated to wrap xapian/weight.h directly, such that it
	  builds with the new Xapian::Weight class.

Wed Mar 11 11:15:18 GMT 2009  Richard Boulton <richard@lemurconsulting.com>

	* python/testsuite2.py,python/testsuite3.py: Remove bare except:
	  handlers from testsuite, so ctrl-C stop the whole testsuite, not
	  just one test.

Wed Mar 11 00:06:54 GMT 2009  Richard Boulton <richard@lemurconsulting.com>

	* python/pythontest3.py: Update to match pythontest2.py (after
	  passing through 2to3).

Tue Mar 10 18:02:08 GMT 2009  Richard Boulton <richard@lemurconsulting.com>

	* python/extra.i,python/pythontest2.py: Preserve posting sources on
	  queries when set on enquire, and when retrieved from enquire
	  objects.

Tue Mar 10 17:46:48 GMT 2009  Richard Boulton <richard@lemurconsulting.com>

	* python/extra.i: When making a query object, keep references to
	  posting sources in the query.  Copy references for sub queries
	  into parent queries, too.
	* python/pythontest2.py: Modify test to include regression test for
	  the above.

Tue Mar 10 17:06:56 GMT 2009  Richard Boulton <richard@lemurconsulting.com>

	* python/extra.i: Add better support for deprecation of single
	  argument form of the Enquire::set_sort_by_* methods, and for
	  deprecation of the old name ("ascending") for the second
	  argument.  Add deprecation warnings to the remaining three
	  set_sort_by_*value* methods, too.

Tue Mar 10 09:14:44 GMT 2009  Richard Boulton <richard@lemurconsulting.com>

	* python/extra.i: Keep references to Stoppers and Sorters set on
	  objects, to avoid segfaults when they go out of scope, and add
	  deprecation warnings for single argument form of the set_sort_by_*
	  methods.
	* python/pythontest2.py: Tests for the above.

Thu Mar 05 10:34:38 GMT 2009  Richard Boulton <richard@lemurconsulting.com>

	* xapian.i: There are now several useful built-in posting sources,
	  so remove the code which ignores postingsource.h if there aren't
	  directors.

Thu Mar 05 08:01:18 GMT 2009  Olly Betts <olly@survex.com>

	* configure.ac: Fix comment to match code.

Wed Mar 04 23:37:29 GMT 2009  Olly Betts <olly@survex.com>

	* python/pythontest2.py: Fix comment typo.

Wed Mar 04 23:33:17 GMT 2009  Olly Betts <olly@survex.com>

	* php/docs/examples/simpleindex.php5,python/pythontest2.py,
	  python/pythontest3.py,python/replicationtest2.py,
	  tcl8/docs/examples/simpleindex.tcl,xapian.i: Update for the
	  "WritableDatabase::flush()" to "WritableDatabase::commit()" change.

Wed Mar 04 23:23:14 GMT 2009  Olly Betts <olly@survex.com>

	* xapian.i: Wrap MSet::get_uncollapsed_matches_lower_bound(),
	  MSet::get_uncollapsed_matches_estimated(), and
	  MSet::get_uncollapsed_matches_upper_bound().

Wed Mar 04 16:56:28 GMT 2009  Richard Boulton <richard@lemurconsulting.com>

	* python/extra.i: When ValueRangeProcessors are passed to the
	  QueryParser, keep a list of them so that they're not deleted
	  until the QueryParser is.
	* python/pythontest2.py: Regression test that the proxying works -
	  this test crashed without the patch to extra.i.

Mon Mar 02 20:45:09 GMT 2009  Richard Boulton <richard@lemurconsulting.com>

	* python/extra.i: Remove Document_unserialise and
	  Query_unserialise from API.

Mon Mar 02 10:32:59 GMT 2009  Richard Boulton <richard@lemurconsulting.com>

	* csharp/Makefile.am,xapian.i: Update with new serialisation
	  context class.

Mon Mar 02 08:38:36 GMT 2009  Richard Boulton <richard@lemurconsulting.com>

	* python/pythontest2.py: Extend "database closed" test slightly, to
	  cover a case which caused a segfault with core before revision
	  r11980.

Thu Feb 26 04:09:04 GMT 2009  Olly Betts <olly@survex.com>

	* configure.ac,ruby/Makefile.am: Workaround rubyio.h vs ruby/io.h
	  incompatibility.  Fix defaulting of RUBY_INC_ARCH to RUBY_INC.

Thu Feb 26 03:12:11 GMT 2009  Olly Betts <olly@survex.com>

	* configure.ac,ruby/Makefile.am: Fixes for Ruby 1.9 compatibility
	  (bug#323).

Mon Feb 16 11:09:20 GMT 2009  Richard Boulton <richard@lemurconsulting.com>

	* python/generate-python-exceptions,python/pythontest2.py,xapian.i:
	  Update for new posting source interface.

Sat Feb 07 00:18:45 GMT 2009  Richard Boulton <richard@lemurconsulting.com>

	* python/pythontest2.py: Add python test of document and query
	  serialisation and unserialisation.

Tue Jan 20 13:55:54 GMT 2009  Olly Betts <olly@survex.com>

	* ruby/util.i: Fix for Ruby 1.9 compatibility.

Mon Jan 19 23:16:13 GMT 2009  Olly Betts <olly@survex.com>

	* configure.ac: Use rubyhdrdir if it exists (it was added at some
	  point during Ruby 1.9 development).  See bug#323.

Tue Jan 06 00:54:51 GMT 2009  Olly Betts <olly@survex.com>

	* python/Makefile.am: Temporarily disable replicationtest.py
	  for now, as it just seems to fail most of the time.  See bug#320.

Tue Jan 06 00:43:58 GMT 2009  Olly Betts <olly@survex.com>

	* python/Makefile.am: Clean up any left over test databases on "make
	  clean".

Tue Jan 06 00:43:01 GMT 2009  Olly Betts <olly@survex.com>

	* python/pythontest2.py: All but two testcases delete the database(s)
	  they create if they pass, so fix the remaining two to do the same.

Mon Jan 05 04:09:05 GMT 2009  Olly Betts <olly@survex.com>

	* configure.ac: Allow Python buildings to be built on Cygwin (taken
	  from patch 1.0.7-python.patch from Cygwin Ports, and adapted for
	  Python 3.0 compatibility).

Mon Jan 05 02:14:17 GMT 2009  Olly Betts <olly@survex.com>

	* csharp/Makefile.am: Rename the compiled C++ wrapper from
	  XapianSharp.la to _XapianSharp.la to avoid a name clash on with the
	  C# assembly XapianSharp.dll on Microsoft Windows.

Mon Jan 05 00:36:48 GMT 2009  Olly Betts <olly@survex.com>

	* configure.ac: Allow PHP bindings to be built on Cygwin (patch
	  1.0.7-php.patch from Cygwin Ports).

Mon Jan 05 00:18:39 GMT 2009  Olly Betts <olly@survex.com>

	* configure.ac,ruby/Makefile.am: Allow ruby bindings to be built on
	  Cygwin (need to pass -lruby there).

Sun Jan 04 23:45:24 GMT 2009  Olly Betts <olly@survex.com>

	* configure.ac,tcl8/Makefile.am: Allow tcl8 bindings to be built on
	  Cygwin (based on patch 1.0.7-tcl.patch from Cygwin Ports).

Mon Dec 29 16:54:54 GMT 2008  James Aylett <james@tartarus.org>

	* python/docs/examples/: get_description() is now __str__() in Python.

Fri Dec 26 15:22:01 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* xapian.i: Add Database.close() method.

Tue Dec 23 05:59:02 GMT 2008  Olly Betts <olly@survex.com>

	* csharp/xapian_wrap.d ruby/xapian_wrap.d php/xapian_wrap.d i
	  tcl8/xapian_wrap.d: svn:ignore dependency makefile fragments
	  generated by swig -MD.

Tue Dec 23 05:55:20 GMT 2008  Olly Betts <olly@survex.com>

	* python/: svn:ignore new generated databases.

Tue Dec 23 05:52:54 GMT 2008  Olly Betts <olly@survex.com>

	* configure.ac,python/Makefile.am,python/generate-python-exceptions,
	  python/generate-python-exceptions.in: Explicitly run
	  generate-python-exceptions using $(PERL) rather than generating it
	  with AC_OUTPUT just to substitute the "#!" line.

Mon Dec 22 15:08:33 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/Makefile.am: Add replicationtest2.py to distribution.

Mon Dec 22 13:48:56 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/Makefile.am: Enable the replication test by default, now
	  that it passes.

Mon Dec 22 13:47:05 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/replicationtest.py,python/replicationtest2.py: Make
	  replication test a bit more stringent, and don't trigger
	  potential problems with swapping a database back in place by
	  updating the uuids, so each replicated database is effectively
	  brand new, as far as replication is concerned.

Sat Dec 20 11:41:42 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/Makefile.am: Pass the default value of PYTHONPATH through
	  to python tests (just make sure our recently compiled modules are
	  at the start of it).  Pass abs_builddir in the TESTS_ENVIRONMENT
	  variable, since the replication test needs it.
	* python/replicationtest2.py: Add a test (currently failing) of
	  database replication under heavy concurrent modification load.

Sat Dec 20 10:17:11 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/pythontest2.py: Fix test of get_eset() to match change in
	  behaviour of get_eset().
	* python/pythontest3.py: Bring up to date with pythontest2.py

Mon Dec 08 03:45:20 GMT 2008  Olly Betts <olly@survex.com>

	* debian/: Sync with 1.0 branch.

Mon Dec 08 03:18:22 GMT 2008  Olly Betts <olly@survex.com>

	* python/Makefile.am: Need to clean testsuite.pyc from srcdir since
	  that's where it gets generated as things stand (upstream fix for
	  Debian bug 506090).

Sat Nov 01 01:52:29 GMT 2008  Olly Betts <olly@survex.com>

	* NEWS: Sync with 1.0.9 and update from ChangeLog.

Fri Oct 31 22:53:13 GMT 2008  Olly Betts <olly@survex.com>

	* python/docs/index.html: Document Python-specific
	  Database.metadata_keys(prefix) method.

Fri Oct 31 19:22:53 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/generate-python-exceptions.in: Convert
	  XapianSetPythonException to Xapian::SetPythonException, and
	  export it.  This is necessary to allow separately compiled
	  extension modules to handle xapian errors appropriately.

Thu Oct 09 09:53:39 GMT 2008  Olly Betts <olly@survex.com>

	* configure.ac: Update autoconf requirement to 2.63, libtool to 2.2.6.

Sun Sep 28 14:31:49 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/pythontest2.py: Change test_value_mods() to test chert
	  instead of flint, for extra regression test of recently fixed bug
	  in chert, and fix doccomment for test function.

Fri Sep 26 19:02:19 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/pythontest2.py: Add a test of adding, modifying, and
	  deleting values.  This passed with flint (as committed), but
	  fails currently if the test is changed to use chert.

Fri Sep 26 04:54:39 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/Makefile.am: Add testsuite2.py and testsuite3.py to
	  distribution.

Wed Sep 10 15:28:57 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/generate-python-exceptions.in: Back out patch which added
	  XapianDirectorException to work around exception mangling bug in
	  swig, now that we're using a version of swig which has the bug
	  fixed.

Wed Sep 10 15:21:26 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* ../swig: Update version of swig in use to current HEAD (swig
	  revision 10831.  Changes python import method to avoid giving a
	  warning with the upcoming 2.6 release (and failing with 2.7 or
	  later).  Also includes a different fix for ticket #289, so we
	  could back out our XapianDirectorException class now.

	  No other significant changes in the generated files - several
	  warning fixes, some rearrangement of the order of variable
	  declarations, some removal of code which wasn't used anyway.

Fri Sep 05 11:03:38 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/pythontest2.py,python/pythontest3.py: Add test for
	  get_uuid() (not really python specific, but I can't easily add
	  this test to smoketest because it needs an on-disk database,
	  which there's no infrastructure in smoketest to clean up).

Fri Sep 05 09:59:02 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* xapian.i: Add Database::get_uuid() to wrappers.

Thu Sep 04 04:30:09 GMT 2008  Olly Betts <olly@survex.com>

	* NEWS: Sync with 1.0.8.

Thu Sep 04 04:28:12 GMT 2008  Olly Betts <olly@survex.com>

	* configure.ac: Set version to 1.1.0.

Wed Sep 03 06:17:11 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/generate-python-exceptions.in: Use our own
	  XapianDirectorException, to avoid the unwanted side effects of
	  the default SWIG mechanism.  Fixes ticket #289.
	* python/pythontest2.py,python/pythontest3.py: Add
	  test_director_exception(), which tests the fix for ticket #289.

Wed Sep 03 05:22:09 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/util.i: Fix memory leaks in query constructor typemaps.
	  Also, remove old, commented out, code which almost certainly had
	  similar memory leaks - I don't think we're going to want this
	  code, but if we do, rewriting it by copying the maintained and
	  working code for the query constructor is less likely to lead to
	  subtle errors.

Mon Aug 04 05:06:46 GMT 2008  Olly Betts <olly@survex.com>

	* NEWS: Sync against 1.0.7 release.

Wed Jul 30 01:13:43 GMT 2008  Olly Betts <olly@survex.com>

	* python/generate-python-exceptions.in: Fix tiny comment typo.

Mon Jul 21 12:22:02 GMT 2008  Olly Betts <olly@survex.com>

	* configure.ac: Put the bug report URL as the third parameter to
	  AC_INIT.  Add proper m4 quoting in a few places (nowhere that
	  should actually change behaviour).  Use "dnl" comments in preference
	  to "#" comments to help reduce the size of the configure script.

Wed Jul 16 17:45:42 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/: Rename test files to end with ...2.py, and add versions
	  generated by 2to3 named ...3.py.  (2to3 seems to be quite buggy
	  still, so the generated versions need some hand editing after
	  running it; in future, we should probably remove the ...3.py
	  versions and just automatically generate them.)

Thu Jul 10 10:47:50 GMT 2008  Olly Betts <olly@survex.com>

	* configure.ac: LT_PREREQ seems to need to be just before LT_INIT.

Wed Jul 09 23:02:02 GMT 2008  Olly Betts <olly@survex.com>

	* Makefile.am: Revert dist-hook fix - that problem is caused by using
	  libtool 1.5.x and we now require 2.2.x.
	* configure.ac: Add "LT_PREREQ([2.2.4])" to enforce this requirement.
	  Use LT_INIT instead of now deprecated AC_PROG_LIBTOOL.

Wed Jul 09 14:52:54 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* Makefile.am: Add $(distdir) to directory names in dist-hook rule
	  to make it actually work.

Wed Jul 09 14:31:25 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* Makefile.am: Add dist-hook rule to ensure that the m4 directory
	  exists; if it doesn't, autoreconf reports "couldn't open
	  directory `m4'".

Wed Jul 09 10:46:36 GMT 2008  Olly Betts <olly@survex.com>

	* configure.ac: The workaround to avoid probe code for F77, GCJ, and
	  RC being added to configure is no longer required now that we're
	  using libtool 2.2 so remove it.

Wed Jul 09 10:30:16 GMT 2008  Olly Betts <olly@survex.com>

	* csharp/Makefile.am,guile/Makefile.am,java-swig/Makefile.am,
	  java/Makefile.am,java/native/Makefile.am,php/Makefile.am,
	  python/Makefile.am,ruby/Makefile.am,tcl8/Makefile.am: More changes
	  neeed for --enable-quiet support.

Wed Jul 09 10:19:38 GMT 2008  Olly Betts <olly@survex.com>

	* configure.ac: Replace AM_CONFIG_HEADER with the more modern
	  AC_CONFIG_HEADERS.

Wed Jul 09 10:17:57 GMT 2008  Olly Betts <olly@survex.com>

	* Makefile.am,configure.ac: Add support for "--enable-quiet" like
	  xapian-core and omega have.

Wed Jul 09 10:14:47 GMT 2008  Olly Betts <olly@survex.com>

	* Makefile.am,configure.ac: Use AC_CONFIG_MACRO_DIR and
	  ACLOCAL_AMFLAGS as libtoolize 2.2.4 recommends.

Tue Jul 01 21:05:48 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/pythontest.py,python/smoketest.py,python/testsuite.py:
	  Fixes to make tests closer to being compatible with python 3.0.

Mon Jun 30 19:56:48 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/util.i: Fix #if PY_VERSION_HEX statements which aren't
	  inside %{ %} to be %#if.  Similarly for the corresponding #else
	  and #endifs.

Fri Jun 27 00:40:54 GMT 2008  Olly Betts <olly@survex.com>

	* NEWS: Update from ChangeLog and against 1.0 branch.

Thu Jun 26 03:08:06 GMT 2008  Olly Betts <olly@survex.com>

	* csharp/docs/index.html,php/docs/index.html,python/docs/index.html,
	  ruby/docs/index.html,tcl8/docs/index.html: Document all the database
	  factory functions for all languages.  Document the library version
	  functions for all languages.

Thu Jun 26 03:06:43 GMT 2008  Olly Betts <olly@survex.com>

	* java/native/: Make passing string from Java to C++ zero-byte safe.
	  It doesn't appear to be simple to make C++ to Java work though.

Thu Jun 26 00:47:16 GMT 2008  Olly Betts <olly@survex.com>

	* ruby/smoketest.rb: Update copyright notice for previous change.

Thu Jun 26 00:02:30 GMT 2008  Olly Betts <olly@survex.com>

	* ruby/smoketest.rb: Test the version reporting functions.

Wed Jun 25 21:35:49 GMT 2008  Olly Betts <olly@survex.com>

	* ruby/docs/index.html: Document how database factory functions are
	  wrapped.

Wed Jun 25 21:06:41 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/extra.i: Tidy up the documentation comments for
	  TermListItem.

Tue Jun 24 18:21:12 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/doxy2swig.py.in: Adjust to be compatible with python 3.0.
	  Fortunately, this can be done without breaking it for python 2.x.

Sat Jun 14 23:35:34 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/util.i: Fix previous commit - one of the pieces of
	  conditional code was the wrong way round.

Sat Jun 14 12:09:45 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/util.i: Fixes for compilation with python 3.0;
	  conditionally replace PyString_ methods with PyBytes_ methods.

Mon Jun 02 11:55:23 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/Makefile.am: Add modern/xapian_wrap.d to CLEANFILES in
	  maintainer mode.

Mon Jun 02 11:54:55 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* xapian.i: Add support for the new Database methods,
	  get_value_freq(), get_value_lower_bound() and
	  get_value_upper_bound().
	* python/pythontest.py: Add test of these methods.

Sun Jun 01 15:13:07 GMT 2008  Olly Betts <olly@survex.com>

	* configure.ac: Update version to 1.0.7 to match 1.0 branch.

Sun May 25 22:45:36 GMT 2008  Olly Betts <olly@survex.com>

	* NEWS: Update from ChangeLog and sync with 1.0 branch.

Sun May 25 17:15:43 GMT 2008  Olly Betts <olly@survex.com>

	* xapian-head.i: Fix dummy Chert and Flint Database factory functions,
	  used when Chert and/or Flint are disabled.

Sat May 24 08:51:22 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/pythontest.py: Rename one of the two test_postingsource()
	  functions, so that they both get run!

Thu May 22 11:53:23 GMT 2008  Olly Betts <olly@survex.com>

	* csharp/docs/index.html,php/docs/index.html,ruby/docs/index.html,
	  tcl8/docs/index.html: The "program" version of Remote::open() *is*
	  now wrapped, so update the documentation.

Thu May 22 11:16:54 GMT 2008  Olly Betts <olly@survex.com>

	* python/docs/index.html: Fix typo (Database.synonym and synonym_begin
	  should be synonyms and synonyms_begin).

Thu May 22 11:07:24 GMT 2008  Olly Betts <olly@survex.com>

	* python/docs/index.html: The "program" version of Remote::open() *is*
	  now wrapped, so update the documentation.

Sun May 18 05:36:07 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/docs/index.html: Update documentation of pythonic
	  iterators.
	* python/extra.i: Correct documentation comment for
	  Database.spellings().

Thu May 15 09:00:26 GMT 2008  Olly Betts <olly@survex.com>

	* java-swig/Makefile.am: Remove SWIGTYPE_p_bool.java as it is no
	  longer generated.

Thu May 15 08:11:04 GMT 2008  Olly Betts <olly@survex.com>

	* csharp/Makefile.am: Remove SWIGTYPE_p_bool.cs as it is no longer
	  generated.

Mon May 12 06:51:43 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/pythontest.py: Add test of ValueWeightPostingSource.

Mon May 05 16:02:03 GMT 2008  Olly Betts <olly@survex.com>

	* php/except.i: Remove PHP4-specific stuff and tweak to maximise the
	  amount of exception handling code which is in the helper function.
	  Fix the copyright statements which were copied verbatim from
	  xapian.i whereas the code here is all fairly recent.

Mon May 05 11:03:52 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* csharp/Makefile.am: Change names of generated files to match
	  those made by new SWIG version.

Mon May 05 11:58:45 BST 2008  Richard Boulton <richard@lemurconsulting.com>

	* ../swig: Update version of swig in use to current HEAD.  Causes
	  few changes other than whitespace to the generated bindings, but
	  makes new features in swig (such as better support for reference
	  counted pointers) available.  Also only performs initialisation
	  of swig wrapper once when there are multiple interpreters in use,
	  which could possibly help a little with bug #185.

Sat May 03 18:10:04 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* configure.ac: Fix breakage introduced when I changed "print foo"
	  to "print(foo)" - join strings in the print with + instead of ,.
	  mingw builds can't have worked with this, though they may still
	  not!

Sat May 03 14:00:55 GMT 2008  Olly Betts <olly@survex.com>

	* xapian-bindings.spec.in: Remove "www." from xapian.org and
	  oligarchy.co.uk URLs.  Bump minimum required Python version to 2.3.

Sat May 03 10:59:58 GMT 2008  Olly Betts <olly@survex.com>

	* configure.ac: Improve code which prevents probing for f77, etc.

Fri May 02 17:24:17 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* csharp/Makefile.am,guile/Makefile.am,java-swig/Makefile.am,
	  php/Makefile.am,ruby/Makefile.am,tcl8/Makefile.am: Seemed to work
	  for python, so use SWIG's -MD flag for all the other swig targets
	  too.

Fri May 02 15:21:41 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/Makefile.am: Use SWIG's -MD flag to generate dependencies.

Fri May 02 15:21:22 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/extra.i: Correct typo in comment.

Mon Apr 28 17:07:03 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/pythontest.py: Fix python test of PostingSource to include
	  a reset() method.

Mon Apr 28 02:31:42 GMT 2008  Olly Betts <olly@survex.com>

	* python/generate-python-exceptions.in: Mark PostingSource::reset() as
	  a directed method.

Thu Apr 24 02:18:46 GMT 2008  Olly Betts <olly@survex.com>

	* configure.ac,generic/generic.mk: Back out the --swigheaders change.

Thu Apr 24 01:55:25 GMT 2008  Olly Betts <olly@survex.com>

	* python/Makefile.am: Use "-rmdir" rather than "|| true" for
	  consistency.

Wed Apr 23 18:14:10 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/pythontest.py: Remove references to "flint" from test
	  database names (use "db_" instead).  Add a simple test of the
	  posting source stuff.

Wed Apr 23 17:42:41 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/Makefile.am: Give up on MKDIR_P, and just use "-test -d
	  xapian || mkdir xapian" instead.

Wed Apr 23 17:03:21 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/Makefile.am: Use $(MKDIR_P) instead of @MKDIR_P@, as
	  suggested by the automake documentation.

Wed Apr 23 15:23:03 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* debian/python-xapian.install,python/Makefile.am,python/xapian.pth,
	  xapian-bindings.spec.in: Change way python bindings are installed
	  again, hopefully more successfully this time.  We found a problem
	  with the .pth method on some systems, so instead we now put all
	  the python files in a subdirectory called xapian/, but rename the
	  xapian.py file to __init__.py (and similarly for the .pyc and
	  .pyo files).  This makes it into a python package, and seems to
	  work well, and also hides the internal _xapian module from public
	  view.

Wed Apr 23 11:02:45 GMT 2008  Olly Betts <olly@survex.com>

	* csharp/Makefile.am,java-swig/Makefile.am,
	  python/generate-python-exceptions.in,xapian.i: Only wrap
	  PostingSource where we have directors.  Fix up various issues
	  with the wrapping.

Wed Apr 23 09:43:06 GMT 2008  Olly Betts <olly@survex.com>

	* README: Note Python 2.3 or later is required.

Wed Apr 23 09:21:57 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* configure.ac: Require python 2.3 or greater.  2.2 is essentially
	  unsupported upstream.

Wed Apr 23 08:39:18 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/doxy2swig.py.in: Revert earlier change, since it would
	  result in the bindings varying massively depending on the version
	  of python in use at maintainer-build time, which doesn't seem
	  helpful.  python2.2 currently works with a non maintainer-mode
	  build, so there's an easy workaround for the problem.

Wed Apr 23 07:55:25 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* xapian-bindings.spec.in: Update RPM .spec file to reflect the new
	  location of the python packages, and the .pth file.

Wed Apr 23 07:51:52 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* debian/changelog,debian/patch,debian/python-xapian.install:
	  Update debian packaging to remove the patch which is currently
	  applied (since it's included in HEAD now), and to get the python
	  packages from the new locations (and include the .pth file).

Wed Apr 23 07:38:20 GMT 2008  Olly Betts <olly@survex.com>

	* xapian.i: Use "%include <xapian/query.h>" to wrap Xapian::Query so
	  we automatically pick up new features (in this case, the new
	  PostingSource constructor).

Wed Apr 23 03:41:28 GMT 2008  Olly Betts <olly@survex.com>

	* Makefile.am,csharp/Makefile.am,java-swig/Makefile.am,
	  tcl8/docs/index.html,xapian-head.i,xapian.i: Split the header chunk
	  of xapian.i out into xapian-head.i.  Remove lingering references to
	  quartz.  Wrap chert.

Wed Apr 23 02:47:00 GMT 2008  Olly Betts <olly@survex.com>

	* python/extra.i: Update comment.

Wed Apr 23 00:25:46 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/doxy2swig.py.in: Fix build with --enable-maintainer-mode
	  and python 2.2, by providing fallback for the "textwrap" module,
	  which isn't present by default in 2.2.

Wed Apr 23 00:15:21 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/Makefile.am,python/xapian.pth: Change installation
	  location for the python bindings to use a "xapian" subdirectory
	  to hold the files, and use a "xapian.pth" file to ensure that the
	  contents of this directory are on the path.  Seems to be the more
	  usual way to install python extensions these days, and matches
	  the way we need to install on windows.

Tue Apr 22 16:16:55 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* php/smoketest.php,php/smoketest5.php: Add test that VALUE_GE
	  works for PHP.

Thu Apr 17 22:54:37 GMT 2008  Olly Betts <olly@survex.com>

	* tcl8/Makefile.am: Remove bogus "../" from tcllibdir.

Thu Apr 17 05:41:21 GMT 2008  Olly Betts <olly@survex.com>

	* configure.ac: Add missing m4 quoting so that TCL_LIB is correctly
	  determined.

Tue Apr 15 09:38:07 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/docs/index.html,python/extra.i,python/pythontest.py:
	  Remove the deprecated legacy support for the sequence API on
	  pythonic iterators.

Mon Apr 14 07:18:50 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* python/extra.i,xapian.i: Add support for
	  Database.metadata_keys_begin() and Database.metadata_keys_end().
	  For python, these are wrapped as simply "metadata_keys()".
	* python/pythontest.py: Test Database.metadata_keys().

Mon Apr 07 07:28:14 GMT 2008  Olly Betts <olly@survex.com>

	* README: Note that Tcl 8.3 and earlier are no longer supported by
	  upstream.

Tue Apr 01 04:27:43 GMT 2008  Olly Betts <olly@survex.com>

	* java/native/Makefile.am,python/Makefile.am,ruby/Makefile.am: Use
	  the libtool -shrext option to specify a different module extension
	  rather than our own ugly bodge.

Mon Mar 31 02:10:22 GMT 2008  Olly Betts <olly@survex.com>

	* php/smoketest.php: Remove stray extra blank line.

Fri Mar 28 10:18:27 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* configure.ac: Bump version number to 1.0.6 to match xapian-core.

Fri Mar 28 00:22:15 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* xapian.i: Modify wrapping of get_mset() to match the new
	  definitions in xapian/enquire.h (though this shouldn't change
	  user-visible behaviour in the bindings).  Also, allow a
	  mdecider (and matchspy) parameter to be passed even for languages
	  which don't have director support, now that we have a built-in
	  match decider.  Also, wrap valuesetmatchdecider.h, so that the
	  built-in match decider defined there can be used.
	* php/smoketest.php,python/pythontest.py: Add tests that
	  ValueSetMatchDecider works in python and PHP.

Wed Mar 19 01:02:21 GMT 2008  Olly Betts <olly@survex.com>

	* ruby/docs/Makefile.am: Ship simplematchdecider.rb.
	* tcl8/docs/Makefile.am: Ship simpleexpand.tcl.

Wed Mar 12 09:01:04 GMT 2008  Olly Betts <olly@survex.com>

	* java-swig/: Remove Quartz.* from svn:ignore.

Wed Mar 12 08:59:30 GMT 2008  Olly Betts <olly@survex.com>

	* python/Makefile.am: Clean up libtoolconfig.tmp after use.

Wed Mar 12 08:57:55 GMT 2008  Olly Betts <olly@survex.com>

	* README,configure.ac,php/Makefile.am,php/docs/Makefile.am,
	  php/docs/examples/simpleexpand.php4,
	  php/docs/examples/simpleindex.php4,
	  php/docs/examples/simplesearch.php4,php/docs/index.html,
	  php/smoketest4.php,php/util.i,xapian-bindings.spec.in,xapian.i:
	  Remove PHP4 support.

Wed Mar 12 08:29:06 GMT 2008  Olly Betts <olly@survex.com>

	* csharp/Makefile.am,csharp/SmokeTest.cs,csharp/util.i,
	  java-swig/Makefile.am,java-swig/SmokeTest.java,
	  java/native/Enquire.cc,java/native/Query.cc,
	  java/native/org_xapian_XapianJNI.h,java/org/xapian/Enquire.java,
	  java/org/xapian/Query.java,java/org/xapian/XapianJNI.java,php/util.i,
	  python/,ruby/util.i,ruby/xapian.rb,xapian.i: Remove all deprecated
	  features slated for removal in 1.1.0.

Tue Mar 11 20:32:26 GMT 2008  Olly Betts <olly@survex.com>

	* java-swig/util.i: Xapian::weight::clone() collides with Java's
	  Object.clone(), so rename to cloneWeight().  Wrap Xapian::valueno
	  as Java type int to avoid a conflict with SWIG/Java's machinery.

Tue Mar 11 04:51:00 GMT 2008  Olly Betts <olly@survex.com>

	* java-swig/Makefile.am: Add MultiValueSorter.java, Sorter.java, and
	  TermGenerator$flags.class.

Wed Mar 05 22:36:46 GMT 2008  Olly Betts <olly@survex.com>

	* NEWS: Update to HEAD with un-backported changes kept separate.

Wed Mar 05 21:30:13 GMT 2008  Olly Betts <olly@survex.com>

	* NEWS: Update to 1.0 branch point.

Sun Feb 24 11:02:44 GMT 2008  Olly Betts <olly@survex.com>

	* java-swig/Makefile.am,php/Makefile.am,ruby/Makefile.am,
	  tcl8/Makefile.am: Minor comment correction (we only remove a single
	  file in each case).

Sun Feb 24 01:11:25 GMT 2008  Olly Betts <olly@survex.com>

	* configure.ac,python/Makefile.am: The Python module now has the
	  extension which Python expects, which fixes a failure on Mac OS X.
	  PYTHON_PATHSEP is no longer required.

Sat Feb 23 23:09:05 GMT 2008  Olly Betts <olly@survex.com>

	* configure.ac: Correct SWIG version in error message.

Thu Feb 21 00:28:20 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* configure.ac,generic/generic.mk: Use the new --swigheaders option
	  in xapian-config to get the list of header files for the core,
	  and add all of these as a dependency for the rules to run swig.
	  This is currently an overly inclusive dependency, but it's hard
	  to keep track of exactly which header files are being included,
	  and the plan is to eventually include all of them.

Mon Jan 28 11:52:59 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* xapian.i: Ignore various unwanted bits of DatabaseReplica.

Mon Jan 28 03:22:43 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* xapian.i: Include replication.h in the bindings.

Wed Jan 09 22:41:24 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* csharp/Makefile.am: Add MultiValueSorter.cs to
	  XAPIAN_SWIG_CS_SRCS so that it gets cleaned up correctly.
	* xapian.i: Put OP_VALUE_GE and OP_VALUE_LE in the right place in
	  the enum, so that they get the right values in language bindings.

Wed Jan 09 22:00:15 GMT 2008  Richard Boulton <richard@lemurconsulting.com>

	* xapian.i: Add OP_VALUE_GE and OP_VALUE_LE to Query, and add
	  constructor which they are used with.

Sun Dec 23 03:29:32 GMT 2007  Olly Betts <olly@survex.com>

	* configure.ac: Sort out the default value of TCL_LIB, which could
	  end up being under /usr/share in 1.0.4 and 1.0.5.

Sat Dec 22 18:25:19 GMT 2007  Olly Betts <olly@survex.com>

	* php/smoketest.php: Add note that this script should be run using
	  'make check' in the build tree (rather than trying to copy it to
	  a webserver as someone recently tried to).

Sat Dec 22 18:24:05 GMT 2007  Olly Betts <olly@survex.com>

	* php/smoketest.php: Fix to work under PHP4.

Sat Dec 22 04:32:39 GMT 2007  Olly Betts <olly@survex.com>

	* ruby/docs/Makefile.am: We need a custom install-data-local rule to
	  get the rdocs subdirectory installed (and a corresponding
	  uninstall-local rule to uninstall it).

Fri Dec 21 18:14:06 GMT 2007  Olly Betts <olly@survex.com>

	* NEWS: Too late for the 1.0.5 release, but reword the Python GIL fix
	  description in terms of user-visible API.

Fri Dec 21 02:14:35 GMT 2007  Olly Betts <olly@survex.com>

	* NEWS: Bump release date.

Wed Dec 19 03:46:09 GMT 2007  Olly Betts <olly@survex.com>

	* NEWS,configure.ac: Update for 1.0.5.

Wed Dec 19 01:18:58 GMT 2007  Olly Betts <olly@survex.com>

	* configure.ac: If rdoc isn't found, set RDOC="$MISSING rdoc" so the
	  user gets a better error if make tries to build the RDocs.

Wed Dec 19 00:34:45 GMT 2007  Olly Betts <olly@survex.com>

	* NEWS: Updated.

Tue Dec 18 18:58:36 GMT 2007  Olly Betts <olly@survex.com>

	* php/smoketest.php: Add feature test to ensure that optional
	  arguments to XapianQuery's "term" constructor are wrapped.
	* xapian.i: Remove comment "FIXME wrap optional arguments in PHP?"
	  referring to XapianQuery's "term" constructor as they are already
	  wrapped.

Mon Dec 17 21:02:38 GMT 2007  Olly Betts <olly@survex.com>

	* php/Makefile.am,python/Makefile.am: Having moved the directory
	  creation out of the locked region, we now need to ignore errors
	  from 'test -d DIR || mkdir DIR' as two make processes might try
	  to create the directory at the same time.

Fri Dec 14 10:43:03 GMT 2007  Richard Boulton <richard@lemurconsulting.com>

	* php/Makefile.am,python/Makefile.am: Ensure that the directories
	  that stamp files will be placed in exist before calling
	  $(multitarget_begin).  Fixes compilation failures in clean trees.

Thu Dec 13 01:58:58 GMT 2007  Olly Betts <olly@survex.com>

	* configure.ac: Improve the clarity of the error given when none
	  of the tools neeed for any supported language are found.

Thu Dec 13 01:50:17 GMT 2007  Olly Betts <olly@survex.com>

	* configure.ac,ruby/Makefile.am: Fix the Ruby module's extension so it
	  works on Mac OS X.

Thu Dec 13 01:14:29 GMT 2007  Olly Betts <olly@survex.com>

	* csharp/Makefile.am,generic/generic.mk,java-swig/Makefile.am,
	  php/Makefile.am,python/Makefile.am,ruby/Makefile.am: Factor
	  out the code to lock multitarget rules against parallel make,
	  and fix it to handle the source being changed while the rule
	  is executing, and to correct return an error code if we fail
	  while trying to recover from the removal of a target of a
	  multi-target rule.

Thu Dec 13 01:04:04 GMT 2007  Olly Betts <olly@survex.com>

	* xapian.i: Wrap Enquire::set_sort_by_relevance_then_key().

Wed Dec 12 02:22:58 GMT 2007  Olly Betts <olly@survex.com>

	* NEWS: Update from ChangeLog in preparation for 1.0.5.

Tue Dec 11 15:09:37 GMT 2007  Olly Betts <olly@survex.com>

	* ruby/docs/Makefile.am: Fix rule to build rdocs.

Tue Dec 11 01:33:23 GMT 2007  Olly Betts <olly@survex.com>

	* configure.ac,ruby/docs/Makefile.am: Run "rdoc" to generate the
	  Ruby-specific API documentation which ruby/docs/index.html has
	  a (previously dead) link to.
	* ruby/xapian.rb: Tweak ":nodoc:" directive so rdoc recognises it.

Thu Nov 29 02:48:06 GMT 2007  Olly Betts <olly@survex.com>

	* php/: Add test for XapianMultiValueSorter.

Thu Nov 29 02:47:17 GMT 2007  Olly Betts <olly@survex.com>

	* xapian.i: Wrap Enquire::set_sort_by_key() and
	  Enquire::set_sort_by_key_then_relevance().

Thu Nov 29 02:06:10 GMT 2007  Olly Betts <olly@survex.com>

	* php/smoketest5.php: Fix use of Database_get_document to new style OO
	  interface.  Fix error string when the PHP5 exception test fails.

Wed Nov 28 20:17:09 GMT 2007  Olly Betts <olly@survex.com>

	* csharp/Makefile.am,python/generate-python-exceptions.in,xapian.i:
	  Wrap Xapian::Sorter and subclasses.

Wed Nov 28 19:19:08 GMT 2007  Olly Betts <olly@survex.com>

	* ruby/Makefile.am: SWIG has accepted -initname in at least one
	  released version, so switch to using it instead of the now
	  deprecated -feature option.

Wed Nov 28 11:17:40 GMT 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/util.i: Don't drop the GIL when calling
	  Xapian_MSet_items_get() and Xapian_ESet_items_get() - these
	  methods build a python list, and return a PyObject, so it's not
	  safe to do so, and doing so may cause undefined behaviour in
	  multithreaded environments.

Wed Nov 28 00:52:46 GMT 2007  Olly Betts <olly@survex.com>

	* configure.ac: Change remaining uses of "print" in python to bracket
	  their arguments.

Wed Nov 28 00:50:41 GMT 2007  Olly Betts <olly@survex.com>

	* java-swig/Makefile.am,java/Makefile.am: Check for directory
	  existence rather than calling mkdir unconditionally as despite the
	  "(ignored)", the error message seems to confuse some people.

Tue Nov 27 22:34:11 GMT 2007  Richard Boulton <richard@lemurconsulting.com>

	* configure.ac: Change "print foo" to "print(foo)" in python
	  version checks, for compatibility with python 3.0.

Tue Nov 27 03:08:51 GMT 2007  Olly Betts <olly@survex.com>

	* configure.ac: Log the output of trying to compile conftest.java in
	  config.log; if the test fails, report whether the failure was
	  compiling or running the test program.

Tue Nov 20 01:04:31 GMT 2007  Richard Boulton <richard@lemurconsulting.com>

	* java/native/xapian_jni.h: Add include of <cstring> to fix
	  compile error with gcc-4.3 snapshot.

Fri Nov 16 15:58:57 GMT 2007  Olly Betts <olly@survex.com>

	* configure.ac: Update error message to reflect requirement for at
	  least python 2.2.

Fri Nov 16 15:57:53 GMT 2007  Olly Betts <olly@survex.com>

	* configure.ac: SWIG 1.3.32 has now been released, so require at least
	  this released version.

Tue Nov 06 12:34:00 GMT 2007  Olly Betts <olly@survex.com>

	* java/org/xapian/Makefile.am: No need to set SUFFIXES manually for
	  suffixes used in implicit rules.

Sat Nov 03 01:07:39 GMT 2007  Olly Betts <olly@survex.com>

	* csharp/docs/index.html: Improve wording.

Fri Nov 02 20:31:55 GMT 2007  Olly Betts <olly@survex.com>

	* tcl8/docs/index.html: Update documentation to cover flint and that
	  quartz is now deprecated.

Fri Nov 02 20:15:19 GMT 2007  Olly Betts <olly@survex.com>

	* tcl8/except.i: Remove code to handle `const char *' exceptions - as
	  of 1.0.0 the QueryParser throws QueryParserError instead.

Fri Nov 02 02:16:32 GMT 2007  Olly Betts <olly@survex.com>

	* configure.ac: Overhaul code to find tcl.h.  The old way no longer
	  worked with Debian unstable.

Tue Oct 30 05:00:42 GMT 2007  Olly Betts <olly@survex.com>

	* NEWS: The GUARD macro I fixed in SWIG/Python isn't actually used by
	  Xapian so remove the NEWS item about it.

Tue Oct 30 04:56:13 GMT 2007  Olly Betts <olly@survex.com>

	* NEWS,configure.ac: Update for 1.0.4.

Mon Oct 29 18:35:09 GMT 2007  Olly Betts <olly@survex.com>

	* NEWS: Update.

Mon Oct 29 17:15:20 GMT 2007  Olly Betts <olly@survex.com>

	* python/docs/index.html: Promote the Pythonic iterators more
	  and deprecate the non-pythonic iterators.  Make it clearer
	  that the "sequence API" is deprecated.

Mon Oct 29 16:50:28 GMT 2007  Olly Betts <olly@survex.com>

	* python/docs/index.html: Fix typo.

Mon Oct 29 02:54:53 GMT 2007  Olly Betts <olly@survex.com>

	* NEWS,csharp/Makefile.am,python/extra.i,python/pythontest.py,
	  python/util.i,xapian.i: Back out match spy changes in preparation
	  for creating a branch for them.

Sat Oct 27 06:05:56 BST 2007  Olly Betts <olly@survex.com>

	* csharp/SmokeTest.cs,ruby/smoketest.rb,tcl8/smoketest.tcl: Update for
	  changed output for Query::get_description() for OP_SCALE_WEIGHT.

Sat Oct 27 06:03:53 BST 2007  Olly Betts <olly@survex.com>

	* php/smoketest.php: Update for changed output for
	  Query::get_description() for OP_SCALE_WEIGHT.

Sat Oct 27 06:01:13 BST 2007  Olly Betts <olly@survex.com>

	* NEWS: Update.

Fri Oct 26 18:10:10 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/docs/examples/simpleexpand.py,
	  python/docs/examples/simplematchdecider.py,
	  python/docs/examples/simplesearch.py: Change from using the
	  old-style MSET_* constants to access the mset item values to the
	  new-style attribute based method.

Fri Oct 26 17:56:32 BST 2007  Olly Betts <olly@survex.com>

	* python/docs/index.html: Document MSET_DOCUMENT.

Fri Oct 26 01:08:50 BST 2007  Olly Betts <olly@survex.com>

	* python/: Add xapian.pyo to svn:ignore.

Fri Oct 26 01:04:47 BST 2007  Olly Betts <olly@survex.com>

	* python/smoketest.py: Update for changed output from
	  Query::get_description().

Thu Oct 25 18:11:40 BST 2007  Olly Betts <olly@survex.com>

	* php/Makefile.am: The php4 and php5 .cc and .h files are no longer
	  identical so don't bother carefully interleaving them as it doesn't
	  help the tarball compress better now.
	* php/Makefile.am: Use $(datadir) instead of $(datarootdir) so that
	  the RPM spec file works with older versions of autoconf.

Tue Oct 23 16:19:15 BST 2007  Olly Betts <olly@survex.com>

	* csharp/docs/Makefile.am,php/docs/Makefile.am,python/docs/Makefile.am,
	  ruby/docs/Makefile.am,tcl8/docs/Makefile.am: Update for the
	  bindings.html -> index.html change.

Tue Oct 23 16:18:09 BST 2007  Olly Betts <olly@survex.com>

	* python/util.i: Fix warning with Python <= 2.4 and GCC >= 4.2.

Mon Oct 22 22:45:08 BST 2007  Olly Betts <olly@survex.com>

	* csharp/docs/bindings.html,php/docs/bindings.html,
	  python/docs/bindings.html,ruby/docs/bindings.html,
	  tcl8/docs/bindings.html: Rename 'bindings.html' to 'index.html'.

Mon Oct 22 22:34:42 BST 2007  Olly Betts <olly@survex.com>

	* python/docs/bindings.html: "character set" -> "character encoding".

Wed Oct 17 00:49:39 BST 2007  Olly Betts <olly@survex.com>

	* NEWS: Update with changes due to using a newer SWIG SVN snapshot.

Tue Oct 09 22:14:03 BST 2007  Olly Betts <olly@survex.com>

	* NEWS: Update.

Tue Oct 09 22:01:57 BST 2007  Olly Betts <olly@survex.com>

	* php/util.i: For PHP4, wrap Xapian::sortable_serialise() as
	  xapian_sortable_serialise() and Xapian::sortable_unserialise() as
	  xapian_sortable_unserialise().
	* php/docs/bindings.html: Document how non-class functions are
	  wrapped.

Tue Oct 09 00:00:53 BST 2007  Olly Betts <olly@survex.com>

	* php/: Fix wrapping of NumberValueRangeProcessor for PHP4 - SWIG
	  sees the Xapian::v102 namespace, but doesn't understand the
	  "using" directive.  Also split the regression test for bug#193
	  into separate versions for PHP4 and PHP5 as the previous version
	  only worked for PHP5.

Sun Oct 07 19:47:55 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* csharp/SmokeTest.cs,php/smoketest.php,php/smoketest4.php,
	  php/smoketest5.php,python/pythontest.py,python/smoketest.py,
	  ruby/smoketest.rb,tcl8/smoketest.tcl,xapian.i: Update for the
	  change from OP_MULT_WEIGHT to OP_SCALE_WEIGHT.

Mon Oct 01 00:38:21 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* csharp/SmokeTest.cs,php/smoketest.php,php/smoketest4.php,
	  php/smoketest5.php,python/smoketest.py,ruby/smoketest.rb,
	  tcl8/smoketest.tcl: Add tests for OP_MULT_WEIGHT and
	  corresponding constructor to smoketests.
	* NEWS: Updated

Sun Sep 30 23:38:45 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* xapian.i: Add OP_MULT_WEIGHT, and the new constructor needed to
	  use it.
	* python/pythontest.py: Add simple test of OP_MULT_WEIGHT feature,
	  and a more involved test which uses the value of
	  MSet.get_max_possible() from an initial query to get the factor
	  necessary to normalise the weights from a subquery, and then uses
	  this factor in a second query with OP_MULT_WEIGHT.
	* NEWS: Updated

Sun Sep 30 21:16:41 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* csharp/Makefile.am,python/extra.i,python/pythontest.py,
	  python/util.i,xapian.i: Re-apply changes which needed more
	  thought or more work before being included in a release.
	* NEWS: Update with current descriptions of these changes.

Sat Sep 29 01:29:14 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* ruby/smoketest.rb: Change name of test for metadata to avoid
	  collision with matchdecider test (and to be correctly
	  descriptive).

Fri Sep 28 18:33:09 BST 2007  Olly Betts <olly@survex.com>

	* NEWS: Update for 1.0.3.

Fri Sep 28 18:06:58 BST 2007  Olly Betts <olly@survex.com>

	* INSTALL,configure.ac: Allow the user to specify TCL_LIB=... on the
	  configure command line to override autodetection.
	* Makefile.am: Automatically set up DISTCHECK_CONFIGURE_FLAGS so that
	  "make distcheck" passes without user intervention, and remove the
	  now redundant EXTRADISTCHECK_CONFIGURE_FLAGS variable.
	* INSTALL: Remove documentation for EXTRADISTCHECK_CONFIGURE_FLAGS.
	* INSTALL: Fix cut-and-paste error - the documentation for how to
	  install the tcl module without root access suggested installing them
	  in a directory named "my-python-modules"!

Fri Sep 28 13:48:10 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/smoketest.py: Test behaviour of empty metadata keys.

Fri Sep 28 13:18:34 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* csharp/SmokeTest.cs,ruby/smoketest.rb: Add tests for metadata
	  methods.

Fri Sep 28 13:08:52 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* xapian.i: Add support for get_metadata() and set_metadata() to
	  databases.
	* php/smoketest.php,python/smoketest.py: Add simple tests of
	  metadata methods.

Fri Sep 28 03:54:19 BST 2007  Olly Betts <olly@survex.com>

	* configure.ac: Update for 1.0.3.  Use ustar format for tarball since
	  we have to for xapian-core anyway.

Fri Sep 28 03:46:22 BST 2007  Olly Betts <olly@survex.com>

	* csharp/Makefile.am,python/extra.i,python/pythontest.py,python/util.i,
	  xapian.i: Back out changes for 1.0.3 corresponding to changes backed
	  out for xapian-core.

Fri Sep 28 03:43:56 BST 2007  Olly Betts <olly@survex.com>

	* csharp/util.i: Ignore ValueRangeProcessor::operator(), since
	  we don't usefully wrap it at present.

Fri Sep 28 03:38:22 BST 2007  Olly Betts <olly@survex.com>

	* configure.ac: Fix reversed sense tests for user overrides of
	  RUBY_INC, RUBY_LIB, and RUBY_LIB_ARCH.

Wed Sep 26 11:50:24 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/testsuite.py: Add a "runonly" parameter to runtests(),
	  allowing the set of tests to run to be specified.
	* python/pythontest.py: Use any commandline arguments to populate
	  the "runonly" parameter, allowing the tests to run to be
	  specified on the command line.

Fri Sep 21 16:47:11 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/docs/bindings.html: Suggest using Python version 2.4 or
	  later if using mod-python: apparently, even with the
	  "PythonInterpreter main_interpreter" workaround, mod-python gets
	  into a deadlock with Xapian with Python 2.3.

Wed Sep 19 16:11:58 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/docs/bindings.html: Add documentation for python
	  implementations of ValueRangeProcessors.

Wed Sep 19 16:06:18 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/pythontest.py,python/util.i: Implement conversion of the
	  return value from ValueRangeProcessor subclasses implemented in
	  Python from a tuple, so that such subclasses can change the
	  values of begin and end.

Wed Sep 19 14:11:22 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* xapian.i: Add director directive for Xapian::ValueRangeProcessor,
	  to allow implementations in the target language, where directors
	  are supported.
	* python/generate-python-exceptions.in: Copy workaround for thread
	  handling stuff for ValueRangeProcessor::operator().
	* python/pythontest.py: Add test_queryparser_custom_vrp() for
	  ValueRangeProcessors implemented in Python, and clean up some of
	  the other tests slightly.

Wed Sep 19 00:46:31 BST 2007  Olly Betts <olly@survex.com>

	* python/util.i: Fix typo in comment.

Tue Sep 18 19:59:50 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/docs/bindings.html: Document the return value of
	  ValueRangeProcessor.__call__()

Tue Sep 18 19:42:13 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/util.i,python/extra.i: Add support for
	  ValueRangeProcessor.operator(); this is messy because we need to
	  make special argout typemaps, and the parameter names (begin and
	  end) are used for arguments of type "std::string&" elsewhere -
	  therefore, we have to extend ValueRangeProcessor with a new
	  __call() method with uniquely named arguments, and then override
	  the original __call__ method with this (in the python code).
	  ValueRangeProcessor.__call__() now returns a 3-tuple, (slotnum,
	  begin, end) - previously, it always failed with a type error, so
	  this won't break existing code.  Fixes bug #193 for Python.
	* python/smoketest.py: Add test for DateValueRangeProcessor() when
	  used in a query parser, a regression test for bug #193 (using a
	  NumberValueRangeProcessor), and some other regression tests from
	  the PHP test file.

Tue Sep 18 04:16:54 BST 2007  Olly Betts <olly@survex.com>

	* php/smoketest.php: Use single quotes for string with $ in.

Tue Sep 18 04:09:55 BST 2007  Olly Betts <olly@survex.com>

	* php/smoketest.php: Add feature test for DateValueRangeProcessor
	  when used with QueryParser.
	* php/smoketest.php: Add regression test for bug#193 which is fixed
	  by SWIG SVN r9941.

Tue Sep 18 04:03:11 BST 2007  Olly Betts <olly@survex.com>

	* php/util.i: Remove typemap for std::string which is no longer needed
	  since SWIG now has the same version.

Sun Sep 16 20:46:48 BST 2007  Olly Betts <olly@survex.com>

	* python/Makefile.am: Need to clean up testsuite.pyc too.

Sun Sep 16 12:17:24 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* java/native/Makefile.am: Change $(jnilib) to $(jnidir) in
	  uninstall-local rule - there's no such variable as jnilib, so I
	  think this was a typo.

Sun Sep 16 04:26:02 BST 2007  Olly Betts <olly@survex.com>

	* java/org/xapian/Makefile.am: Rewrite comment I can't parse.  Rename
	  INNERCLASS_FILES to XAPIAN_INNER_CLASS_FILES for consistency.

Sun Sep 16 04:22:16 BST 2007  Olly Betts <olly@survex.com>

	* java/native/org_xapian_XapianJNI.h,java/org/xapian/Xapian.java,
	  java/org/xapian/XapianJNI.java: Remove wrappers for the Muscat36
	  backend, which has now been dropped from the C++ library.

Sun Sep 16 04:03:30 BST 2007  Olly Betts <olly@survex.com>

	* java-swig/Makefile.am,java/native/Makefile.am,php/Makefile.am,
	  python/Makefile.am,ruby/Makefile.am,tcl8/Makefile.am: Restore the
	  install-data-hook rules, and add uninstall-local rules so that
	  "make uninstall" works (which also allows it to work for java on
	  Mac OS X).

Sun Sep 16 00:00:27 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* java/org/xapian/Makefile.am: Add list of files generated from
	  inner classes to CLEANFILES.  (Don't add them to noinst_DATA
	  because there's no obvious rule which generates them, and adding
	  them to noinst_DATA would make them prerequisites for the
	  "all-am" target.)

Sat Sep 15 23:39:42 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* java-swig/Makefile.am,java/native/Makefile.am,php/Makefile.am,
	  python/Makefile.am,ruby/Makefile.am,tcl8/Makefile.am: Remove
	  install-data-hook rules which removed the installed .la files -
	  these are needed for "make uninstall" to work (and hence, also
	  for make distcheck to work).

Sat Sep 15 23:13:05 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* Makefile.am: Add support for a user-specified
	  "EXTRADISTCHECK_CONFIGURE_FLAGS" variable, used to pass extra
	  DISTCHECK_CONFIGURE_FLAGS to make to be passed to the configure
	  run in distcheck.  Users can't just set DISTCHECK_CONFIGURE_FLAGS
	  because this would override the default value (which sets
	  XAPIAN_CONFIG): unlike the more common options, there doesn't
	  seem to be an AM_DISTCHECK_CONFIGURE_FLAGS variable for the
	  internal options.
	* INSTALL: Document use of EXTRADISTCHECK_CONFIGURE_FLAGS.

Tue Sep 04 02:47:17 BST 2007  Olly Betts <olly@survex.com>

	* php/docs/bindings.html: Fix errors in example code.

Sun Aug 26 16:12:49 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* csharp/Makefile.am: Fix changed assembly name, to match change in
	  type of result of MatchSpy::get_values()

Sun Aug 26 16:07:25 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/util.i: Change size_t to Xapian::doccount in
	  value_map_to_dict, to match ValueCountMatchSpy::get_values().
	  Fixes compilation on atreus (and hopefully other 64 bit systems).

Sat Aug 25 17:09:33 BST 2007  Olly Betts <olly@survex.com>

	* php/smoketest.php: Add regression test for bug#192.

Fri Aug 24 12:13:15 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* README,python/docs/bindings.html: Add a note about the problems
	  with mod-python, as described in bug #185.

Thu Aug 23 23:10:16 BST 2007  Olly Betts <olly@survex.com>

	* configure.ac: Check for RUBY_INC, RUBY_LIB, and RUBY_LIB_ARCH in the
	  environment.  The defaults for RUBY_LIB and RUBY_LIB_ARCH are now
	  the site-specific directories (which is more correct when building
	  from source - debian packages, etc can override this by setting
	  RUBY_LIB and RUBY_LIB_ARCH).
	* INSTALL: Update the instructions for installing Ruby bindings
	  without root access to use RUBY_LIB and RUBY_LIB_ARCH.

Fri Aug 03 20:13:06 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/util.i: Extend StringListUnserialiser to support the same
	  comparison operators as other iterator wrapping classes.

Fri Aug 03 20:12:14 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* xapian.i: Add %ignore and %extend commands to wrap the
	  StringListUnserialiser iterator properly.

Tue Jul 17 13:21:28 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/pythontest.py: Add test of TermCountMatchSpy.get_top_terms().

Tue Jul 17 12:31:30 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/extra.i: Add workaround to keep a python reference to any
	  match deciders supplied to MultipleMatchDecider, to ensure they
	  don't get deleted too soon.
	* python/pythontest.py: Add test of MultipleMatchDecider.

Tue Jul 17 11:30:58 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/pythontest.py: Remove test of get_most_frequent_items() which
	  is no longer a public function.
	* python/util.i: Update comments.

Sat Jul 14 00:35:36 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* csharp/Makefile.am: Add new generated source files to build.

Sat Jul 14 00:23:46 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/extra.i,python/util.i: Instead of convering the output of
	  ValueCountMatchSpy::get_values() to a dict, add a separate method
	  get_values_as_dict() which returns a dict(), and leave
	  get_values() returning a C object, which can then be passed to
	  get_most_frequent_items().  Similarly for
	  TermCountMatchSpy::get_terms_as_dict(). Adjust argout typemap for
	  return of old class "ValueAndFreqnecy" to use new name
	  "StringAndFrequency".
	* python/pythontest.py: Convert old test of TopValueMatchSpy to
	  test ValueCountMatchSpy and TermCountMatchSpy.

Thu Jul 12 07:23:44 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/util.i: Change some error handling to use SWIG_fail
	  instead of "return NULL" - allows any cleanup code that SWIG adds
	  to be called (no functional change in the generated code at
	  present).  Add typemaps to convert the output of
	  ValueCountMatchSpy::get_values() into a dict, and the output of
	  TopValueMatchSpy::get_top_values() into a list.
	* python/pythontest.py: Add tests for the matchspies (though not
	  with an actual search - the tests just simulate the matchspies
	  being called with some documents).

Sat Jul 07 11:09:25 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* xapian-bindings.spec.in: Update from Fabrice Colin: packages
	  xapian.php, and replaces references to /usr/share with
	  %{_datadir}.

Thu Jul 05 21:01:38 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* xapian.i: Wrap MatchDecider even for languages which don't
	  support directors, since there's a C++ subclass of it now so it's
	  usable even then.

Thu Jul 05 18:24:50 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* xapian.i: %include matchspy.h - doesn't seem to need any
	  %ignores.

Thu Jul 05 15:33:52 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/pythontest.py: Delete the database handles before deleting
	  a database - hopefully, this will fix problems on windows (bug
	  #179).

Thu Jul 05 00:55:15 BST 2007  Olly Betts <olly@survex.com>

	* NEWS: Final update for 1.0.2.

Wed Jul 04 21:21:41 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* NEWS: Update with release date for release 1.0.2

Wed Jul 04 20:42:54 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* configure.ac: Bump version to 1.0.2.

Wed Jul 04 19:52:50 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* NEWS: Update.

Wed Jul 04 19:51:51 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* xapian.i: Add the new matchspy form of get_mset.

Wed Jul 04 17:58:13 BST 2007  Olly Betts <olly@survex.com>

	* NEWS: Update.

Wed Jul 04 17:48:38 BST 2007  Olly Betts <olly@survex.com>

	* php/Makefile.am: Install xapian.php.

Wed Jul 04 17:44:59 BST 2007  Olly Betts <olly@survex.com>

	* java-swig/Makefile.am: Update for ValueRangeProcessor classes.

Wed Jul 04 17:42:34 BST 2007  Olly Betts <olly@survex.com>

	* php/util.i: Rename the ValueRangeProcessor subclasses and
	  TermGenerator to have a Xapian prefix for PHP4.

Wed Jul 04 17:41:36 BST 2007  Olly Betts <olly@survex.com>

	* xapian-bindings.spec.in: Don't mention %makeinstall in a comment as
	  that makes RPM explode.  Add in a missing "mv" for installing tcl8
	  documentation.

Wed Jul 04 17:39:26 BST 2007  Olly Betts <olly@survex.com>

	* INSTALL: Remove documentation of the "phpextdir" and "pylibdir" ways
	  of installing a local copy - setting PHP_EXTENSION_DIR or PYTHON_LIB
	  at configure time is a better solution.

Wed Jun 27 14:16:00 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* NEWS: Updated.

Wed Jun 27 14:15:15 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/pythontest.py: Add tests of the Database.spellings()
	  iterator.

Wed Jun 27 14:13:09 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* NEWS: Updated.

Tue Jun 26 17:34:52 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/extra.i,xapian.i: Add support for spellings_begin(), and
	  add a python-specific term iterator for it, accessed as
	  Database.spellings()

Tue Jun 26 00:56:03 BST 2007  Olly Betts <olly@survex.com>

	* xapian.i: Fix for document.h wrapping.

Tue Jun 26 00:01:38 BST 2007  Olly Betts <olly@survex.com>

	* xapian.i: Parse xapian/postingiterator.h directly.

Mon Jun 25 23:21:45 BST 2007  Olly Betts <olly@survex.com>

	* xapian.i: Parse xapian/document.h directly.

Mon Jun 25 18:07:36 BST 2007  Olly Betts <olly@survex.com>

	* xapian.i: Use "%include <xapian/queryparser.h>" to wrap
	  Xapian::QueryParser, etc.  This adds FLAG_SYNONYM and updates
	  FLAG_MULTIWORD_SYNONYMS.

Sat Jun 23 19:02:51 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* xapian.i: Add new synonym_keys_begin() and synonym_keys_end()
	  methods to Database.
	* python/extra.i: Add synonym_keys() python iterator to Database.
	* python/pythontest.py: Test synonym_keys() iterator, and tidy up
	  earlier test for synonyms()

Fri Jun 22 18:43:42 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* xapian.i: Add synonym support: new methods on Database and
	  WritableDatabase, and some new flags for the query parser.
	* python/extra.i: Add Database.synonyms, to iterator the synonyms
	  for a term.
	* python/pythontest.py: Add a test for synonym iterators, and clean
	  up after the tests which make their own databases.

Wed Jun 20 21:38:45 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/pythontest.py: Enable the spelling test, and also make it
	  check that spellings can be corrected using a writable database
	  before calling flush().

Wed Jun 20 17:33:17 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/pythontest.py: Add a test of the spelling stuff (at the
	  database layer, not the queryparser layer yet).  Currently fails,
	  so has a "return" as the first line until it's fixed.

Wed Jun 20 12:54:23 BST 2007  Olly Betts <olly@survex.com>

	* csharp/Makefile.am: Fix parallel make handling to include
	  xapian_wrap.h.

Wed Jun 20 08:11:50 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* xapian.i: Add spelling correction methods and constants:
	  Database::get_spelling_suggestion(),
	  WritableDatabase::add_spelling() and remove_spelling(),
	  QueryParser::FLAG_SPELLING_CORRECTION and
	  QueryParser::get_corrected_query_string()

Mon Jun 18 13:54:19 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* xapian.i: Add the new static methods in NumberValueRangeProcessor
	  for serialising and unserialising doubles to the bindings.

Mon Jun 18 03:27:58 BST 2007  Olly Betts <olly@survex.com>

	* INSTALL: "--with-swig" has been removed, so don't mention it.

Sun Jun 17 09:39:43 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* configure.ac: Similarly, for PHP, respect a value of
	  PHP_EXTENSION_DIR supplied to configure, and add it to the --help
	  output.
	* INSTALL: Document PHP_EXTENSION_DIR (and tweak documentation for
	  Python equivalent slightly).

Sun Jun 17 09:23:43 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* configure.ac: Respect the value of PYTHON_LIB supplied to
	  configure; it was listed in the output of ./configure --help, but
	  the value supplied was ignored.
	* HACKING: Document setting PYTHON_LIB as an alternative way to
	  specify the python install location (at configure time instead of
	  make time).

Sat Jun 16 11:06:59 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* Makefile.am: Pass value of XAPIAN_CONFIG to distcheck, to ensure
	  that it works with uninstalled copies of Xapian.

Thu Jun 14 18:42:11 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/generate-python-exceptions.in: Fix a threading problem:
	  the GIL was not being re-acquired when an exception was thrown
	  before setting the Python exception state.  This was causing
	  various memory corruption symptoms.  Fixed by explicitly calling
	  SWIG_PYTHON_THREAD_END_ALLOW() in the catch() clause (except for
	  directory classes); this is a bit ugly, but I can't see how SWIG
	  could be fixed to do this automatically, since it doesn't know
	  what's going on in the "exception" clause.

Tue Jun 12 02:46:01 BST 2007  Olly Betts <olly@survex.com>

	* python/smoketest.py,python/testsuite.py: Tweak expect_query() to add
	  "Xapian::Query(" and ")" around the expected description.
	* python/smoketest.py: Add test case for OP_VALUE_RANGE query.

Mon Jun 11 03:58:50 BST 2007  Olly Betts <olly@survex.com>

	* NEWS: Improve wording.

Mon Jun 11 03:16:20 BST 2007  Olly Betts <olly@survex.com>

	* NEWS: Probably final update for 1.0.1.

Mon Jun 11 03:08:13 BST 2007  Olly Betts <olly@survex.com>

	* python/docs/examples/: Update to use QueryParser and TermGenerator.

Mon Jun 11 02:23:02 BST 2007  Olly Betts <olly@survex.com>

	* csharp/docs/Makefile.am,csharp/docs/bindings.html,
	  csharp/docs/examples/SimpleExpand.cs: Add SimpleExpand
	  example.

Mon Jun 11 01:23:52 BST 2007  Olly Betts <olly@survex.com>

	* xapian-bindings.spec.in: Use "make install" instead of %makeinstall
	  to avoid doubled %{buildroot} prefix on most files which we then
	  have to work around.

Mon Jun 11 01:11:31 BST 2007  Olly Betts <olly@survex.com>

	* csharp/docs/examples/SimpleIndex.cs,
	  csharp/docs/examples/SimpleSearch.cs: Update to use QueryParser and
	  TermGenerator.
	* csharp/docs/bindings.html: Document explicitly how STEM_SOME, etc
	  are currently wrapped.  Update GetTermName() reference to GetTerm().

Sun Jun 10 22:01:47 BST 2007  Olly Betts <olly@survex.com>

	* configure.ac: Drop automake requirement to 1.8.3 to allow RPM spec
	  file to work on SLES 9.

Sun Jun 10 21:50:28 BST 2007  Olly Betts <olly@survex.com>

	* configure.ac: Bump version to 1.0.1.

Fri Jun 08 20:40:00 BST 2007  Olly Betts <olly@survex.com>

	* ruby/docs/examples/: Update to use TermGenerator and QueryParser
	  classes.

Fri Jun 08 20:10:42 BST 2007  Olly Betts <olly@survex.com>

	* ruby/util.i: Add missing rename for TermGenerator::set_document()
	  so it can be used as "tg.document = doc" in Ruby.

Thu Jun 07 01:06:17 BST 2007  Olly Betts <olly@survex.com>

	* NEWS: Updated.

Thu Jun 07 01:01:05 BST 2007  Olly Betts <olly@survex.com>

	* configure.ac: Note new required SWIG SVN rev.

Thu Jun 07 00:58:08 BST 2007  Olly Betts <olly@survex.com>

	* php/docs/examples/: Fix simpleexpand examples to put up to 5
	  documents in the fake RSet as the comments say, not 4 as the
	  code incorrectly did!
	* php/docs/examples/: Fix exception reporting in PHP5 examples.

Thu Jun 07 00:49:23 BST 2007  Olly Betts <olly@survex.com>

	* tcl8/docs/examples/simpleindex.tcl,
	  tcl8/docs/examples/simplesearch.tcl: Update to use TermGenerator
	  and QueryParser, and to more closely match the new C++ versions.
	* tcl8/docs/examples/simpleexpand.tcl: New example to demonstrate
	  relevance feedback, based on C++ simpleexpand.cc.
	* tcl8/docs/bindings.html: Add link to new simpleexpand.tcl example.

Thu Jun 07 00:05:25 BST 2007  Olly Betts <olly@survex.com>

	* php/docs/examples/: Fix missing "\n" in error message when we're run
	  under a non-CLI version of PHP.

Thu Jun 07 00:02:33 BST 2007  Olly Betts <olly@survex.com>

	* tcl8/runtest.tcl: Fix exit handling to work if the called script
	  exits implicitly.

Thu Jun 07 00:00:17 BST 2007  Olly Betts <olly@survex.com>

	* tcl8/docs/bindings.html: Document how constants are wrapped.

Wed Jun 06 23:47:03 BST 2007  Olly Betts <olly@survex.com>

	* tcl8/runtest.tcl: Enhance to allow calling a script with command
	  line arguments (useful for testing the examples).

Wed Jun 06 22:39:01 BST 2007  Olly Betts <olly@survex.com>

	* configure.ac: Note the SWIG SVN revision currently recommended.

Wed Jun 06 12:34:18 BST 2007  Olly Betts <olly@survex.com>

	* php/docs/examples/: Rewrite examples to closely model the new C++
	  simple examples.

Tue Jun 05 17:23:17 BST 2007  Olly Betts <olly@survex.com>

	* configure.ac: Fix comment typo.

Mon Jun 04 17:48:53 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* configure.ac,python/Makefile.am,python/util.i: Patch from James
	  Aylett (slightly adapted) to avoid building doccoments.i in
	  maintainer builds with --disable-documentation specified.  In
	  this situation, the generated python bindings won't have the
	  doccomments extracted by doxygen from the xapian headers, but
	  they will compile and work.

Fri Jun 01 12:54:28 BST 2007  Olly Betts <olly@survex.com>

	* xapian.i: Remove "#ifndef SWIGGUILE" around a Query constructor -
	  if anyone revives the guile bindings, they'll probably need to
	  sort this out, but this "fix" certainly isn't correct.

Fri Jun 01 12:53:36 BST 2007  Olly Betts <olly@survex.com>

	* guile/Makefile.am: Fix out-of-date "include".  Use $(SWIG_CXXFLAGS)
	  not @SWIG_CXXFLAGS@.

Fri Jun 01 10:32:40 BST 2007  Olly Betts <olly@survex.com>

	* python/Makefile.am: Generate and install xapian.pyo.

Thu May 31 19:15:58 BST 2007  Olly Betts <olly@survex.com>

	* configure.ac: Relax automake requirement to 1.9.2 to allow RPM
	  building on RHEL 4.

Thu May 31 18:44:55 BST 2007  Olly Betts <olly@survex.com>

	* INSTALL,NEWS,README,configure.ac,java/README: Change "MacOS X" to
	  "Mac OS X".

Thu May 31 17:59:25 BST 2007  Olly Betts <olly@survex.com>

	* java-swig/Makefile.am: Use JAVA_CPPFLAGS so we find jni.h.

Thu May 31 14:52:07 BST 2007  Olly Betts <olly@survex.com>

	* configure.ac: Automatically add an extra "-I" for the
	  linux/solaris/win32 subdirectory which Sun's JDK requires.
	* java/README: Remove note saying that the user may have to do this
	  manually.

Thu May 31 13:11:56 BST 2007  Olly Betts <olly@survex.com>

	* java-swig/Makefile.am: Distribute the generated .java sources.

Thu May 31 12:34:25 BST 2007  Olly Betts <olly@survex.com>

	* configure.ac: Document JAVA_HOME and JDK_HOME in ./configure --help
	  and mark their values as "precious" so they are preserved for when
	  configure is automatically rerun.

Wed May 30 23:54:23 BST 2007  Olly Betts <olly@survex.com>

	* python/smoketest.py: Update uses of the legacy sequence API.
	* python/pythontest.py: The legacy sequence API is only supported for
	  Python 2.3 and later, so don't run tests for it when running under
	  Python 2.2.

Wed May 30 22:27:33 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/pythontest.py,python/smoketest.py: Revert the earlier
	  change to the expected output from testcases which expect
	  exceptions, in line with the new Error.__str__() method.

Wed May 30 22:21:32 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/generate-python-exceptions.in: Override the new default
	  get_description() method in the Python bindings (which is renamed
	  to __str__) with a similar method which doesn't include the type
	  of the error message at the start of the error string.  Python
	  errors are almost always displayed preceded by the type of the
	  error class, so this was causing the type of the error to be
	  repeated in tracebacks and similar reports.

Wed May 30 17:57:34 BST 2007  Olly Betts <olly@survex.com>

	* configure.ac: `configure --help' documented that environmental
	  variable JNI_INCLUDE_DIR was looked at, but in fact its value
	  was read but ignored.  We now use it as the first place to
	  look for jni.h.

Wed May 30 14:52:04 BST 2007  Olly Betts <olly@survex.com>

	* NEWS: Update.  Add in all the standard subheadings.  Fix all
	  the "Xapian-core <version> (<date>):" headings to refer to
	  "Xapian-bindings" instead.

Wed May 30 13:20:13 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* xapian.i: Wrap new forms of allterms_begin() and allterms_end()
	  which take prefixes.
	* python/extra.i: Add support for prefix-restricted pythonic allterms
	  iterators.
	* python/pythontest.py: Add test for new prefix-restricted allterms
	  iterators.  Update existing allterms text to set the context to
	  useful values.

Tue May 29 09:50:17 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/docs/bindings.html: Update documentation in a couple of
	  places to refer to updated replacements for MSetIterator.

Tue May 29 09:49:41 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/testsuite.py: Change testsuite output to be more
	  vim-friendly (vim should be able to jump to the right lines now).

Sun May 27 16:11:42 BST 2007  Olly Betts <olly@survex.com>

	* python/generate-python-exceptions.in: Remove __str__ method from
	  %extend of Error class, since C++ now provides an
	  Error::get_description() method which is automatically renamed to
	  __str__.
	* python/pythontest.py,python/smoketest.py: New C++
	  Error::get_description() method gives different output to the old
	  Python-specific __str__, so update testcases to match.
	* python/generate-python-exceptions.in: Mark generated file using
	  `@configure_input@'.

Sun May 27 15:31:06 BST 2007  Olly Betts <olly@survex.com>

	* csharp/SmokeTest.cs: Update comment about Portable.NET bug - the bug
	  is fixed in their CVS repo, and the fix should be in their 0.8.2
	  release.

Mon May 21 07:11:12 BST 2007  Olly Betts <olly@survex.com>

	* tcl8/docs/examples/simpleindex.tcl,
	  tcl8/docs/examples/simplesearch.tcl: Need to update to
	  "package require xapian 1.0.0" here too.

Mon May 21 01:51:24 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* xapian.i: Add Query constructor used to make ValueRange queries,
	  which got missed out of the bindings.

Fri May 18 12:59:55 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* configure.ac,tcl8/Makefile.am,tcl8/pkgIndex.tcl.in: Generate
	  tcl8/pkgIndex.tcl from a .in file, instead of using a special
	  rule in tcl8/Makefile.am.  Should make the dependencies more
	  robust, and is generally cleaner.

Fri May 18 09:16:14 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* tcl8/smoketest.tcl: Update tcl smoketest.tcl to require version
	  1.0.0 - it previously required 0.9.6, bug TCLs "package require"
	  command doesn't accept differing major numbers, even if -exact
	  isn't specified.
	* tcl8/Makefile.am: Add dependency on ../config.status to
	  pkgIndex.tcl, so that it gets updated when the version number
	  changes.

Thu May 17 22:27:08 BST 2007  Olly Betts <olly@survex.com>

	* NEWS: Final update before release.

Thu May 17 22:10:42 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/docs/bindings.html: Document iterators, and iterator
	  properties, which have a problem with the lazy evaluation if the
	  iterator has moved before the evaluation happens.  Add a title to
	  the table of equivalents to the old Sequence API.

Thu May 17 21:51:33 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* NEWS: Update the Python entries.

Thu May 17 19:52:05 BST 2007  Olly Betts <olly@survex.com>

	* NEWS: Sort out the easier Python entries, since Richard seems to
	  have fallen off the net.

Thu May 17 19:11:38 BST 2007  Olly Betts <olly@survex.com>

	* configure.ac: Bump version to 1.0.0.

Thu May 17 17:28:35 BST 2007  Olly Betts <olly@survex.com>

	* NEWS: Update.

Thu May 17 17:25:39 BST 2007  Olly Betts <olly@survex.com>

	* ruby/docs/bindings.html: Remove "beta quality" warning - the Ruby
	  bindings seem as solid as the others and no problems have been
	  reported.
	* ruby/docs/bindings.html: Add section on Unicode support.

Thu May 17 17:25:06 BST 2007  Olly Betts <olly@survex.com>

	* php/docs/bindings.html: Tweak the linked text.

Thu May 17 16:41:19 BST 2007  Olly Betts <olly@survex.com>

	* NEWS: Minor fixes from Jenny's proofreading.

Thu May 17 15:49:14 BST 2007  Olly Betts <olly@survex.com>

	* NEWS: Updated for 1.0.0 except for the Python changes.

Thu May 17 15:48:16 BST 2007  Olly Betts <olly@survex.com>

	* php/smoketest.php: The PHP5 overloading issue was fixed in 0.9.10.1
	  not 0.9.10, so update a comment to reflect this.

Wed May 16 09:21:15 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* csharp/Makefile.am,xapian.i: Add ValueRangeProcessors to the
	  bindings, and add the OP_VALUE_RANGE query operator.

Tue May 15 17:47:30 BST 2007  Olly Betts <olly@survex.com>

	* README: Tweak wording.
	* csharp/docs/bindings.html: Document Unicode support.

Tue May 15 16:42:32 BST 2007  Olly Betts <olly@survex.com>

	* HACKING,README: Various updates.

Tue May 15 04:58:21 BST 2007  Olly Betts <olly@survex.com>

	* python/docs/bindings.html: Reword "This is being changed to [...]".

Tue May 15 04:41:15 BST 2007  Olly Betts <olly@survex.com>

	* tcl8/docs/bindings.html: Add Unicode section, documenting the issue
	  with ASCII nul.

Tue May 15 04:35:10 BST 2007  Olly Betts <olly@survex.com>

	* php/docs/bindings.html: Add note about Unicode support.

Mon May 14 19:42:06 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/smoketest.py: Fix query tests to match the output of the
	  new query parser.

Mon May 14 16:16:38 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/docs/bindings.html: Fix typo - NFKC is definitely probably
	  the form you want.

Mon May 14 15:34:52 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/pythontest.py,python/smoketest.py: Fix pythontest and
	  smoketest to expect what I think should be the correct output.
	  smoketest still doesn't pass, sadly, because the PARTIAL option
	  isn't fully implemented for the new scheme yet.

Sun May 13 04:55:30 BST 2007  Olly Betts <olly@survex.com>

	* java/org/xapian/XapianJNI.java,tcl8/docs/bindings.html: "writeable"
	  -> "writable".

Sun May 13 04:50:13 BST 2007  Olly Betts <olly@survex.com>

	* python/docs/bindings.html: "agnositc" -> "agnostic", and capitalise
	  "Xapian" for consistency.

Sat May 12 22:04:07 BST 2007  Olly Betts <olly@survex.com>

	* configure.ac: If SWIG has been explicitly specified (in the
	  environment or with `./configure SWIG=xxx') then downgrade the
	  AC_MSG_ERROR() if the version is wrong to a warning.  Also,
	  if no version is read, then say "(you have an unknown version)"
	  rather than "(you have )".

Thu May 10 18:18:32 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* tcl8/except.i: Fix for change to return type of
	  Error::get_type().

Wed May 09 17:20:25 BST 2007  Olly Betts <olly@survex.com>

	* csharp/Makefile.am: Add TermGenerator.cs to list of generated C#
	  sources.

Wed May 09 16:44:50 BST 2007  Olly Betts <olly@survex.com>

	* java-swig/Makefile.am: Update for TermGenerator class.
	* ./: Update svn:ignore for TermGenerator class and xapian_wrap.stamp.

Tue May 08 19:58:04 BST 2007  Olly Betts <olly@survex.com>

	* configure.ac: Fix incorrect second reference to SWIG SVN revision number
	  needed.  Add comment noting what we need perl for.

Tue May 08 19:56:11 BST 2007  Olly Betts <olly@survex.com>

	* xapian.i: %include <xapian/deprecated.h> rather than assuming things
	  about how it is implemented.

Tue May 08 19:37:53 BST 2007  Olly Betts <olly@survex.com>

	* ruby/util.i: Deine SWIG_NO_EXPORT_ITERATOR_METHODS to suppress
	  SWIG's new iterator support for Ruby which we don't use.

Tue May 08 15:59:02 BST 2007  Olly Betts <olly@survex.com>

	* xapian.i: Tell SWIG about XAPIAN_DEPRECATED() earlier so that it
	  copes with XAPIAN_DEPRECATED() being used in xapian/error.h.

Tue May 08 15:50:21 BST 2007  Olly Betts <olly@survex.com>

	* xapian.i: Removed lingering reference to PYTHON_OLDE.

Mon May 07 11:01:28 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* csharp/Makefile.am,java-swig/Makefile.am,php/Makefile.am,
	  python/Makefile.am,ruby/Makefile.am: Fix rules with multiple
	  targets to recover from the removal of one or more of the targets
	  without removing the stamp file, as detailed in the automake
	  manual.

Sun May 06 16:03:12 BST 2007  Olly Betts <olly@survex.com>

	* configure.ac: Set version to mythical 0.9.99.

Fri May 04 20:00:30 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/smoketest.py,xapian.i: Add TermGenerator to bindings, and
	  a basic python smoketest (which currently fails, I think due to a
	  bug in the TermGenerator).

Fri Apr 27 09:28:48 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* xapian.i: Add third overloaded form of parse_query, which allows
	  the "default_prefix" argument to be supplied.

Thu Apr 26 16:48:54 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/extra.i: Change quotes on `start` to make epydoc happy.

Thu Apr 26 15:29:10 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/extra.i: Change termlist iterators which returned items in
	  which only the term could be accessed to return the term directly.
	  May break some old applications, but all the applications I've
	  seen were just calling the internal iterator to get this
	  behaviour anyway, and ignoring the sequence API method.  Now is
	  the only time this can be cleaned up, really.  Allows idioms like
	  ','.join(enq.matching_terms) to work.
	  Also, change MSet.get_hit() to return an MSetItem instead of an
	  MSetIterator: allows all our work on lazy access to be used.  Add
	  deprecated methods to MSetItem to allow code which was expecting
	  an MSetIterator to work (for now).
	* python/pythontest.py: Change tests not to use deprecated
	  features, except in marked sections designed for that purpose.
	  Test out-of-range access to MSets (used to cause a crash).
	  Adjust tests for termlists which return strings.
	* python/smoketest.py: Change reference to deprecated
	  Enquire.get_matching_terms() to Enquire.matching_terms()

Mon Apr 23 23:10:41 BST 2007  Olly Betts <olly@survex.com>

	* python/smoketest.py,xapian.i: Wrap Enquire::INCLUDE_QUERY_TERMS
	  and Enquire::USE_EXACT_TERMFREQ.

Mon Apr 23 20:48:43 BST 2007  Olly Betts <olly@survex.com>

	* xapian.i: Correct out-of-date comment.

Mon Apr 23 17:20:09 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/extra.i: Change code which sets __all__ to non-functional
	  style syntax, because we want to support python 2.2 and 2.3.

Mon Apr 23 15:54:15 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/extra.i: Set __docformat__ and __all__ to make output from
	  "help" and tools like epydoc nicer.  __all__ is set by filtering
	  the symbols returned by dir(), so the value it's set to shouldn't
	  need much maintenance.  Setting __all__ also makes it more
	  reasonable to do "from xapian import *", but that's probably not
	  really a good idea in anything but the simplest script.

Mon Apr 23 13:59:03 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/Makefile.am: Add -threads flag to SWIG command when
	  generating python bindings: threads are used in so many python
	  applications these days that we really need to support them.
	  Hopefully fixes bugs #137.

Mon Apr 23 12:58:41 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* README: Mention that PHP now builds with MSVC, and remove comment
	  that Python 2.0 and 2.1 could be made to work - it would be quite
	  hard to do now.

Mon Apr 23 12:56:32 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/testsuite.py: Add extra VERBOSE=3 level, which displays
	  the checks which were performed, even if they passed.  Very
	  useful for debugging code which unexpectedly segfaults.

Mon Apr 23 11:34:47 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/pythontest.py: Test exception which is thrown by a
	  termlist from a freshly created document if the term frequency
	  information is requested.

Mon Apr 23 10:56:23 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/extra.i: Change skip_to() methods to return item skipped
	  to, and fix several bugs in them.
	* python/pythontest.py: Test skip_to() for termlists and posting
	  lists.

Mon Apr 23 09:54:45 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/extra.i: Fix documentation comments for TermListItem and
	  improve code documentation.  Implement support for lazy
	  evaluation with posting lists.
	* python/pythontest.py: Test legacy sequence API for termlists, and
	  fix small bug in test for document termlists (was passing, but
	  not testing what it was meant to).  Add new test for posting
	  lists.

Sun Apr 22 21:14:46 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/extra.i: Add documentation comments for position
	  iterators and value iterators.  Make value iterators return items
	  with attributes, rather than arrays (using _SequenceMixIn to
	  provide legacy interface, as for other iterators).
	* python/pythontest.py: Add tests for value and position iterators.

Sun Apr 22 19:24:32 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* csharp/Makefile.am,php/Makefile.am,python/Makefile.am,
	  ruby/Makefile.am: Add xapian_wrap.stamp files to CLEANFILES when
	  in maintainer mode.

Sun Apr 22 17:50:00 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/pythontest.py: Correct stoplist test to expect correct
	  value.

Sun Apr 22 00:13:56 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/extra.i: Add documentation comments for queryparser
	  stoplist and unstemlist.
	* python/pythontest.py: Add tests of stoplist and unstemlist
	  iterators.

Sat Apr 21 20:30:32 BST 2007  Olly Betts <olly@survex.com>

	* configure.ac: We require automake 1.9.5 for xapian-core, so require
	  it here too for consistency.  Turn on automake -Wportability option.

Sat Apr 21 11:30:26 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/extra.i: Change term iterators so that they can handle
	  WDF and term frequency information either lazily or eagerly.
	  Always handle positionlist information lazily.  Return an error
	  if the iterator has already moved on when a lazily accessed piece
	  of information is requested.  Set access to lazy or eager (or no
	  access) for each item for each type of termlist iterator which
	  can be returned, and document this in the documentation comments.
	  This may impact some users of the legacy sequence API, but is
	  likely to work for typical and reasonable usages of the API.
	  Still needs to be documented in the python binding documentation
	  file.
	* python/pythontest.py: Add tests for term iterators returned by
	  matching terms, Query objects, alltermlists on databases,
	  termlists on database, documents returned from databases, and
	  newly created documents.

Fri Apr 20 15:07:03 BST 2007  Olly Betts <olly@survex.com>

	* csharp/SmokeTest.cs,csharp/docs/bindings.html,
	  java/native/Enquire.cc,xapian.i: Update for change of return type of
	  MatchDecider::operator() and ExpandDecider::operator().  The only
	  change visible in a wrapped language is in C# where the return type
	  also changes from `int' to `bool'.
	* xapian.i: Where directors are supported, also wrap the alternative
	  form of Enquire::get_eset() which doesn't take the flags or k
	  parameters.
	* java-swig/util.i: Rename MatchDecider::operator() and
	  ExpandDecider::operator() to `accept' in Java to match the JNI
	  bindings.
	* java-swig/SmokeTest.java: Uncomment some more of the code which
	  now works.

Fri Apr 20 10:48:36 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* csharp/,ruby/: Ignore generated *.stamp files.

Fri Apr 20 10:46:10 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* csharp/Makefile.am,java-swig/Makefile.am,php/Makefile.am,
	  python/Makefile.am,ruby/Makefile.am: Add intermediate targets in
	  all cases where swig generates multiple output files.

Fri Apr 20 10:37:11 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/Makefile.am: Add intermediate target when running swig, in
	  line with comment recently added to xapian-core/HACKING regarding
	  rules with multiple targets.

Fri Apr 20 00:30:16 BST 2007  Olly Betts <olly@survex.com>

	* java-swig/util.i: Sort out typemap for the "Query from operator
	  and array of Query objects" constructor.
	* java-swig/Makefile.am: Delete the "extra" .class files upon
	  "make clean".  Query$1.class seems to be useless, so don't
	  include it in the .jar.  Use perl to insert a call to load the JNI
	  library automatically before we try to use it since SWIG doesn't
	  seem to do this for us.  Now "make check" passes, but with lots
	  commented out still.

Fri Apr 20 00:16:17 BST 2007  Olly Betts <olly@survex.com>

	* python/Makefile.am: Don't assume Perl is `perl' - use `$(PERL)'
	  instead.

Thu Apr 19 22:37:05 BST 2007  Olly Betts <olly@survex.com>

	* java-swig/util.i: Rename get_description() methods to toString()
	  in Java.

Thu Apr 19 22:34:59 BST 2007  Olly Betts <olly@survex.com>

	* java-swig/Makefile.am: Fix bogus line-break in CLEANFILES.
	  Add xapian_wrap.h to BUILT_SOURCES and swig running rule.

Thu Apr 19 22:34:28 BST 2007  Olly Betts <olly@survex.com>

	* xapian.i: Query::get_description() is actually const.

Thu Apr 19 18:20:59 BST 2007  Olly Betts <olly@survex.com>

	* java-swig/Makefile.am: Handle the extra .class files generated by
	  nested classes.

Thu Apr 19 14:45:19 BST 2007  Olly Betts <olly@survex.com>

	* Makefile.am,configure.ac,java-swig/,xapian.i: First cut of Java
	  bindings built using SWIG.  Numerous things aren't wrapped in
	  a compatible way (not sure if we can sensibly be 100% compatible
	  anyway though) and 'make check' fails to run, but this has
	  reached the stage where version control is needed.

Thu Apr 19 00:41:25 BST 2007  Olly Betts <olly@survex.com>

	* ruby/docs/bindings.html: Note that C++ operator() becomes
	  call in Ruby.

Wed Apr 18 23:35:52 BST 2007  Olly Betts <olly@survex.com>

	* ruby/util.i: Remove '%ignore' for deprecated methods we've now
	  removed.

Wed Apr 18 23:32:35 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/extra.i,python/pythontest.py: Fix legacy sequence API for
	  eset items.

Wed Apr 18 23:31:39 BST 2007  Olly Betts <olly@survex.com>

	* csharp/Makefile.am,java/org/xapian/Enquire.java,
	  java/org/xapian/XapianJNI.java,ruby/util.i,xapian.i:
	  Update for removal of Enquire::set_bias().

Wed Apr 18 17:09:22 BST 2007  Olly Betts <olly@survex.com>

	* guile/util.i,python/extra.i,python/util.i,ruby/util.i,tcl8/except.i,
	  tcl8/util.i: Sort out vim magic comments for all .i files.

Wed Apr 18 16:41:37 BST 2007  Olly Betts <olly@survex.com>

	* python/: svn:ignore doccomments.i.

Wed Apr 18 16:18:45 BST 2007  Olly Betts <olly@survex.com>

	* csharp/util.i,generic/except.i: Move C# specific exception stuff
	  into C# specific file.i.
	* csharp/util.i: Add vim magic to use C++ highlighting (not perfect as
	  this file also contains C# code, but better than vim's default for a
	  .i files).

Wed Apr 18 15:54:29 BST 2007  Olly Betts <olly@survex.com>

	* python/util.i: Use %inline to avoid duplicating MSET_DID, etc.  Set
	  C++ syntax for vim.

Wed Apr 18 15:37:20 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/doxy2swig.py.in: Fix issue with output from newer version
	  of Doxygen which puts <ref/> nodes inside <parametername/> nodes.

Wed Apr 18 02:34:53 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/extra.i: Improve various documentation comments.  Allow
	  _SequenceMixIn to have default values for some parameters,
	  instead of doing a lookup, to allow termlists and posting lists
	  to return the fake values returned by the old sequence API.  Add
	  termlist iterators, and link them into the Enquire.matching_terms
	  method.
	* python/pythontest.py: Add a check that xapian exceptions have
	  Exception as a base class.  Also, add a test of the new
	  Enquire.matching_terms term iterators.

Wed Apr 18 02:12:31 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* README: Add comment about using gmcs and mcs.

Wed Apr 18 02:01:43 BST 2007  Olly Betts <olly@survex.com>

	* configure.ac: Prefer gmcs to mcs when looking for a C# compiler
	  since gmcs is the newer compiler targeting the 2.0 runtime.

Wed Apr 18 01:12:39 BST 2007  Olly Betts <olly@survex.com>

	* csharp/util.i: Remove renaming exception for get_term - the
	  automatic naming will handle that correctly.

Wed Apr 18 00:29:57 BST 2007  Olly Betts <olly@survex.com>

	* java/native/Enquire.cc,java/native/Stem.cc: Update to use new
	  C++ replacements for deprecated methods.  The Java wrappers
	  still provide the old deprecated names for now though.
	* ruby/smoketest.rb: For now, use @stem.call("foo").
	* ruby/util.i,xapian.i: Remove wrappers for deprecated methods and
	  functions.

Wed Apr 18 00:15:40 BST 2007  Olly Betts <olly@survex.com>

	* python/Makefile.am: Need to distribute testsuite.py.

Tue Apr 17 23:23:44 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/util.i: add __str__ methods as aliases for the
	  get_description() methods, and deprecate the get_description()
	  methods.

Tue Apr 17 22:41:40 BST 2007  Olly Betts <olly@survex.com>

	* python/docs/examples/simpleexpand.py: Replace use of deprecated
	  RSet::is_empty() with RSet::empty().

Tue Apr 17 21:02:52 BST 2007  Olly Betts <olly@survex.com>

	* php/util.i,xapian.i: We need to keep is_empty() for PHP as empty()
	  clashes with a reserved word!  Refactor to use %rename in php/util.i
	  instead of %ignore on empty() and a special is_empty() wrapper in
	  xapian.i.
	* php/docs/bindings.html: Document renaming of empty() to
	  is_empty() and clone() to clone_object().

Tue Apr 17 19:57:03 BST 2007  Olly Betts <olly@survex.com>

	* configure.ac: Fix comment typo.

Tue Apr 17 19:20:42 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* csharp/Makefile.am: Add Flint.cs to list of generated files, so
	  it gets cleaned and added to dist.

Tue Apr 17 16:34:27 BST 2007  Olly Betts <olly@survex.com>

	* ruby/xapian.rb: Don't read termfreq in safe wrapper for
	  Document::termlist_begin().  Don't read wdf in safe wrapper
	  for Database::allterms_begin().  Fixes bug#133.

Tue Apr 17 14:51:10 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* csharp/SmokeTest.cs,csharp/docs/examples/SimpleIndex.cs,
	  csharp/docs/examples/SimpleSearch.cs: Change references to
	  stem.StemWord() to stem.Apply()

Tue Apr 17 14:30:10 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* php/docs/examples/,php/smoketest.php,
	  tcl8/docs/examples/simpleindex.tcl,
	  tcl8/docs/examples/simplesearch.tcl,tcl8/smoketest.tcl:
	  Replace references to deprecated stem.stem_word() with stem.apply()

Tue Apr 17 10:14:01 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/docs/examples/,python/smoketest.py: Change references to
	  stem.stem_word() to stem()

Tue Apr 17 08:57:23 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/testsuite.py: Run tests in predicatable order, by sorting
	  the list of tests if it's supplied as a dictionary.

Mon Apr 16 18:35:36 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/docs/bindings.html,python/docs/examples/simpleexpand.py:
	  Document ESetIterator::get_term() instead of
	  ESetIterator::get_termname()

Mon Apr 16 18:32:37 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* csharp/util.i,php/docs/examples/simpleexpand.php4,
	  php/docs/examples/simpleexpand.php5: Change to use get_term()
	  instead of get_termname().
	* php/docs/bindings.html,ruby/docs/bindings.html,
	  tcl8/docs/bindings.html: Document ESetIterator::get_term()
	  instead of ESetIterator::get_termname()

Mon Apr 16 18:27:39 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* xapian.i: Add ESetIterator::get_term() as alias for now
	  ESetIterator::get_termname(), and mark the old get_termname as
	  deprecated.  Tidy up all comments about deprecated functions,
	  giving the version they were deprecated in.

Mon Apr 16 11:16:48 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/extra.i,python/pythontest.py: Add nicer ESet iterators,
	  and tests for them.

Mon Apr 16 01:08:30 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/extra.i,python/pythontest.py,xapian.i: Add access to the
	  collapse_key() method of mset iterators.  Add it to the new-style
	  python MSet iterator, and test it.  Add documentation strings for
	  describing the python MSetItem properties and attributes.

Mon Apr 16 00:23:20 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/extra.i: Rework MSet iterators: they now return an
	  MSetItem object instead of a sequence. The sequence API is
	  emulated with a _SequenceMixIn baseclass. The MSetItem object
	  allows access to all the properties returned in the list
	  previously returned, and also allows access to the collapse_count
	  property.  In addition, it evaluates the document property
	  lazily, so no work is done if we don't actually want to read it.
	  Also, add support for __getitem__ on MSet items to access items
	  in the MSet in a more pythonic way, and implement the other
	  sequence methods "__len__" and "__contains__".
	* python/: Ignore some generated files.
	* python/Makefile.am: Add pythontest.py and extracomments.py
	* python/pythontest.py: New testsuite for Python-specific code.

Mon Apr 16 00:19:16 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/doxy2swig.py.in: Don't add information about C++ includes
	  to docstrings - not useful to anyone.
	* python/extracomments.i: Add a new file to hold docstrings which
	  override the automatically generated ones, or fill in gaps.  There
	  are going to be quite a few of these eventually, so best to keep
	  thee separate from the other code from the start.
	* python/util.i: Include extracomments.i

Mon Apr 16 00:14:31 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/testsuite.py: Enhance and refactor the testsuite - it now
	  supports the same environment variables that the C++ testsuite
	  does, uses a little colour to highlight successes and failures,
	  and has different levels of verbosity.  In line with the C++
	  testsuite, it is not verbose by default, but it does display a
	  message describing how to turn the verbosity up.
	* python/docs/bindings.html: Document the test suite a little, fix
	  a typo, and mention the work in progress on the iterators.  (Will
	  need more detailed revision once the work is completed.)

Sun Apr 15 23:31:41 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/doxy2swig.py.in: For methods, if there is a
	  briefdescription node, output it first so that the short summary
	  describes the purpose of the method, rather than being the C++
	  signature.

Sun Apr 15 18:09:14 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/smoketest.py,python/testsuite.py: Enhance testsuite to
	  allow multiple test functions, and to format output similarly to
	  C++ testsuite (including ANSI colour on output devices which
	  support it).  Colours can be disabled explicitly using
	  XAPIAN_TESTSUITE_OUTPUT=plain, and verbose output can be turned
	  on by setting VERBOSE=1.

Sun Apr 15 00:21:30 BST 2007  Richard Boulton <richard@lemurconsulting.com>

	* python/extra.i: Change to using new-style classes for pure python
